commit 1330a8bd43310a9a85db0deb262f71c643c5c5b4
Author: Jonathan Kang <jonathankang@gnome.org>
Date:   Wed Jul 11 22:02:33 2018 +0800

    update NEWS for 3.28.5 release

M	NEWS
M	configure.ac
M	meson.build

commit b73b85be709ad7c89e5699ceb740234f5b7f5a78
Author: Bjørn Lie <bjorn.lie@gmail.com>
Date:	Fri Jun 15 09:13:27 2018 +0000

    Fix obvious typo

    Fix obvious typo gnoem-logs.1 to gnome-logs.1

    (cherry picked from commit 02b782fcd64d4773e2dadbdb9ea74bf3923003b3)

M	data/meson.build

commit 438c13c2896c600192625fdef7735c566ce51fe0
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Wed Jul 11 17:35:26 2018 +0800

    update NEWS for 3.28.4 release

M	NEWS
M	configure.ac
M	meson.build

commit 2f498464ac539fdf98199294bfb9205436b9c323
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Fri Jun 15 15:08:15 2018 +0800

    meson: fix undefined function in meson_post_install.py

    join_paths() is a function defined in meson. Use os.path.join()
    instead.

    (cherry picked from commit 59d2bf7b02607cc35c1b996080621fdeaeb29fcf)

M	meson_post_install.py

commit c4bc6b81591fa4e21ac6c83a60494d97dacd42c2
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Thu Jun 14 15:46:42 2018 +0800

    update NEWS for 3.28.3 release

M	NEWS
M	configure.ac
M	meson.build

commit a80ddd44ae0b99b1a6d8d0f93c1a3f961271e4c9
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Thu Jun 14 15:20:54 2018 +0800

    Distribute meson files in tarball

    (cherry picked from commit 439d89072b1e884d343ae4348fbe5db0ad850a08)

M	Makefile.am

commit 68c9c16fff4b95f3e5439c2dc880531bd9c44aa6
Author: Dz Chen <wsxy162@gmail.com>
Date:	Mon May 21 16:11:26 2018 +0000

    Update Chinese (China) translation

M	po/zh_CN.po

commit 72b6206dec3a68514edc02167d8b1110c35551ee
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Mon May 7 14:59:58 2018 +0800

    update NEWS for 3.28.2 release

M	NEWS
M	configure.ac
M	meson.build

commit c091f5650581ed34fd91f13f0aefdce95da17905
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Sun Apr 8 16:57:40 2018 +0800

    free GMenuItem after inserting to menu

    As documented here[0], GMenuItem should be freed once being inserted
    to GMenu to avoid memory leak.

    *[0]
    https://developer.gnome.org/gio/stable/GMenu.html#g-menu-insert-item

    (cherry picked from commit 280e1b95df18a8698969ef800ee246406cca8c53)

M	src/gl-eventtoolbar.c

commit dadd7d545a58e4812b454c70a52daf4c9fd3e0ab
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Mon Mar 19 15:35:56 2018 +0800

    free GlQuery when journal model is disposing

    GlJournalModel contains GlQuery in its private structure. And GlQuery
    should be free using gl_query_free() to avoid memory leak.

    (cherry picked from commit 93fcf1af6fe28a4501d273f562068dddedca575e)

M	src/gl-journal-model.c

commit 7bcb0a654377c401c34b161da84870b7686e869a
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Mon Mar 19 15:28:27 2018 +0800

    decrease the reference count of GDateTime when needed

    Call g_date_time_unref() on the return value of get_start_date_time()
    and get_end_date_time() to decrese the reference count by one and
    avoid memory leak.

    (cherry picked from commit 5363d3297e9e0efde3da439410c8b48af8adc7d3)

M	src/gl-searchpopover.c

commit 4ee47bd34988d8174e71ca51564b5add5aa2be37
Author: Jonathan Kang <jonathankang@gnome.org>
Date:	Mon Mar 19 15:13:42 2018 +0800

    free strings to avoid memory leak

    Some strings are not freed when needed. Free them to avoid memory
    leak.

    (cherry picked from commit 363803d9bdf551d4b74c8bc15f375bdd83c44364)

M	src/gl-searchpopover.c
M	src/gl-window.c

commit d5748e35ae0e2f5f090d907b29cf5344e4fd508d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Mar 26 05:51:02 2018 +0200

    Update Polish translation

M	help/pl/media/gnome-logs-3-12.png

commit ea3e78c89697deeb2b404166dccd62e6baf8f70d
Author: Stas Solovey <whats_up@tut.by>
Date:	Tue Mar 13 19:28:57 2018 +0000

    Update Russian translation

M	po/ru.po

commit 2939d8f578d46d95edc3aacd0538f7f0ab860dd8
Author: David King <davidk@gnome.org>
Date:	Mon Mar 12 15:48:52 2018 +0000

    Update NEWS for 3.28.0 release

M	NEWS
M	configure.ac

commit cb3af2d1d2ed766384a16f02729dd9adc7ce3a28
Author: Милош Поповић <gpopac@gmail.com>
Date:	Sat Mar 10 22:44:03 2018 +0000

    Update Serbian Latin translation

M	po/sr@latin.po

commit 888ff9397db8a4ad89a90f55b6aa1a89bb88949d
Author: gogo <trebelnik2@gmail.com>
Date:	Wed Mar 7 14:33:05 2018 +0000

    Update Croatian translation

M	po/hr.po

commit d909cb1c127bbf99e91790c3639d87c54b485e95
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:	Tue Mar 6 23:01:26 2018 +0000

    Update Greek translation

M	po/el.po

commit e71a0832b8d1338dc375c1aedd1dc775f13a7a30
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Tue Mar 6 22:40:13 2018 +0100

    Updated Danish translation

M	po/da.po

commit f213ba52b78741a3658045edda0a302d95d04f2d
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Mar 6 16:33:36 2018 +0800

    update NEWS for 3.27.92 release

M	NEWS
M	configure.ac

commit b632248491fc3d3e801e8c8feda043e2c48aa41a
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Mon Mar 5 01:32:12 2018 +0000

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit 0529df8c6b995f495090f325f83a993bea5616a1
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sat Mar 3 15:09:59 2018 +0000

    Update Kazakh translation

M	po/kk.po

commit 0a2e4585328ff3c51febc7b2b1e5437a556d8eac
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Mar 3 14:23:02 2018 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 8e7730efe859b09e197cb237ec78801a759881e9
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	Fri Mar 2 10:22:50 2018 +0000

    Update Scottish Gaelic translation

    (cherry picked from commit e5e5b059489a45327852aaef1e4c33fe57dbf2e3)

M	po/gd.po

commit 981172d371f3bc8d29f3f43deaa5edbae686cddb
Author: Guillaume Bernard <associations@guillaume-bernard.fr>
Date:	Thu Mar 1 18:37:43 2018 +0000

    Update French translation

M	po/fr.po

commit a64313043018a02ce426ff7f7f983130e2218742
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Mon Feb 26 18:13:11 2018 +0000

    Update Slovak translation

M	po/sk.po

commit e15121c6a5a6697bfc6d480fe3cf481ac8989c39
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Mon Feb 26 08:11:29 2018 +0000

    Update Italian translation

M	po/it.po

commit 334da8cdd0fea5d8e6f7b14e7b9429a8133ca4f1
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sat Feb 24 20:14:01 2018 +0200

    Update Latvian translation

M	po/lv.po

commit 9f81a64496e2f718750789a19593976370341bf1
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	Fri Feb 23 20:02:51 2018 +0000

    Update Dutch translation

M	po/nl.po

commit 9429191eb63b75275c59c03aeef48efc5eb17ac3
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Sat Feb 17 12:59:13 2018 +0000

    Update Galician translation

M	po/gl.po

commit 6e43b0d32fc0566e021bac1102f7ca68689aa593
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:	Sat Feb 10 08:44:36 2018 +0000

    Update Turkish translation

M	po/tr.po

commit 352589dad42e087e1f94cb955e0e3bccb8a5490b
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Sat Feb 10 00:01:27 2018 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 87c18e64ec97d3d3df3b7b4bb76624aa0b7ca75e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Feb 5 21:44:19 2018 +0800

    update NEWS for 3.27.90 release

M	NEWS
M	configure.ac

commit 188fcc6cda881b4491341988fccafc4d7704eac1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Feb 5 00:50:53 2018 +0100

    Update Polish translation

M	help/pl/pl.po
M	po/pl.po

commit 0968474564d8bb114b05b69e914606455539ef1b
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Wed Jan 31 10:58:26 2018 +0100

    theme: avoid using hard-coded colors

     Use share operations instead of hardcoded colors to make it work
     on Adwaita-dark.

    https://bugzilla.gnome.org/show_bug.cgi?id=792152

M	data/gl-style.css

commit dae4a419f1e239df153d5f00556e7067eba7da08
Author: Balázs Úr <balazs@urbalazs.hu>
Date:	Sun Jan 21 21:28:33 2018 +0000

    Update Hungarian translation

M	po/hu.po

commit 9536bab0edc45132b30ba5e98b170c69c12e6b71
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Tue Jan 9 18:13:48 2018 +0000

    Update Finnish translation

M	po/fi.po

commit 53201bc5ee8862eb8351c28fb2fbd2378e081ae1
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Jan 8 17:44:43 2018 +0800

    update NEWS for 3.27.4 release

M	NEWS
M	configure.ac

commit 27b52b9d267977266187a3947073222b81e8a793
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Jan 8 15:56:10 2018 +0800

    meson: add warning cflags

    As a port of AX_COMPILER_FLAGS which is supposed to replace
    GNOME_COMPILE_WARNINGS, add needed warning cflags in main meson.build
    file.

M	meson.build

commit f54265f73ead1e052147cc9ff2915dfc3c9cd24d
Merge: 211bbb3 782720d
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Jan 3 16:33:29 2018 +0800

    Merge branch 'wip/jonathankang/meson'

    https://bugzilla.gnome.org/show_bug.cgi?id=790276

commit 211bbb39634155c2475587876e088eae9562242e
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Tue Dec 26 12:00:11 2017 +0000

    Update Swedish translation

M	po/sv.po

commit b494ab709aa71c61b3470296472af87fc902f113
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:	Mon Dec 25 22:26:53 2017 +0000

    Update Serbian translation

M	po/sr.po

commit 5a01de564e226d6897896b51ee148f811fe8bdc3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Dec 20 18:09:11 2017 +0100

    Updated Spanish translation

M	po/es.po

commit 782720d53c73f2be98adaed480ab7c3da861d39d
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Dec 14 15:38:33 2017 +0800

    meson: add missing LINGUAS file to help directory

A	help/LINGUAS

commit 4707e790dd91df48c737465bde4fae2e7091c782
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Fri Nov 17 17:51:09 2017 +0800

    Port to meson build system

    According to this wiki[0], port Logs to meson build system.

    *[0] https://wiki.gnome.org/Initiatives/GnomeGoals/MesonPorting

    https://bugzilla.gnome.org/show_bug.cgi?id=790276

A	data/icons/meson.build
A	data/meson.build
A	help/meson.build
A	meson.build
A	meson_options.txt
A	meson_post_install.py
A	po/meson.build
A	src/meson.build
A	tests/meson.build

commit c6050eb1ccbcdff42a0a7ad07b979a8c536ed27a
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Dec 11 22:37:56 2017 +0800

    update NEWS for 3.27.3 release

M	NEWS
M	configure.ac

commit 2247ed9d44e9021bd5172f7ba82bc5be6ff85844
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	Sun Dec 3 04:32:56 2017 +0000

    Update Indonesian translation

M	po/id.po

commit c4a0d2af0b8fcaeaccfd47c394ba5c3138be8eca
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Nov 13 20:01:44 2017 +0800

    update NEWS for 3.27.2 release

M	NEWS
M	configure.ac

commit 6c70467dc6d1d5fcafba9a4fda8c0da2e12283b3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sat Nov 11 19:12:30 2017 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 056bd8258f492bfded5d6fa09ed8ccde81ab2e0f
Author: gogo <trebelnik2@gmail.com>
Date:	Thu Nov 9 16:56:01 2017 +0000

    Update Croatian translation

M	po/hr.po

commit fba0e8e684aefb0f6535664e64a350fe5dd53e69
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Wed Nov 8 19:52:30 2017 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit ac5e0985e23f04b1dfc832c6d154576ee0f07d72
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Sun Nov 5 18:40:18 2017 +0000

    Update Friulian translation

M	po/fur.po

commit c6a710150814c872863b0e191736ecbf10cdcf03
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Nov 4 13:03:38 2017 +0100

    Updated Slovenian translation

M	po/sl.po

commit 1f8e848cf7a6a307f9c58637411896ca36ab1517
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Fri Oct 27 17:56:43 2017 +0800

    update boot timestamps when possible

    Previously, boot timestamps in the boot selection menu is generated
    when Logs is opened and won't be updated later. This causes a problem
    that the timestamp of the latest log entry might be newer than what's
    shown in the boot selection menu.

    Fix that by updating the boot selection menu when users change the
    category list or view logs from other boots.

    https://bugzilla.gnome.org/show_bug.cgi?id=762840

M	src/gl-eventtoolbar.c
M	src/gl-eventtoolbar.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-journal.c
M	src/gl-window.c

commit 36efaa4a933db52d9ede35e16e1e8767d00ba70b
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Mon Oct 30 19:02:52 2017 +0100

    Updated Czech translation

M	po/cs.po

commit 448adecea4b4f9fd65997f3facf0666cc333c466
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Fri Oct 27 12:12:34 2017 +0000

    Update German translation

M	po/de.po

commit 0eb84f4ea42726ef831531e82556c08c925aee4d
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Oct 18 16:42:29 2017 +0800

    update NEWS for 3.27.1 release

M	NEWS
M	configure.ac

commit b42accda4048f05d50b692d2f2cab34b614984ac
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	Fri Oct 6 06:38:47 2017 +0000

    Update Nepali translation

    (cherry picked from commit 339695b35963f60cbebe93396ddfacfcf2af416f)

M	po/ne.po

commit b70daac552b4a2fda0465d87ec2607c0c9a567e7
Author: Xavi Ivars <xavi.ivars@gmail.com>
Date:	Thu Oct 5 14:44:56 2017 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 095f5b7c74b2fda43615de7229a9135e847f2270
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Sep 30 20:59:35 2017 +0200

    Move French help screenshots

R100	help/fr/images/gnome-logs-3-12.png
help/fr/media/gnome-logs-3-12.png

commit 15a6a49b778d0a62370f6d634db52fa670999c41
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Sep 30 20:58:52 2017 +0200

    Add Polish help screenshots

A	help/pl/media/gnome-logs-3-12.png

commit 44ee9c4ef438a842cd0e40987ed8cd209891b5a2
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Sat Sep 30 19:37:24 2017 +0330

    [L10N] Update Persian translation

M	po/fa.po

commit b62adbadf4363c27a04f1d52a274403e793a7425
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Sat Sep 30 13:29:15 2017 +0400

    Updated Russian translation

M	po/ru.po

commit 69bd495399cc32285fd6c1fe36e246366a4234e0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Sep 28 13:35:01 2017 +0200

    Mark missing strings for translation

M	data/gl-searchpopover.ui

commit 716f944165a4cc508545c0cb41da7cefedbf4dd8
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	Tue Sep 26 08:54:55 2017 +0000

    Update Greek translation

    (cherry picked from commit a45980236fbc06a5345d1d98037c63ff861033ed)

M	po/el.po

commit 1531f3f3b147e8b242bfae9ca5eccc153b690498
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Sep 25 13:54:58 2017 +0200

    Update po/Makevars

M	po/Makevars

commit 5f62ee8b8395b90f403b856d0b8fe214ef9c5458
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Sep 25 13:54:00 2017 +0200

    Add a translator comment to the .desktop file

M	data/org.gnome.Logs.desktop.in

commit ab2108662183805273e014b1ecf705be745f8d85
Author: Niels De Graef <nielsdegraef@gmail.com>
Date:	Sat Sep 2 02:05:51 2017 +0200

    Migrate from intltool to gettext.

    For more info, see [1].

    [1] https://wiki.gnome.org/MigratingFromIntltoolToGettext

    Signed-off-by: Niels De Graef <nielsdegraef@gmail.com>

M	Makefile.am
M	configure.ac
M	data/org.gnome.Logs.appdata.xml.in
M	data/org.gnome.Logs.desktop.in
A	po/Makevars
M	po/POTFILES.in

commit 2c18217aa1c775f1d3c6e714ca230c09df8ac0da
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Tue Sep 12 11:42:30 2017 -0400

    Fix Spanish translation header

M	po/es.po

commit e7a43cc9dc35b3bfe7dc10fe50d833d47ad745e9
Author: hanniedu <hannie@ubuntu-nl.org>
Date:	Mon Sep 11 13:29:57 2017 +0200

    Updated Dutch translation Master 3.26

M	po/nl.po

commit 45e43e2b9518509ef23f9a709955ecad42b227ea
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Sep 11 17:23:51 2017 +0800

    update NEWS for 3.26.0 release

M	NEWS
M	configure.ac

commit 62a023da416841d4301bb04955b2e7af4df386cd
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Sep 10 20:38:39 2017 +0200

    Updated Danish translation

M	po/da.po

commit a54b5e741b5f1ce1b000405f40608d8e0a3b2b13
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Sep 10 10:34:44 2017 +0000

    Update Swedish translation

M	po/sv.po

commit eb887fb060ac2beb32dd953c9d2b9b0ca86a6060
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sun Sep 10 09:15:45 2017 +0200

    Fixes to Catalan translation

M	po/ca.po

commit ba78422aa2fd30ce981b97e09b0d985aac6d8bbf
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sat Sep 9 16:56:29 2017 +0200

    Update Basque language

M	po/eu.po

commit ba133ea825c36501ba8b022b1438afbf021a7a63
Author: Alain Lojewski <allomervan@gmail.com>
Date:	Fri Sep 8 11:32:23 2017 +0000

    Update French translation

M	po/fr.po

commit 65156755d0c17a6e71a1ca7409d56bfb48b17cdb
Author: Jordi Mas <jmas@softcatala.org>
Date:	Thu Sep 7 09:09:58 2017 +0200

    Update Catalan translation

M	po/ca.po

commit b05cc6f1ab3eee7788a32f00e8f8bc524ca90f0d
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:	Tue Sep 5 10:43:29 2017 +0000

    Update French translation

M	po/fr.po

commit 8ef94a2d798d3250ae872da1883ab089af6db3c2
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Sep 4 20:45:52 2017 +0800

    update NEWS for 3.25.92 release

M	NEWS
M	configure.ac

commit 31632b0ae3bad9cc9de709844c41bbea07a77996
Author: Junyoul Lim <purum@postech.ac.kr>
Date:	Sat Sep 2 13:01:06 2017 +0000

    Update Korean translation

M	po/ko.po

commit d3a59ec0fcf3a0bc7be04b1652a08cb7e4166e1e
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Thu Aug 31 16:23:31 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 4f9b5aa27856f25a8d5e06337ffb5814d91de2a9
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Tue Aug 29 08:28:03 2017 +0000

    Update Italian translation

M	po/it.po

commit f897e51097fb46bdd999579f22230388ffd498fe
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sun Aug 27 23:53:02 2017 +0300

    Update Latvian translation

M	po/lv.po

commit 2e098ecfc72cb4c697a1537e2c292a3984063898
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	Sun Aug 27 14:34:51 2017 +0000

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit bca85748f7609435343f488c75c1cac6c45d0e1e
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	Sun Aug 27 11:20:59 2017 +0000

    Update British English translation

M	po/en_GB.po

commit cae59ff4107ae456deebf9318f8d234daba82074
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sat Aug 26 19:11:44 2017 +0200

    Updated Danish translation

M	po/da.po

commit 2d5b1852eaf5ae83261a00166c806b0051a9f97e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Wed Aug 23 23:24:25 2017 +0300

    Updated Lithuanian translation

M	po/lt.po

commit fedb63af77183afec641cf7c37abedec6f92707f
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Aug 23 18:02:36 2017 +0000

    Update Slovak translation

M	po/sk.po

commit 1183116d05ca9f0a6360da0f44f1da88c22f8d8f
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Aug 21 17:42:42 2017 +0800

    update NEWS for 3.25.91 release

M	NEWS
M	configure.ac

commit db3191ac2e936c8f0b91f03d869687290e80feca
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Aug 21 08:22:03 2017 +0000

    Update German translation

M	po/de.po

commit f2f388f6aef3f5a6c51c7bdcb57fdf2e430c8d1c
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Aug 21 08:19:09 2017 +0000

    Update German translation

M	po/de.po

commit a7c9ae04b9939e1cfe70b7264400cb5e1ae35d68
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Mon Aug 21 00:55:47 2017 +0200

    Updated Czech translation

M	po/cs.po

commit e9357fc557776ae3e3dcc347e8d2dd422b228544
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sun Aug 20 16:50:04 2017 +0000

    Update Kazakh translation

M	po/kk.po

commit 3862b0e2f6b7352f9505186eebf0129887297f0f
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:	Wed Aug 16 06:43:35 2017 +0000

    Update Turkish translation

M	po/tr.po

commit f61ee870d19819d94188ccd4c0383af29a6b3373
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Tue Aug 15 17:17:53 2017 +0000

    Update Finnish translation

M	po/fi.po

commit e7504890476ec59da99f8e37b00ff4fefa1c53dc
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Mon Aug 14 21:00:46 2017 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 7ef9c34d37551afdce8701780c88badd2e3f9cd9
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Sun Aug 13 10:08:27 2017 +0000

    Update Galician translation

M	po/gl.po

commit e0c9a2dde518cff18080231d6e35235d161f4aaf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Aug 11 04:16:45 2017 +0200

    Update Polish translation

M	help/pl/pl.po
M	po/pl.po

commit 54d23444acd55fd24ea86ed83bfcce03fcb33976
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Wed Aug 9 22:12:50 2017 +0200

    Updated Slovenian translation

M	po/sl.po

commit 7ed5bfa968d5d317e74904c1fb4fa5ad1499fb37
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	Tue Aug 8 23:49:18 2017 +0000

    Update Indonesian translation

M	po/id.po

commit 647395787fa88e7e297a293df680de8030284e9f
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Tue Aug 8 18:48:03 2017 +0000

    Update Friulian translation

M	po/fur.po

commit d5f1bc02accdeca0f8a49867f8f001eb23b113e8
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Aug 8 09:43:25 2017 +0800

    update NEWS for 3.25.90 release

M	NEWS
M	configure.ac

commit 83dbad19b769c73eceb0bf942a4164366bcdcd49
Author: Anish Sheela <aneesh.nl@gmail.com>
Date:	Sun Aug 6 05:48:09 2017 +0000

    Add Malayalam translation

M	po/LINGUAS
A	po/ml.po

commit 3942648a0bce1d890d234c621ce492ec60714f29
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sat Aug 5 11:59:26 2017 +0200

    Updated Spanish translation

M	po/es.po

commit 68cd0259419cd22d082e042ce37fd1cddcba1ed0
Author: Balázs Meskó <meskobalazs@fedoraproject.org>
Date:	Fri Aug 4 19:21:31 2017 +0000

    Update Hungarian translation

M	po/hu.po

commit 26dbc0a7499d8e1f8cb8b26e95db49ba58438c81
Author: gogo <trebelnik2@gmail.com>
Date:	Thu Aug 3 20:03:36 2017 +0000

    Update Croatian translation

M	po/hr.po

commit f5b9cc9b17dbd8aa03904aaadfec22d2872ea78f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Wed Aug 2 10:27:42 2017 +0200

    Updated Slovenian translation

M	po/sl.po

commit abf753c0f0ac8a4d8b62263661b9fd0fa0d54fb6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 1 16:24:03 2017 +0200

    gschema: Use Unicode apostrophes in a translatable string

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=772263

M	data/org.gnome.Logs.gschema.xml

commit c648988620d87c1643a7e821daad84294a5a0f58
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Mon Jul 31 17:29:25 2017 -0400

    build: Require GTK+ 3.22

    Required by https://git.gnome.org/browse/gnome-logs/commit/?id=69a3606
    because gtk-show-uri-on-window was introduced in 3.22

    https://bugzilla.gnome.org/show_bug.cgi?id=785659

M	configure.ac

commit 5a73d390d6bc86fe6cf9fea2a05cafa211157582
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Jul 12 17:35:50 2017 +0800

    Allow users to ignore insufficient permission warning

    Currently, if an user don't have sufficient permission to view logs,
    a GtkInfoBar will show up to warn the user about it. And it shows up
    every time the user opens Logs until the user has sufficient
    permission. This can be quite annoying.

    Fix this by adding an "ignore" button to GtkInfoBar to give users the
    option to ignore the warning.

M	data/gl-window.ui
M	data/org.gnome.Logs.gschema.xml
M	src/gl-window.c

commit f7a320c64b40be9a9bbce95f995eb3e984d3bf7b
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun Jul 30 19:38:41 2017 +0000

    Update German translation

M	po/de.po

commit 5435591184728c9357fb807276c6848adc2e9869
Author: gogo <trebelnik2@gmail.com>
Date:	Sat Jul 29 17:12:11 2017 +0000

    Update Croatian translation

M	po/hr.po

commit 9d08a988285d0adee8ae98b8c915b6d414dc2729
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Thu Jul 27 12:26:55 2017 +0000

    Update Kazakh translation

M	po/kk.po

commit a6c4d30f06125e4b8c0d8815e415b7aab817b9dc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Jul 25 20:13:29 2017 +0200

    Updated Spanish translation

M	po/es.po

commit 0552d30daf00398b8660645e5d383facb8b6d068
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Mon Jul 10 22:40:46 2017 +0530

    Various improvements to event compression UI

    The UI improvements as suggested by Allan
    and Jakub are implemented in this commit:

    * Use color theme suggested by Jakub for
      expanded rows.
    * Use row separator to indicate boundaries
      of expanded header and it's group.
    * Add hover effect to the expanded rows.
    * Increase grid spacing and decrease label
      padding in popover grid.
    * Use regular text everywhere in the detailed
      popover.
    * Add padding for popover grid.
    * Highlight the row pointed by detailed popover.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	data/gl-eventviewdetail.ui
M	data/gl-style.css
M	src/gl-eventviewdetail.c
M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h

commit c826662a0156f1eb2fe34be90a9755abf20233a3
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Jul 20 09:42:26 2017 +0800

    update NEWS for 3.25.4 release

M	NEWS
M	configure.ac

commit b94fddc79dd28c825127db81d83a283719429f71
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Wed Jul 19 13:54:43 2017 +0000

    Update Friulian translation

M	po/fur.po

commit 211bdac7b199c020ea0abfda4fb2301961b698ee
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	Mon Jul 10 09:45:53 2017 +0000

    Update Indonesian translation

M	po/id.po

commit 808466cfb6d8358e1d4766b9497634e58aa98718
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Fri Jul 7 09:31:36 2017 +0800

    Remove size group for the widgets in each row

    GtkSizeGroup is used to make sure widgets in diffirent rows request
    the
    same amount of space  while implementing "Use a single row for each
    log entry" in commit 995bacac51ee84516e9d0c4950dcc1edd45cdd64.
    But adding too many widgets to GtkSizeGroup leads to poor performance,
    which make scrolling the list in Logs very slow.

    Fix that by removing the GtkSizeGroup. As there are not too many
    widgets
    in the "Important" category, keep the category size group to make
    category labels request the same amount of space.

    https://bugzilla.gnome.org/show_bug.cgi?id=784216

M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h

commit 7d05b99429ef9c1e6c82dcae945653774817937e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Thu Jul 6 22:29:34 2017 +0000

    Update Friulian translation

M	po/fur.po

commit 68287983d5b79705abe692eb988203b851b889b2
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Fri Jun 30 10:04:35 2017 +0800

    Remove tooltip showing full log text from each row

    A popover has been used as a replacement to the previous details page
    to show detailed information for each row, so the tooltip that shows
    full log text is redundant. Remove the tooltip from each row.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	src/gl-eventviewrow.c

commit ba92386649efbfff25d1dff12b46ef9bf9db4db5
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri Jun 23 18:32:15 2017 +0530

    Remove GlEventView type

    The GlEventViewDetail type now derives from GtkPopover instead of
    GtkBin.Hence, The mode setting operation provided by GlEventView type
    (which is derived from GtkStack) is no longer needed as a GtkStack
    is not required to switch between GlEventViewList and
    GlEventViewDetail.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	Makefile.am
M	data/gl-eventtoolbar.ui
D	data/gl-eventview.ui
M	data/gl-window.ui
M	data/org.gnome.Logs.gresource.xml
M	src/gl-application.c
M	src/gl-eventtoolbar.c
M	src/gl-eventtoolbar.h
D	src/gl-eventview.c
D	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-window.c

commit 2391b02c0a4cbde9ac1cf313c6ce7741c96be781
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Mon Jun 12 23:35:45 2017 +0530

    Display detailed event information in a GtkPopover

    A GtkPopover is shown when a row which is not a header is
    activated. For handling very long messages, the message text is
    wrapped to fit the size of the GtkPopover. Further, such long
    messages are shown in a GtkScrolledWindow. All the earlier
    available detail fields are shown in the GtkPopover.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	data/gl-eventviewdetail.ui
M	data/gl-style.css
M	src/gl-eventview.c
M	src/gl-eventviewdetail.c
M	src/gl-eventviewdetail.h
M	src/gl-eventviewlist.c

commit 3bb233264c9de1a471db86344656ffa77ca9a1e4
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri Jun 9 19:01:04 2017 +0530

    Compress similar events in GlEventViewList

    The compression information is stored in GlRowEntry objects
    during population of the model array.The similarity criteria
    for grouping adjacent messages is:

    * Messages whose first word is same
    * Messages sent by the same process

    The compression information is then parsed in the view classes
    and accordingly the events to be compressed are hidden in
    GlEventViewList.

    The visibility of compressed events can be toggled by
    activating the header row representing those compressed events.

    When compressed events are expanded using the header, sorting order
    specified by 'sort-order' GSettings key is maintained in
    GlEventViewList.

    Headers are removed from the compressed rows to improve their
    visibility
    when they are shown by activating the header.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	data/gl-style.css
M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-journal-model.c

commit 0a7fd4c44a7b1cae314aaec0d4048c16d636fe91
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri Jun 9 15:49:15 2017 +0530

    Pass GlRowEntry objects from model to view

    The model array is populated with GlRowEntry objects. The view
    classes now interact with GlJournalEntry through GlRowEntry
    objects.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	src/gl-eventview.c
M	src/gl-eventviewdetail.c
M	src/gl-eventviewdetail.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h
M	src/gl-journal-model.c

commit 08a5624b1eb28d8419637a1b655dfe192b71473e
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri Jun 9 14:42:57 2017 +0530

    Define GlRowEntry object and it's API

    The GlRowEntry object includes flags/variables to store information
    about the compression of journal entries and pass it on from the
    model to view.

    There are three types of row entries: uncompressed, compressed,
    header.

    If a row entry is a header, then it also stores the compressed
    journal entries which are represented by the header.

    https://bugzilla.gnome.org/show_bug.cgi?id=709294

M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit 88a06285bb6257e60ab8abe226874524e2fbb5c8
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sun Jun 18 17:29:19 2017 +0200

    Fixes to Catalan translation

M	po/ca.po

commit efb5145544803e4a9a23e0d9db3a94d2dce0eff2
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sun Jun 18 14:31:34 2017 +0200

    Update Catalan translation

M	po/ca.po

commit 4aecdf242964aa4c3817b565bb25c6708a29dbb5
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Tue May 9 21:47:44 2017 +0530

    Move sorting from view to model

    The logs shown in GlEventViewList are now sorted from GlJournalModel.
    The logs can be sorted in ascending or descending order according
    to the timestamp. The sorting order can be controlled by setting
    the 'sort-order' GSettings key.

    https://bugzilla.gnome.org/show_bug.cgi?id=767995

M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit de3022f1012c4fe97d1420a9b2dce6debe83305a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon May 22 22:00:57 2017 +0200

    Add Polish help translation

M	help/Makefile.am
A	help/pl/pl.po

commit 57fde75e1f2678b637b809619eb0378626fa95d5
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Apr 25 11:08:58 2017 +0800

    update NEWS for 3.25.1 release

M	NEWS
M	configure.ac

commit 2f72200059359f38ebee49f17f11413e46194fbc
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Apr 25 11:05:38 2017 +0800

    Avoid deprecated gtk_show_uri()

    Use gtk_show_uri_on_window() instead.

M	src/gl-application.c

commit cbced21e887547c24e553bcfca5472a28368ebbd
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:	Fri Apr 14 16:15:00 2017 +0000

    Update Serbian translation

M	po/sr.po

commit 2e59af56c890437bd7cf62911c27a7be6711850d
Author: gogo <trebelnik2@gmail.com>
Date:	Tue Apr 11 16:02:07 2017 +0000

    Add Croatian translation

    (cherry picked from commit f9496858b999c87d6fbcc70f3d09fa7797c5b1a1)

M	po/LINGUAS
A	po/hr.po

commit 0f6db7186c861da00595a825449ba55dcf9d83ec
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Apr 9 17:08:00 2017 +0300

    Updated Lithuanian translation

M	po/lt.po

commit f7e3116c790ddbbac01f7d36fb7b693a89e82d87
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sun Apr 9 12:54:50 2017 +0300

    Update Latvian translation

M	po/lv.po

commit f7f84d069583e4a2198565197251a03cf7be098c
Author: Γιάννης Κουτσούκος <giankoyt@gmail.com>
Date:	Fri Apr 7 10:26:16 2017 +0000

    Update Greek translation

M	po/el.po

commit 99654f9c5b58e240d4541aefe4a555caf93dcdde
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sun Apr 2 14:02:57 2017 +0300

    Update Latvian translation

M	po/lv.po

commit 157fcc7b543cf76a19175a4b3bf8790aec7109ff
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Mar 27 21:56:57 2017 +0200

    Update Polish translation

M	po/pl.po

commit 50dea14d694d536f7376599bb822be2a5f5d9530
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Mar 25 21:06:35 2017 +0100

    Update Polish translation

M	po/pl.po

commit 506ec33e328fbbf258f7ea5dc7bc78a4abe3def3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sat Mar 25 18:20:25 2017 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit bbd576c4cc8a94a425eae6f7d3b98dcae733a999
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Mar 25 13:41:11 2017 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 8e9acf872ba7a5fc7c5bc360191a339ef14de178
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Mar 16 17:50:15 2017 +0800

    Increase default window size to 1200*780

M	data/gl-window.ui

commit 69a3606024b0739101226230c5c80ae198bf53bd
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Mar 16 18:05:01 2017 +0800

    Avoid deprecated gtk_show_uri()

    Use gtk_show_uri_on_window() instead.

M	src/gl-window.c

commit 247a565fd9e9ec50d88bcec39dbb33c49ab08216
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Mar 22 09:10:51 2017 +0000

    Update Spanish translation

M	po/es.po

commit e5903c1199ad5676b58e086c07c893be9ecf93bd
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Tue Mar 21 21:09:24 2017 +0000

    Update Slovak translation

M	po/sk.po

commit 2f9dab0a108d7afcc3f5694778c9b902a2e284d6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Tue Mar 21 18:40:50 2017 +0000

    Update German translation

M	po/de.po

commit 5aea5a4b66e76cfc7f73beadf4b530a3695cf3ee
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Tue Mar 21 15:07:25 2017 +0000

    Update Hungarian translation

M	po/hu.po

commit a237dadbc169461f7e0bb98e74c2fb4c25eba958
Author: Seong-ho Cho <shcho@gnome.org>
Date:	Tue Mar 21 03:29:21 2017 +0000

    Update Korean translation

M	po/ko.po

commit 5ca64e34adb364ced0b8e07d46b8ed9825454403
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Mar 21 09:35:44 2017 +0800

    Update NEWS for 3.24.0 release

M	NEWS
M	configure.ac

commit c0e4b915847ac0111c534684a9c3a25e0ea4451b
Author: Stas Solovey <whats_up@tut.by>
Date:	Mon Mar 20 21:25:45 2017 +0000

    Update Russian translation

M	po/ru.po

commit e81e04e1d204bd02c4e3a161ed6f7f432cee5fb8
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:	Mon Mar 20 19:08:58 2017 +0100

    Updated Czech translation

M	po/cs.po

commit 9f23e950006e3573b45166556992b44417d74844
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Mar 20 17:36:43 2017 +0000

    Update French translation

M	po/fr.po

commit 4e75bbc0dcaa45c1ebfcef68cc153db3ab193d8e
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Mon Mar 20 13:35:37 2017 +0200

    Updated Ukrainian translation

M	po/uk.po

commit a079e9a88c88e113a20ca6c4b357a1b7b3e31cf0
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Mon Mar 20 10:09:26 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit cf865b24c0586df53e1c74bc22ebf96dfc1e8de7
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Mon Mar 20 08:54:05 2017 +0000

    Update Italian translation

M	po/it.po

commit 1aca138337c42b5d960ece859b709afe93944d3f
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	Mon Mar 20 02:07:30 2017 +0000

    Update Indonesian translation

M	po/id.po

commit c612b48178ee281d7020e4ebae3e8e19861be348
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Mar 19 23:52:14 2017 +0000

    Update Swedish translation

M	po/sv.po

commit f28e1563ff4bef34b142d444f339b079a5115b88
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Mon Mar 20 00:09:42 2017 +0100

    Updated Danish translation

M	po/da.po

commit db63b8cf83aad915e89c20b8989e2520b3d25566
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Sun Mar 19 21:47:49 2017 +0000

    Update Galician translation

M	po/gl.po

commit 5265938ea764c0dbbd2adacc58d40e3f40ddd613
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Sun Mar 19 21:29:29 2017 +0000

    Update Friulian translation

M	po/fur.po

commit b8df941719e66aee83ffaa5c1b31b08004dce964
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Mar 19 17:37:46 2017 +0100

    Updated Danish translation

M	po/da.po

commit 2c35366eec85be0f78a5886ca15edb96ad86a3a3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Mar 19 17:30:58 2017 +0100

    Update Polish translation

M	po/pl.po

commit 38779fd1e026acbb952cb3b61a9c3fbe958b57bd
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sun Mar 19 16:30:37 2017 +0000

    Update Kazakh translation

M	po/kk.po

commit 23122a30bc2751c33a4bb3353b023a591a53921c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Mar 19 17:10:02 2017 +0100

    Mark forgotten strings for translation

M	data/gl-searchpopover.ui

commit 8fa8f41cd4fb442db6f09e1a26188041d912ea02
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sun Mar 19 17:45:26 2017 +0200

    Update Latvian translation

M	po/lv.po

commit 372ae6137fbbc3c1efaeb43e417be22b68ce48d6
Author: Seong-ho Cho <shcho@gnome.org>
Date:	Sun Mar 19 02:19:44 2017 +0000

    Update Korean translation

M	po/ko.po

commit b1888c5f9aa84b8b9238919088e5cf127fc39a5f
Author: Osman Karagöz <osmank3@gmail.com>
Date:	Thu Mar 16 14:55:14 2017 +0000

    Update Turkish translation

M	po/tr.po

commit c745f95f9b9d2ac90972b2057b0ae7ef44a69f05
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Thu Mar 16 16:38:28 2017 +0400

    Updated Russian translation

M	po/ru.po

commit 7f011690c558d3c4d6f64aa907c25ba256b1ebd8
Author: Claude Paroz <claude@2xlibre.net>
Date:	Thu Mar 16 09:42:08 2017 +0100

    Updated French translation

M	po/fr.po

commit 3a18089824f1c54c4c20f73442711567ecc9a676
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Thu Mar 9 22:33:46 2017 +0000

    Update Italian translation

M	po/it.po

commit 70b7cbddab99c96ad51cc68ef33ead5b9b2450e0
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	Tue Mar 7 09:57:32 2017 +0000

    Update Scottish Gaelic translation

    (cherry picked from commit 33297b6d4a4f6cb2464ee5b0b9091da113be106b)

M	po/gd.po

commit da33b6837b4f8216a698ceb7dff47caac18f9ad6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Mar 6 22:16:31 2017 +0000

    Update German translation

M	po/de.po

commit 7887155a5319b6174fff99da95c6f2336c3162ba
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Mar 5 21:00:48 2017 +0000

    Update Swedish translation

M	po/sv.po

commit 789733aa7fcd4c5ddc787f014803434b1d4208ce
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sun Mar 5 11:13:38 2017 +0000

    Update Occitan translation

M	po/oc.po

commit 92b1ce2c2fae53ff30ac2d96a23e70070246c871
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Thu Mar 2 13:14:02 2017 +0100

    Updated Danish translation

M	po/da.po

commit 71fd1ff1e64020de1df7908e75edc7e827d66bb2
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Feb 28 07:48:05 2017 +0800

    Update NEWS for 3.23.91 release

M	NEWS
M	configure.ac

commit 3083dcea0e6a4cc5cd393eb1027bc7dc6c26809e
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Feb 26 08:38:47 2017 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 27a8bc964aeb05de80f8b3619ba4b8a995327ce2
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Fri Feb 24 22:44:48 2017 +0000

    Update Friulian translation

M	po/fur.po

commit e3bdb9f880d73a7e5a1beedab0beefa087630301
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Wed Feb 22 01:34:13 2017 +0000

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit bc17200a0b3784d8135eccf6624c1f342379ce72
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Mon Feb 20 17:47:59 2017 +0100

    Update Basque language

M	po/eu.po

commit 805aab9cd7e89809cd611ba6735a9fd7e8e682b9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sat Feb 18 11:08:07 2017 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 9891bb2322d083790cccea82c5a42268cef56a0e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Feb 14 07:28:50 2017 +0800

    Update NEWS for 3.23.90 release

M	NEWS
M	configure.ac

commit 28b3c8e98cc3432851c42484bb47dfa98f374cd3
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	Mon Feb 13 06:36:21 2017 +0000

    Update Indonesian translation

M	po/id.po

commit a6145ed0ecc7dba8bacb4f8dc5055b27bb28ff09
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Jan 24 11:05:10 2017 +0800

    Fix crash when users don't have proper permissions

    When users don't have permissions to view both system and user logs,
    priv->boot_match equals NULL. One common scenario is the journal
    storage
    type is volatile and there is no journal files under /var/log/journal.
    So don't add boot match under this scenario.

    https://bugzilla.gnome.org/show_bug.cgi?id=776818

M	src/gl-eventviewlist.c

commit 47e83b70d8248629cc47c66d08f062d9c94c2f62
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Sat Jan 28 23:43:08 2017 +0530

    Fix crash when exact search type is selected

    https://bugzilla.gnome.org/show_bug.cgi?id=777681

M	src/gl-journal-model.c

commit 2975e340d276aa1b433092e81cf68ab4086b90b1
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Thu Jan 26 22:11:42 2017 +0000

    Update Galician translation

M	po/gl.po

commit af5a7e4fe09bed59fa8887c7d6e522f43bc0f59e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jan 22 01:06:03 2017 +0100

    Update Polish translation

M	po/pl.po

commit 696d0e6106de065dba7066523951c6b9f41efbe5
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jan 22 01:04:43 2017 +0100

    Fix translator comments in an .ui file

M	data/gl-searchpopover.ui

commit c47df02e9176f6c424f59d15321424c9c5ea801d
Author: Jeff Bai <jeffbai@aosc.xyz>
Date:	Sat Jan 21 22:54:41 2017 +0800

    update zh_CN translation

M	po/zh_CN.po

commit 05fef337b3997915cdb16cb739019372eb5b17c6
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:	Sat Jan 21 22:37:55 2017 +0800

    update zh_CN translation

M	po/zh_CN.po

commit b5cf6168426157b63a15551a101a80bd52dfee90
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Thu Jan 19 20:23:26 2017 +0000

    Update Slovak translation

M	po/sk.po

commit 85ae686057687227328f533d1b0650e30ce95d2e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Jan 17 09:06:08 2017 +0800

    Update NEWS for 3.23.4 release

M	NEWS
M	configure.ac

commit 4c10e48d679894db95c91f0b9c724789d1685802
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Jan 5 21:52:50 2017 +0800

    Rename some functions

    Rename gl-*-get_current_boot_time to gl-*-get_boot_time. Since we pass
    boot_match to these functions, the return value is boot time regrading
    to a specific boot_match instead of the current boot time.

M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-journal-model.c
M	src/gl-journal-model.h
M	src/gl-journal.c
M	src/gl-journal.h
M	src/gl-window.c

commit 15d52ca7135a8a4a1acebad70ab2ada5293c4d38
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:	Wed Jan 4 20:30:10 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 2e41261f3c4da63890227f5174e23fe608d9a676
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Sun Dec 25 13:38:47 2016 +0000

    Update Finnish translation

M	po/fi.po

commit f78ec9f3b37cf5e0baff31de6971e697786ee02e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Dec 15 23:18:05 2016 +0800

    Keep boot_match as a duplicated string

    GlEventViewListPrivate->boot_match should keep a copy of the state
    string of "view-boot" action instead of simply pointing to the state
    string to.

M	src/gl-eventviewlist.c

commit 3f13765f8ad0cfe60f114ed0df53aa8c187da7fa
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Tue Dec 13 03:44:00 2016 +0000

    Update Kazakh translation

M	po/kk.po

commit da67d7b125b64badf0ec383699ea439650ccb362
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Dec 12 17:46:21 2016 +0800

    Update NEWS for 3.23.3 release

M	NEWS
M	configure.ac

commit a24c9dad4f2853b44ffbaa109c8e66bfa75c4acf
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Fri Dec 2 15:00:05 2016 +0800

    Remember search results when switch back to list

    Don't hide search bar when entering detail view from search results,
    so
    we can still go to event list view with search results remembered.

    https://bugzilla.gnome.org/show_bug.cgi?id=766766

M	src/gl-window.c

commit 412f0dc9aed2c9be09b48c8bcd873469810609e8
Author: Stas Solovey <whats_up@tut.by>
Date:	Wed Nov 23 22:07:57 2016 +0000

    Update Russian translation
    (cherry picked from commit 8b0c67e4cc3654a4c91b916456793b5b02b9c0a4)

M	po/ru.po

commit 90dda3534403d4a4ab8df7ae1a29504bfb30c3b7
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Nov 22 09:56:14 2016 +0800

    Update NEWS for 3.23.2 release

M	NEWS
M	configure.ac

commit fa982a946a51ea4e3ce37c79ff62a96eca13ce93
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sat Nov 12 11:43:11 2016 +0000

    Update German translation

M	po/de.po

commit 3deaab4b6dd47264152e0a509b093648cc552c77
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Nov 10 13:49:11 2016 +0100

    Use Unicode in translatable strings

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=772263

M	src/gl-searchpopover.c

commit 7cf983248a47f356e2680b210e7c9eb419e55e8b
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Oct 20 18:03:39 2016 +0800

    Improve search performance

    While searching, tokenize_search_string() is call for every log entry.
    Because the results are exactly the same, so there is no need to
    call it
    repeatedly. Just call it once to get the expected value.

    https://bugzilla.gnome.org/show_bug.cgi?id=763747

M	src/gl-journal-model.c

commit 260bfdabbacc2d7dbef2e51169ee266570bb4f8a
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Fri Nov 4 15:09:54 2016 +0000

    Update Friulian translation

M	po/fur.po

commit 54205673493d756a1f8ecafec8f14a45004b8868
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Nov 2 08:50:58 2016 +0000

    Update Spanish translation

M	po/es.po

commit c6476b394264cec69a8673b750b5b661f4cdb02e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Mon Oct 31 14:24:11 2016 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 5f7d5cac61455be80f16b3d7a170dfaf4a84eb98
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Oct 28 19:18:25 2016 +0200

    Updated Czech translation

M	po/cs.po

commit ef6323d08972045f815064412f1674246d4b9a5a
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Thu Oct 27 20:35:15 2016 +0000

    Update Friulian translation

M	po/fur.po

commit 4b38dfb594f600c0fc8d50e859ac3b418695de4e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Wed Oct 26 03:13:42 2016 +0000

    Update Friulian translation

M	po/fur.po

commit 2785efd2a94e4e9fa52fa569bfa8662ae65d312e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Sat Oct 22 17:27:51 2016 +0800

    Connect search entry to the search bar

    https://bugzilla.gnome.org/show_bug.cgi?id=773347

M	src/gl-eventviewlist.c

commit 933aacfde453aa16314f12848bb8a48a99d2df21
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Oct 25 10:04:20 2016 +0800

    Update NEWS for 3.23.1 release

M	NEWS
M	configure.ac

commit e2437539d2a012d60525b1a319000cc955a1fbcd
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Sun Oct 23 19:55:55 2016 +0000

    Update Hungarian translation

M	po/hu.po

commit 387210e9d14676627a601719c9133e5b95f3918d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Oct 20 22:11:57 2016 +0200

    Update POTFILES.in

M	po/POTFILES.in

commit bcf4307e2e22328c7f9d87df653a78c06f7f6a5a
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Oct 10 16:43:51 2016 +0800

    Fix CSS parsing error

    https://bugzilla.gnome.org/show_bug.cgi?id=768985

M	src/gl-application.c
M	src/gl-util.c
M	src/gl-util.h

commit 9eb24061bc6d2ed745ba2996e46e30e7b4ac3d18
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Sun Aug 14 18:39:22 2016 +0530

    Add custom journal timestamp range submenu

    The custom timestamp range submenu is opened through the select
    timestamp range treeview.

    If the user doesn't specify any date, then today's date is taken as
    default. If the user doesn't specify any time, then 11:59:59 PM is
    taken as default start time and 12:00:00 AM is taken default end time.
    This is done so that if the user selects the same date in both the
    start and end date selection widgets, all the logs corresponding to
    that date will be shown in the window.

    The journal is filtered according to the entered start date-time and
    end date-time timestamp range and the logs are shown in window
    accordingly.

    Invalid values in time spinboxes are set to nearest correct values.
    Future dates fail silently.

    If the user selects any other filter, then the options
    in the custom timestamp range submenu are reset.

    Depending upon whether the user has selected start date-time
    or end date-time, we update the timestamp range button label
    accordingly.

    If time zone format is 24hr, we show only the hour-minute-second
    spinboxes in the custom timestamp range submenu.

    https://bugzilla.gnome.org/show_bug.cgi?id=767996

M	data/gl-searchpopover.ui
M	src/gl-eventviewlist.c
M	src/gl-searchpopover.c
M	src/gl-searchpopover.h

commit ec6b654fea3466707efa421a0894ffc9834e3b19
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Sun Jul 24 22:14:54 2016 +0530

    Add journal timestamp range filters

    The journal timestamp range filters in search popover can be
    used to set the timestamp range of journal model.The default
    journal timestamp range is the currently selected boot from
    the boot selection menu in toolbar.

    The query object was modified to include two
    new parameters for storing the start and end timestamps
    of the journal.

    The gl_journal_set_matches() function was modified to
    remove setting the boot match if no boot match is specified.

    The search popover range button label is made consistent when
    user selects boot through the toolbar boot selection menu.

    https://bugzilla.gnome.org/show_bug.cgi?id=767996

M	data/gl-searchpopover.ui
M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h
M	src/gl-journal.c
M	src/gl-journal.h
M	src/gl-searchpopover.c
M	src/gl-searchpopover.h

commit 3f028d5430e06253fd66c4294a9652d02eb31a21
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Sat Jul 23 19:34:00 2016 +0530

    Add search type option to search popover

    A radio button group was addded to select between "Exact"
    and "Substring" search types.The default search type is
    "Substring" search.

    We hide the search type radio button group if "All Available Fields"
    is selected as exact search doesn't make sense in that case.

    The GlJournalModel class was modified to handle the case when all
    search fields are exact and there are no substring matches.It was also
    modified to handle the case when the exact search match string has a
    null or empty value in which case we do not pass it to
    gl_journal_set_matches().

    GL_QUERY_* prefix was added to the enum nicks for making
    it consistent with the enum name GlQuerySearchType.

    https://bugzilla.gnome.org/show_bug.cgi?id=767996

M	Makefile.am
M	data/gl-searchpopover.ui
M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h
M	src/gl-searchpopover.c
M	src/gl-searchpopover.h

commit b58ad1fcc1973da8869b39e28b65c751619d3036
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri Jul 22 18:55:37 2016 +0530

    Add search popover with journal field filtering

    The search popover can be selected from the
    drop down menu besides the search bar. Individual
    journal field or all available journal fields can
    be selected from the search popover.The default
    journal field filter is "All Available fields".

    The search popover is designed to look similar to the
    Nautilus search popover.

    If Nautilus implementation of search popover changes in
    future, gnome-logs implementation of search popover should
    be kept in sync with it.

    https://bugzilla.gnome.org/show_bug.cgi?id=767996

M	Makefile.am
M	data/gl-eventviewlist.ui
A	data/gl-searchpopover.ui
M	data/org.gnome.Logs.gresource.xml
M	src/gl-eventviewlist.c
A	src/gl-searchpopover.c
A	src/gl-searchpopover.h

commit 191a1df44eb813170b15a862e59bfbecb4e66b19
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Oct 17 17:48:45 2016 +0800

    Delete unused function in gl-eventviewlist.c

    In commit b86a50a312b08dadbd58e04db351c38c65927b46, search matches was
    moved to model. So gl_event_view_list_search is no longer needed.

M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h

commit 4a9e2dc813451df0adfb0c6ac61c7ce01f783f65
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Oct 16 11:59:09 2016 +0200

    Updated Norwegian bokmål translation from Kjartan Maraas.

M	po/nb.po

commit 69be8c7f70b6110ce7d77f69dc9eb0e56904b2df
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Sun Oct 9 20:56:53 2016 +0700

    Updated Thai translation

M	po/th.po

commit 50e5ca8dc2bd18752128f5443f10b3a35a1f16bf
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:	Thu Oct 6 11:55:17 2016 +0000

    Updated Italian translation
    (cherry picked from commit 13a44b90d397ef8e36ef734b71f276ecc27aeb5c)

M	po/it.po

commit 136bcef4fe0ea052586d371b00ce9fc7bcf42f7a
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Oct 2 19:20:43 2016 +0200

    Updated Danish translation of docs by scootergrisen

M	help/Makefile.am
A	help/da/da.po

commit 9479eb0b93b69aab5b809c7c32fe6ae203e3b0e7
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Mon Sep 19 14:25:37 2016 +0200

    Update Basque language

M	po/eu.po

commit 2d7646cb934d374fb1828adbdedbec41761eb58b
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Sep 20 12:59:18 2016 +0800

    Update NEWS for 3.22.0 release

M	NEWS
M	configure.ac

commit c54a5ef5275e490ce79d2686fed174885f03ae13
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Fri Sep 16 20:04:45 2016 +0300

    Updated Ukrainian translation

M	po/uk.po

commit cce4bcd71f7fd91bfaddac253421dcb756ef0eb4
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:	Tue Sep 13 12:57:29 2016 +0000

    Added Scottish Gaelic translation
    (cherry picked from commit 9a86f3335f50b42aa30e5d629ca905112e7c5883)

M	po/LINGUAS
A	po/gd.po

commit b6445130ba157dbf9d3a36676bde46aafae99fcc
Author: David King <davidk@gnome.org>
Date:	Tue Sep 13 13:25:45 2016 +0200

    Update NEWS for 3.21.92 release

M	NEWS
M	configure.ac

commit cde50ce4631030fa3c46d5b6e26d2eaa3b78508b
Author: David King <davidk@gnome.org>
Date:	Tue Sep 13 13:21:08 2016 +0200

    Fix crash when the journal is empty

    https://bugzilla.gnome.org/show_bug.cgi?id=770072

M	src/gl-window.c

commit 8b1414bbab47d7e97b9d56abde17a80d91ea0fa2
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Tue Sep 13 13:01:35 2016 +0430

    [l10n] update Persian translations

M	po/fa.po

commit 6304093f7c7243c87fbd3dc74b220d0b87809af1
Author: Seong-ho Cho <shcho@gnome.org>
Date:	Mon Sep 12 23:35:27 2016 +0000

    Updated Korean translation

M	po/ko.po

commit 4738811df95ae68c38095ea29382beef6b68b8fb
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Mon Sep 12 02:08:04 2016 +0200

    Updated Danish translation

M	po/da.po

commit d6acf5a2595fff4930ed8944751f3f099a528a01
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	Sun Sep 11 21:32:32 2016 +0000

    Updated Greek translation

M	po/el.po

commit aed2664a648d135608fd68d8cc1c4d3f34329748
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	Fri Sep 9 01:13:29 2016 +0200

    Updated Galician translations

M	po/gl.po

commit 67e855db4f335a665a6017272a2c2133293dc993
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Sep 9 00:27:38 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 9f3bb54f7483c7b7edc6266fa8ce84ac85d66482
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Thu Sep 8 18:46:17 2016 +0300

    Update Latvian translation

M	po/lv.po

commit 49a22836388bf1eb032b8d2ce4a332b8c71371df
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Tue Sep 6 19:34:31 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit 5aaadc0d626948477764a5aef58e76f1bee2ddaf
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Tue Sep 6 08:30:14 2016 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 7770c8659451b4759e8e1f1130a7256dc124149b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Sep 4 17:02:01 2016 +0300

    Updated Lithuanian translation

M	po/lt.po

commit f7670a0b97779965943d890fa88f211932a2f296
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sun Sep 4 05:03:44 2016 +0000

    Updated Kazakh translation

M	po/kk.po

commit aebc43c1ddca7a6840696841f243e0ec30bd5092
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Aug 28 12:12:57 2016 +0000

    Updated French translation

M	po/fr.po

commit d5692622e98a346ecd13e841714fb9f28c0123b4
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Aug 28 07:33:40 2016 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 0e23c44ec0498f97e46b43a5d7cfa778f7676be0
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Mon Aug 22 20:03:57 2016 +0000

    Updated Friulian translation

M	po/fur.po

commit ab95fa580dd509075c99483e74c95597e2cb7b16
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun Aug 21 10:22:09 2016 +0000

    Updated German translation

M	po/de.po

commit 7dee3ff5d72f99bc2446a05bda894231f0070cbb
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Fri Aug 19 21:14:42 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit bd3f48c3ea05430d6f52594fed038d5b068ac666
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Thu Aug 18 23:12:49 2016 +0200

    Updated Slovenian translation

M	po/sl.po

commit 76043a1287ec55147a190a8a00b23c358f345a25
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Aug 16 12:26:52 2016 +0200

    Updated Spanish translation

M	po/es.po

commit c052ac3d0c5f4cc9154b80d8a493fc5f43b4c74b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 16 11:21:58 2016 +0200

    Updated Polish translation

M	po/pl.po

commit e275a79cf98206c6680dbc6882823e305b841be9
Author: David King <davidk@gnome.org>
Date:	Tue Aug 16 10:52:06 2016 +0200

    Update NEWS for 3.21.90 release

M	NEWS
M	configure.ac

commit 330d563cb7d939bf534a36c8eb4f233bea91b685
Author: David King <davidk@gnome.org>
Date:	Tue Aug 16 10:40:21 2016 +0200

    Update British English translation

M	po/en_GB.po

commit 2ba735a5edd15a1f93d716517c83ec3404932c98
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Mon Aug 15 08:50:33 2016 +0000

    Updated Indonesian translation

M	po/id.po

commit 2b41ab56523521f25de8cbcb798f5a231baf6d4a
Author: Gustavo Marques <gutodisse@gmail.com>
Date:	Sun Aug 14 21:10:56 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 0b8a1b1d11aaee2aabd848d5f0523fc5e7e8754c
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Sun Aug 14 21:03:30 2016 +0000

    Updated Portuguese translation

M	po/pt.po

commit ac03d471b0e2787aa976594eb9a94599506efce9
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Aug 13 09:37:42 2016 +0200

    Updated Czech translation

M	po/cs.po

commit 66fa86f28d65d51c9febecd7f999bc6b680f16fd
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Fri Aug 12 13:32:12 2016 +0000

    Updated Finnish translation

M	po/fi.po

commit 73ab0d48305b794c036db9a6a8bab87a6876302e
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Aug 10 11:25:25 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit 1dffafc58fc8114c7d5e93f7e1341364ff1b9a7e
Author: Dirk Maetens <glitsj16@gmail.com>
Date:	Wed Aug 10 18:27:02 2016 +0800

    Improve the check for journal permissions

    There are mainly two kind of ways to storage journal files, one is
    persistent and the other is volatile. So both method should be
    considered when checking is the user has permissons to access journal
    files.

M	src/gl-util.c
M	src/gl-util.h
M	src/gl-window.c

commit 820c6bf250e9fd79d34faf2feed130a56310e1fa
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Thu Jul 14 19:52:48 2016 +0530

    Add support for additional journal parameters

    More parameters, including PID and GID, are added. The tokenizer was
    modified to detect characters encountered in these new parameters.

    https://bugzilla.gnome.org/show_bug.cgi?id=768848

M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 03609326db64b0ef5845a0c741a3c56630d07227
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Tue Jun 7 21:30:06 2016 +0530

    Change the "uid" variable type in GlJournalEntry

    This variable was changed as we need to pass it as string for
    substring
    search in gl-journal-model. Also, GlEventViewRow was modified to
    reflect the change in the "uid" variable type.

    https://bugzilla.gnome.org/show_bug.cgi?id=768848

M	src/gl-eventviewrow.c
M	src/gl-journal.c
M	src/gl-journal.h

commit b353835d62df7bd039370324d5328142281e0062
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Jul 19 21:51:39 2016 +0200

    Add Language headers to po files

    Future versions of gettext will fail if this header is missing.

M	po/ca@valencia.po
M	po/en_GB.po
M	po/gl.po
M	po/nb.po
M	po/sr@latin.po
M	po/tr.po
M	po/zh_HK.po

commit b86a50a312b08dadbd58e04db351c38c65927b46
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Tue May 31 01:06:46 2016 +0530

    Move search matches to model using query API

    The querying for user entered search text is now done by
    parsing the query struct in journal model and it is
    populated accordingly. The query struct is populated in the view.
    Earlier,the searching work was done by listbox_search_filter_func()
    but now it is transferred to the query API. A new enum
    'GlSearchQueryType' was introduced to differentiate
    between exact and substring matches.The search related functions
    from eventviewlist are also removed.

M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit ce9263e17eba6db4da80b61efe58bc986fd27978
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Thu Jul 14 23:16:12 2016 +0530

    Pass GPtrArray to gl_journal_set_matches()

    The function argument is changed from const gchar * const *
    to GPtrArray.

M	src/gl-journal-model.c
M	src/gl-journal.c
M	src/gl-journal.h

commit b2505ca31a57e77afc6822ca6134399f9705d15d
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri May 27 15:39:50 2016 +0530

    Move category matches to model using query API

    Query struct is populated with the corresponding category matches.
    It is parsed in the journal model to finally apply the matches with
    gl_journal_set_matches(). After applying the matches, the model is
    repopulated accordingly.

M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit 06546ec2708283388cc7f8ae5e329fa69e931c77
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Mon May 30 18:22:32 2016 +0530

    Define structs for query API

    These structs will be used for passing data from eventviewlist (view)
    to journal model. Also, the functions for allocating and freeing
    them are defined.

M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit 17d2adb37b91aba2045e8ba983295cabb63c64d4
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Fri May 27 15:11:00 2016 +0530

    Remove PROP_MATCHES property from journal model

    This property was removed as it was not used anywhere.

M	src/gl-journal-model.c

commit 7895f6b6703a16d5a42e89c13ccf97d207257db9
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sat Jul 2 22:22:50 2016 +0000

    Updated Turkish translation

M	po/tr.po

commit 276e65f24d3f0ae44e33da4f10edf6d6917dea23
Author: David King <davidk@gnome.org>
Date:	Tue Jun 21 07:33:22 2016 +0100

    Update NEWS for 3.21.3 release

M	NEWS
M	configure.ac

commit 3b0cda6678274d8ef4741764ad1844f43513ec27
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Jun 15 05:32:05 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit c91f2efc034ccf3c9e8029d1d03633b78952b28e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Tue Jun 14 00:08:35 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 9574c3b50e8ae69e9b75407360db92cf40c41450
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Thu Jun 9 21:04:06 2016 +0000

    Updated Indonesian translation
    (cherry picked from commit 20348e986fd7a59bfc013dca6ca489d2d196f2a0)

M	po/id.po

commit e91bd87474226c14d49ae729d015ad8b10081c13
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Mon May 30 20:17:39 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit 712b93eea4a749afdde0eef1aa79b7bab49e23fc
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sun May 29 06:02:41 2016 +0000

    Updated Turkish translation
    (cherry picked from commit 4d7e6e254e49bc635ee3e51a47534170ac788bae)

M	po/tr.po

commit aa8cd8b648131b08aede3ec0d4963f0c047e9050
Author: Friedrich Herbst <fherbst@opmbx.org>
Date:	Wed May 25 09:33:02 2016 +0000

    Updated German translation

M	po/de.po

commit 6b27df66170ae4669a6bcd575135d0458bc9194b
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Fri May 20 21:09:12 2016 +0000

    Updated Portuguese translation

M	po/pt.po

commit 7dce1a40ac7a1fc1e7a4771b950b583b1fc93759
Author: David King <davidk@gnome.org>
Date:	Fri May 13 10:08:37 2016 +0100

    Use AM_DISTCHECK_CONFIGURE_FLAGS

    DISTCHECK_CONFIGURE_FLAGS is for users and packagers to override
    distcheck options, while AM_DISTCHECK_CONFIGURE_FLAGS is for the
    maintainer of the software.

    https://www.gnu.org/software/automake/manual/automake.html#DISTCHECK_005fCONFIGURE_005fFLAGS

M	Makefile.am

commit b1c3ce11ccfa98e289beb53c42ddebfc61362d92
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Tue May 10 14:04:18 2016 +0000

    Updated Friulian translation

M	po/fur.po

commit 75152e3776a402da1bee220f41955bd2ca94ab67
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Mon May 9 16:57:34 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit ec894ac26ce5e9df95a1a2313db17f1a1c5ff66c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sat May 7 10:29:34 2016 +0000

    Updated Swedish translation

M	help/sv/sv.po

commit 1c47b4f1bdb0501a31522ebd814b5cb562a66240
Author: David King <davidk@gnome.org>
Date:	Thu May 5 14:30:37 2016 +0100

    Explicitly mark the GSettings schema for intltool

    As recommended in the GSettings documentation.

M	po/POTFILES.in

commit 908e5455811cad28536d2a7f86c1d7f08b6eafa6
Author: David King <davidk@gnome.org>
Date:	Thu May 5 14:29:10 2016 +0100

    Add gettext-domain to the GSettings schema

M	data/org.gnome.Logs.gschema.xml

commit 300b9658eea9f865808ee9390432ba9cae582157
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Apr 27 21:03:18 2016 +0200

    Updated Spanish translation

M	po/es.po

commit 93d25d92ef655f3c19dd28c3ed3d71633f1078b7
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Wed Apr 27 19:02:19 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 17ab3557072b3385753cfdcf5e97cbae2669b5ff
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Apr 21 15:40:52 2016 +0800

    Change the tooltip of search button

    Logs searchs all the logs of the selected boot instead of the
    displayed ones right now.

M	data/gl-eventtoolbar.ui

commit 4efa6fc4c998574d8127f1b8a3db44debb3cf926
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Sat Apr 9 22:40:23 2016 +0430

    Update Persian translations

M	po/fa.po

commit f62e7c5f807587a899ca616b4bc5f5070671a3d8
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Sun Mar 27 14:58:09 2016 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 37ac90243b3cadf518805c3c034ced3beaf4ecaf
Author: Ovidiu Dancila <ovidiu.dancila@gmail.com>
Date:	Thu Mar 24 20:13:24 2016 +0800

    Make comments to be seen by translators

    The problem is that there are comments for translators which are two
    lines above the gettext call _("...") and these will not be seen by
    translators.

    To fix this rearrange lines in order to place the commentaries right
    after the parameter. Also keep the coding style by indenting the
    comments and having no more than 79 characters on a line.

    https://bugzilla.gnome.org/show_bug.cgi?id=763572

M	src/gl-util.c

commit 477fb02abbc83e47f3db58491c69333e3ec153c1
Author: Pranav Ganorkar <pranavg189@gmail.com>
Date:	Mon Mar 14 23:14:50 2016 +0530

    Add support for displaying newline character

    Replace newline characters with Unicode newline substitutor.

    https://bugzilla.gnome.org/show_bug.cgi?id=762622

M	src/gl-eventviewrow.c

commit c01438fca8dd99d38f9f4a20e8fe3aaebaf7ebd7
Author: David King <davidk@gnome.org>
Date:	Tue Mar 22 06:48:51 2016 +0000

    Update NEWS for 3.20.0 release

M	NEWS
M	configure.ac

commit 9d72ef24ba0c956f0dc4e580711559d48bc936b7
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Mon Mar 21 09:12:48 2016 +0000

    Updated Italian translation

M	po/it.po

commit 47cae416c43a45c777cf67c782536684b1b646ad
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sun Mar 20 18:02:41 2016 +0100

    Updated Basque language

M	po/eu.po

commit 1bb7a7d7e1d0be5859612014e2b84b3b167940bc
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Mar 20 10:40:48 2016 +0000

    Updated Korean translation

M	po/ko.po

commit 44227e3a9027acc32df2244612a721c01cc15748
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:	Sun Mar 20 08:00:20 2016 +0000

    Updated Serbian translation

M	po/sr.po

commit 2d4d7772e392ca44cfbcc489a6f6b658a19ece3e
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sat Mar 19 14:46:40 2016 +0100

    Updated Hungarian help translation

M	help/hu/hu.po

commit e35b7d5c71e5684044a73fecf54dc5912fb8d1bb
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sat Mar 19 14:46:27 2016 +0100

    Added Hungarian help image

A	help/hu/media/gnome-logs-3-12.png

commit 7b2eeb1fc7822e2f549801c92e93b2e1f242a70d
Author: Claude Paroz <claude@2xlibre.net>
Date:	Sat Mar 19 10:13:27 2016 +0000

    Updated French translation

M	po/fr.po

commit c62e73f520d08f585aef0e3296b40973f717dcf2
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sat Mar 19 03:48:44 2016 +0100

    Updated Danish translation by scootergrisen

M	po/da.po

commit eced28bb1ea65707c4ef43df081c8fd9a0f00ced
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Thu Mar 17 15:38:42 2016 +0300

    Updated Russian translation

M	po/ru.po

commit a113f0a6662afcdfee31efd626cde5c331c64a5b
Author: David King <davidk@gnome.org>
Date:	Tue Mar 15 08:55:36 2016 +0000

    Update NEWS for 3.19.92 release

M	NEWS
M	configure.ac

commit 5a7f1a196e8ed585d197c8990bf4f5cea003fb16
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Feb 1 14:16:55 2016 +0800

    Add scrolling support to detail view

    https://bugzilla.gnome.org/show_bug.cgi?id=758229

M	data/gl-eventviewdetail.ui

commit 6004377ce8592854aeb59606f5144a38bae247f0
Author: Seong-ho Cho <shcho@gnome.org>
Date:	Sun Mar 13 13:27:36 2016 +0000

    Updated Korean translation

M	help/ko/ko.po

commit f3a82d4485fd608bdd44d0191f70342823a1821f
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:	Sun Mar 13 12:48:40 2016 +0000

    Updated Serbian translation

M	po/sr.po

commit ecfec9838be6f2b591ba509a56a8f76bddd8182e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Mar 12 22:04:22 2016 +0100

    Updated Slovenian translation

M	po/sl.po

commit acf64390fa84ce63e69c9c4db57413fbdd3b95a5
Author: Seong-ho Cho <shcho@gnome.org>
Date:	Sun Mar 13 02:48:39 2016 +0900

    Add Korean doc translation

M	help/Makefile.am
A	help/ko/ko.po

commit a4fae6ed3cf5e7a5b4080899b22b3edb5d441aa7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Mar 6 21:39:59 2016 +0200

    Updated Lithuanian translation

M	po/lt.po

commit d52204fc48beb13a8851db0c55072e2f122ae5a2
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Sun Mar 6 14:48:44 2016 +0000

    Updated Friulian translation

M	po/fur.po

commit 002e62ac8c92d16dac7d88c7160415b3e4ba6221
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sat Mar 5 13:57:04 2016 +0200

    Update Latvian translation

M	po/lv.po

commit 07b585faa2ca11e75708bd0a4a8a5470d4e0feb4
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Fri Mar 4 04:02:32 2016 +0000

    Updated Kazakh translation

M	po/kk.po

commit 03d8ff01ca7b4311a1f339ab59808a2edc86dd63
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Thu Mar 3 17:33:39 2016 +0200

    Updated Ukrainian translation

M	po/uk.po

commit 0faed6aa273a827f88846423cd27ac96e5f90ba6
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Wed Mar 2 20:51:39 2016 +0000

    Updated Finnish translation

M	po/fi.po

commit 6275aa017d3f9d05e650d2765f00dcc30b3e1b1a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Wed Mar 2 22:01:31 2016 +0200

    Updated Hebrew translation

M	po/he.po

commit c5dd8f38d3a41dd945d69c9f0c89bb13627c34bd
Author: David King <davidk@gnome.org>
Date:	Mon Feb 29 23:17:01 2016 +0000

    Update NEWS for 3.19.91 release

M	NEWS
M	configure.ac

commit 1e2d2516393738ee348e3108272cfa54ad1fc652
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Mon Feb 29 21:55:24 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit 1eb083f7eb0c6a5162c7a80776d25989b3f47dcd
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Feb 25 11:48:57 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 2fc19e0f0436788bdf9e81288bcafd8c91f6d039
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Feb 25 18:09:44 2016 +0800

    Olny output search result

    Only output search results that are shown in the list view. Search
    results are entries that are visible and child visible.

    https://bugzilla.gnome.org/show_bug.cgi?id=762621

M	src/gl-eventviewlist.c

commit 9600be1f3911f994d40f5e0de78791c842a42978
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Feb 25 17:43:23 2016 +0800

    Do not return NULL if error fetching PRIORITY

    Use g_debug instead of g_warning as debug information for fetching
    PRIORITY field. And do not return NULL as the return value of
    _gl_journal_query_entry while error fetching PRIORITY field.

    https://bugzilla.gnome.org/show_bug.cgi?id=762665

M	src/gl-journal.c

commit 9509f266c5109b1a796c10fd03c09b28e92222f5
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Feb 25 17:34:41 2016 +0800

    Use document-save-symbolic instead of send-to

    Use document-save-symbolic instead of send-to as the image of
    output_button in GlEventToolBar

    https://bugzilla.gnome.org/show_bug.cgi?id=762619

M	data/gl-eventtoolbar.ui

commit 13cb18f36fd5c4cd9e570bc071f9079659bf6450
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Feb 24 18:01:08 2016 +0800

    Declare "GError *error" in gl_journal_get_boots

M	src/gl-journal.c

commit ce3b9a7bd27c599f2d7a918c734e34d9bd5e14bc
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Feb 24 17:52:21 2016 +0800

    Use GError while calling gl_journal_get_data

M	src/gl-journal.c

commit 2bb9e3cc2c31865d6ffca21ebc486e8a79bcde28
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	Tue Feb 23 20:55:00 2016 +0100

    Updated Galician translations

M	po/gl.po

commit b7f38362f7674f82f7cfe144bc00049e92dbf786
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	Sat Feb 20 00:03:03 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit b77ffa9d42b7beaa055f21d1e6021db2833a72f6
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Tue Feb 16 20:29:21 2016 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 135b0bd6ac777f4a6c3c4c9c8eb69832f8944fb3
Author: David King <davidk@gnome.org>
Date:	Tue Feb 16 12:24:57 2016 +0000

    Update NEWS for 3.19.90 release

M	NEWS
M	configure.ac

commit 232fe6e72a4dd240b44543637590242dc703e104
Author: David King <davidk@gnome.org>
Date:	Tue Feb 16 12:29:06 2016 +0000

    Remove a couple of unused variables

M	src/gl-eventtoolbar.c

commit 61e68a39a77eb863c5b458d1ebdca80292722c34
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sat Feb 13 18:54:47 2016 +0100

    Updated Spanish translation

M	po/es.po

commit 016a3b98244080c92f25e8f50e60e744823a16b8
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Sat Feb 13 07:18:39 2016 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 0f3157e36b496dfacb682d94369d886a527522f9
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	Wed Feb 10 16:11:31 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit f93f8cba9aeb3787a9dec7f1563f66979a8e139c
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Sun Feb 7 14:23:47 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit 8aaff056a3e20643c6680555f6344e1382dda7fc
Author: Alexander Shopov <ash@kambanaria.org>
Date:	Sat Feb 6 22:40:02 2016 +0200

    Added Bulgarian translation

M	po/LINGUAS
A	po/bg.po

commit f2387dfbcf8f929a2635e71623db80e5463e8560
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 6 16:34:11 2016 +0100

    Updated Polish translation

M	po/pl.po

commit d9a85c0f470c41329f1f07b4ecadd09b3e296c1c
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	Sat Feb 6 11:33:23 2016 +0000

    Updated Greek translation

M	po/el.po

commit 1b683c8e7cff78398abf694e72a4d93b8c51bcd0
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Feb 6 09:19:04 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit 5266330fa5212dc42a6494c151cb7bffbadd6163
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Fri Feb 5 18:48:03 2016 +0200

    Update Latvian translation

M	po/lv.po

commit 713a3059bec812fa2a4191d3dbbf986f5dd7b019
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Wed Feb 3 20:59:02 2016 +0100

    Updated German translation

M	po/de.po

commit d878fa231f13af7ec43bd1c791d98563995df1b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Feb 1 18:24:54 2016 +0100

    Add context to strings in the shortcut window

M	data/help-overlay.ui

commit ef9b7862cc084daeaaa08e50ba66c70f0e1fa97b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sun Jan 31 22:27:16 2016 +0100

    Updated Spanish translation

M	po/es.po

commit 3e4ec6510b0dd6b9725632bc889804deffce9cf7
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jan 25 15:45:32 2016 +0000

    Add a missing tag to the AppData file

M	data/org.gnome.Logs.appdata.xml.in

commit 60e13c1b83e1eb54005ce92b0bdee3874e12ea96
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Mon Jan 25 00:44:14 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit fd698079980805e97f574942f556e76668162df9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sat Jan 23 18:30:17 2016 +0100

    Updated German translation

M	po/de.po

commit 30960d0c620470882734a581cd973770d1aef3d8
Author: Richard Hughes <richard@hughsie.com>
Date:	Fri Jan 22 20:43:38 2016 +0000

    Update the AppData file to spec version 0.7+

M	data/org.gnome.Logs.appdata.xml.in

commit 3a913c07bce4bff81e9bf07a4df789ad832cd80a
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Jan 18 09:14:46 2016 +0800

    Update NEWS for 3.19.4 release

M	NEWS
M	configure.ac

commit d0b8d5af22cf2c037929327e70a21e96d22c128d
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Wed Jan 13 10:24:15 2016 +0000

    Updated Finnish translation

M	po/fi.po

commit 0474fe79a1dbaaecbc60e7fed012d959770e7677
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Jan 10 19:49:40 2016 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 029e7f0756955f75a8be17bab31f34ed599c8e81
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:	Mon Jan 4 16:29:24 2016 +0000

    Updated Greek translation

M	po/el.po

commit 9221dd0f650e971596e836f7cc389b959cf5a7f1
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Thu Dec 31 18:29:18 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 783ad78be646aa41672581be1c5e0cc6e2f01279
Author: Gustavo Marques <gutodisse+gnome@gmail.com>
Date:	Thu Dec 31 18:27:28 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit c1857492b0564057d9b7b911027e920b045dde6e
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Tue Dec 29 14:36:43 2015 +0100

    Updated German translation

M	po/de.po

commit 161123fc66096fba2682f2720899495e4963ec1c
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Dec 24 13:33:35 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 5b54abb6c9db32af39e2a7e24a6c87b33ac9b1d4
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Sun Dec 20 19:20:04 2015 +0000

    Updated Finnish translation

M	po/fi.po

commit ede0bce3452039ec996743b8e93a53fa58789acc
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Dec 20 15:23:01 2015 +0200

    Updated Lithuanian translation

M	po/lt.po

commit cd4053f4deb8af03a8d3547e7cc425cc49553f89
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Dec 17 19:13:28 2015 +0100

    Updated Spanish translation

M	po/es.po

commit 90d3cec6fcd95780d6e47df7c542c4f51be5ed78
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Tue Dec 15 15:39:07 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 6f68e55ae8db146e8ac409af33a49117be5fa082
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Dec 15 07:08:13 2015 +0800

    Fix test error for few argument in tests/test-gl-util.c

M	tests/test-gl-util.c

commit 86d8a1c7c6718031094169ff2848f2cbeb97d191
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Dec 14 20:07:14 2015 +0800

    Update NEWS for 3.19.3 release

M	NEWS
M	configure.ac

commit 2b462b5cc9dde65dca2fd3f9320c9d06d573e225
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Mon Dec 14 04:07:48 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit 3c95e083afbfdf0588de6d5e733e01ea2886ffdf
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Sun Dec 13 08:40:33 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit d067e289c98f5e682dbf747d318959b987683200
Author: David King <davidk@gnome.org>
Date:	Tue Dec 8 17:37:06 2015 +0000

    Use GtkShortcutsWindow

M	configure.ac
A	data/help-overlay.ui
M	data/menus.ui
M	data/org.gnome.Logs.gresource.xml
M	po/POTFILES.in

commit dc85cbd673b3af6365a5ae5a49ebb67d3461a41d
Author: David King <davidk@gnome.org>
Date:	Tue Dec 8 17:54:57 2015 +0000

    Avoid double frees on journal errors

    NULL out the pointers to already-freed data when an error occurs in
    _gl_journal_query_entry().

M	src/gl-journal.c

commit 1fa389af6d21ca4919b025ff020ebd2fbc8182e5
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sun Dec 6 13:01:11 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 8e3079a67e50766821c7f501a13b0eb3348437dc
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Sat Nov 28 09:34:08 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit ee18025cdc05b1a8c6160300bd7ab5db0ce5ff58
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:	Fri Nov 20 03:13:48 2015 +0100

    Set default icon (for when app-menu is broken).

    https://bugzilla.gnome.org/show_bug.cgi?id=758408

M	src/gl-application.c

commit 1e58f11e84786fb9bb10e70ea13920aca3ac87a8
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Thu Nov 26 09:15:49 2015 +0000

    Updated Greek translation

M	po/el.po

commit a4038162cdf98165566e144a6510dcedc55924fa
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Nov 25 15:53:10 2015 +0000

    Updated Spanish translation

M	po/es.po

commit 7be737823778605a0f347849849aa926148e44b5
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Nov 24 16:08:04 2015 +0800

    Show seconds in details view and exported logs

    https://bugzilla.gnome.org/show_bug.cgi?id=758108

M	src/gl-eventviewdetail.c
M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-util.c
M	src/gl-util.h

commit ff85a748693bcdb9222e85de8677da9d488f1938
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Nov 23 18:50:52 2015 +0800

    Update NEWS for 3.19.2 release

M	NEWS
M	configure.ac

commit b00a8004d8656494fe91350f5398536a13c7f463
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Fri Nov 20 21:43:51 2015 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 610399c7528a153fb7cf9fd3fe1e50343f035e5e
Author: David King <davidk@gnome.org>
Date:	Fri Nov 20 15:37:42 2015 +0100

    Fix CSS class name typo in details view

M	data/gl-eventviewdetail.ui

commit 7a21665bd30ea43236b5c699517b2f150c7f2a59
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Nov 17 18:51:01 2015 +0100

    Updated Spanish translation

M	po/es.po

commit c07965a8500888663f06d7fdd002d56d052153e0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Nov 16 07:12:40 2015 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit f0a018b36420a83d27cc026d6c5c83da25e3da3b
Author: David King <davidk@gnome.org>
Date:	Thu Nov 12 17:49:46 2015 +0000

    Add the full log text as a tooltip to each row

    https://bugzilla.gnome.org/show_bug.cgi?id=756899

M	src/gl-eventviewrow.c

commit 21e890edc58c16cdef3fc4a9b92f555d8c99cf94
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Nov 9 11:23:04 2015 +0800

    Only fetch the latest 5 boots to improve startup time

    https://bugzilla.gnome.org/show_bug.cgi?id=757807

M	src/gl-journal.c

commit fffee96fe16ebaea5b0109ce16b10ecdeec10349
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Tue Nov 10 13:43:09 2015 +0000

    Updated Occitan translation
    (cherry picked from commit 4273bfa846250d2eaf9d32870819db6a4d5749f5)

M	po/oc.po

commit 118fdc63f1b14c02262a976d3168df42a617264e
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Sun Nov 8 21:54:27 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit d1baa5f8a9d6cdbfa079b68ebec52978569d270a
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Thu Nov 5 07:12:02 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 3c8e67d89d0edb59c57bb08ebeb2be61cb6ada76
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Oct 26 17:52:15 2015 +0800

    Update NEWS for 3.19.1 release

M	NEWS
M	configure.ac

commit 8156f9b816b9248f5e13baeb3503770953c5f294
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Sun Oct 25 10:35:24 2015 +0000

    Updated Finnish translation

M	po/fi.po

commit 39e61e70eff0324c6c266312b0a96d1d788ecd48
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Oct 25 08:30:27 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 7de0c549017dcb544c2b5c4405a9cd187c0aac95
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Oct 14 23:12:56 2015 +0800

    Make the Support link in detail view clickable

    Allow users to click the Support link directly to visit it.

    https://bugzilla.gnome.org/show_bug.cgi?id=756575

M	src/gl-eventviewdetail.c

commit adaa2cef4f758ee8f4acf5fd18de2477b7c6ea06
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Wed Oct 14 12:18:41 2015 +0200

    Updated Basque language

M	po/eu.po

commit e356261b60734bd84c1addca509f6854618aa7c7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Oct 12 18:34:43 2015 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit f709e1b53396708802e8374aac8b94d0eff4b354
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Mon Oct 12 10:05:26 2015 +0000

    Updated Finnish translation

M	po/fi.po

commit 61192b29feb963c74fdb38d402740fce620f1423
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Oct 12 17:17:59 2015 +0800

    Warn if the user doesn't have permissions to view journal logs

    https://bugzilla.gnome.org/show_bug.cgi?id=726233

M	data/gl-window.ui
M	src/gl-util.c
M	src/gl-util.h
M	src/gl-window.c

commit f33bc9329a7c837f474bb16f709d0a544343f53f
Author: David King <davidk@gnome.org>
Date:	Mon Oct 12 10:05:36 2015 +0100

    Add Jonathan Kang as a maintainer

M	gnome-logs.doap
M	src/gl-application.c

commit a0b01ba05eaf1153a27a05a4eb7f926e34741bfe
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Oct 12 17:03:14 2015 +0800

    Output the shown logs in GtkListBox to file

    https://bugzilla.gnome.org/show_bug.cgi?id=727173

M	data/gl-eventtoolbar.ui
M	src/gl-eventtoolbar.c
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h
M	src/gl-window.c

commit 5bc562916c86a60d4caa6104b425671a2e4c41a9
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Sun Sep 27 21:01:05 2015 +0300

    Updated Greek help translation

M	help/el/el.po
A	help/el/media/gnome-logs-3-12.png

commit 3e934cbf21ab5d8500ace1158e2e3208ba6d8b70
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Sun Sep 27 08:32:11 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 601eab07898acb24fe5fe7b86139f0f2561fcae8
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	Fri Sep 25 18:10:33 2015 -0600

    Added Irish translation

M	po/LINGUAS
A	po/ga.po

commit 5244716c4abd106ad49d5101c6b77fbdc3a4c3bb
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Tue Sep 15 23:53:48 2015 +0200

    Fix boot menu when only one boot exists

    The boot menu and subtitle were empty when only a single boot
    existed in
    the journal. Turn around loop logic to make it more clear and get
    rid of
    this edge case.

    https://bugzilla.gnome.org/show_bug.cgi?id=755085

M	src/gl-eventtoolbar.c
M	src/gl-journal.c

commit 36e130156b71b5bde85454102fa636c9ba043cad
Author: Милош Поповић <gpopac@gmail.com>
Date:	Tue Sep 22 16:27:58 2015 +0000

    Updated Serbian Latin translation

M	po/sr@latin.po

commit b83c0ffab3d3a95ea19ec45aa44e996f2c21967e
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:	Tue Sep 22 16:27:18 2015 +0000

    Updated Serbian translation

M	po/sr.po

commit 5e18cf0c9ca2c3146e7a58bd0ccc42386e1c4290
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Sep 21 16:05:50 2015 +0800

    Fix crash when tokenizing search string

    https://bugzilla.gnome.org/show_bug.cgi?id=755327

M	src/gl-eventviewlist.c

commit 34296141775ae8dee35261962b884eb6b7c9c8ec
Author: David King <davidk@gnome.org>
Date:	Tue Sep 22 00:15:42 2015 +0100

    Update NEWS for 3.18.0 release

M	NEWS
M	configure.ac

commit 3c0c1b1e99c050b44f2da6486411727d77fb6223
Author: Petr Kovar <pkovar@redhat.com>
Date:	Mon Sep 21 19:22:52 2015 +0200

    Update Czech translation

M	po/cs.po

commit 9d9c0f3073f0ea1f1a9f8198f002274ab0920556
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Sep 20 14:13:03 2015 +0000

    Updated Danish translation

M	po/da.po

commit 1348cb3a5bf7b23303ac2df15253139874f7ed47
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sat Sep 19 22:28:37 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit f7a106810ceaee14c5ad759450360b6a97ee2115
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Sep 15 18:04:36 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 7306a5d19f54639c5242845299ba661609f361d3
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Sun Sep 13 00:12:10 2015 +0430

    Update Persian translations

M	po/fa.po

commit 4a4b93973894961229d69a5dd3f46c744e14af38
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	Thu Sep 10 18:45:43 2015 +0300

    Finnish translation update

M	po/fi.po

commit 3b006016e12db6cdb5f30494f8bf0a1525b59fd3
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Wed Sep 9 16:25:53 2015 +0800

    Correct a wrong comment in gl-journal.c

M	src/gl-journal.c

commit c370a8efb596fb4663570034331eab7485da6bfa
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	Tue Sep 8 23:21:33 2015 +0200

    Updated Slovenian translation

M	po/sl.po

commit f49033fe86e167a69553bc537f4af2647a408b45
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Sep 7 19:50:18 2015 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit a1672510bad7642de74ed5ded0c9cd4f0e37295e
Author: David King <davidk@gnome.org>
Date:	Mon Sep 7 15:22:24 2015 +0100

    Mark window title for translation

    https://bugzilla.gnome.org/show_bug.cgi?id=754683

M	src/gl-eventtoolbar.c

commit c6723fda006d9975bfbe00df579306c566de7d87
Author: Bernd Homuth <dev@hmt.im>
Date:	Sat Sep 5 20:42:02 2015 +0000

    Updated German translation

M	po/de.po

commit f80fd7b2920e15b040fb8c562d98620cc56b8478
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Sep 6 02:36:15 2015 +0900

    Updated Korean translation

M	po/ko.po

commit 7a0d77a500c0923e48039fc978b6334381fe902f
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Fri Sep 4 16:44:54 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit e5b071277640bcc1b3c92871da74c44f8e5a9c38
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Thu Sep 3 15:08:02 2015 +0300

    Updated Lithuanian translation

M	po/lt.po

commit eef037226d7c535c57378e0f54b100152024a52c
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Tue Sep 1 09:01:14 2015 +0000

    Updated Italian translation

M	po/it.po

commit 3f1a49af495259a83c161c2d531be8bdc471bdbd
Author: David King <davidk@gnome.org>
Date:	Tue Sep 1 08:37:06 2015 +0100

    Update NEWS for 3.17.91 release

M	NEWS
M	configure.ac

commit 815f47809ee56ea45c7f4644e8148b97c4ddaaa2
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Mon Aug 31 16:36:18 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit f60e131b75034093d3a65bb1f57d60f47287529e
Author: Andika Triwidada <andika@gmail.com>
Date:	Sun Aug 30 04:40:16 2015 +0000

    Updated Indonesian translation

M	po/id.po

commit ac32b074187426c66893c60015d226ff1113f8cf
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Fri Aug 28 20:58:46 2015 +0000

    Updated Greek translation

M	po/el.po

commit b78c617612ee2df5f8d9d52ff16808bc7f8549af
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Fri Aug 28 17:49:20 2015 +0300

    Updated Russian translation

M	po/ru.po

commit 763ff80be56e31dd46863e038d9009f75a895f55
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Tue Aug 25 20:15:30 2015 +0000

    Updated Turkish translation

M	po/tr.po

commit b2fb52bbec7df4fc93179cd95015fd339ceaae67
Author: Fran Dieguez <fran@openhost.es>
Date:	Tue Aug 25 16:55:20 2015 +0200

    Updated Galician translations

M	po/gl.po

commit 717b9fb20bac64a9dbbaa2bd6a032d559f6c219e
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Tue Aug 25 13:11:19 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 97a117836029d6f349eb993d07ac4477688fb9a9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Aug 25 11:05:13 2015 +0200

    Updated Spanish translation

M	po/es.po

commit 9b03fee86eba82176e5276c0831bdf3e67a3f1e5
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Tue Aug 25 05:27:35 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 1f2c8a77403d43a9c9dd434c032f056f3ba636ce
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Aug 24 20:17:05 2015 +0000

    Updated French translation

M	po/fr.po

commit b25f6c51178add701c9bdc5c4f6fcd4e3b8d0f39
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Aug 24 17:18:59 2015 +0200

    Updated Polish translation

M	po/pl.po

commit ce5db409aeffaf507d0b6cd674c8f577215ca180
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Mon Aug 24 14:43:05 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit f5fe6f36966051108b10ada826cfc6cd0db47bff
Author: David King <davidk@gnome.org>
Date:	Fri Aug 21 12:36:50 2015 +0100

    Add config.h include where gettext is used

M	src/gl-eventtoolbar.c
M	src/gl-util.c

commit fb1fd24c479086298ae0bbac24a5167009440ae6
Author: David King <davidk@gnome.org>
Date:	Fri Aug 21 12:34:44 2015 +0100

    Mark a UI string for translation

M	po/POTFILES.in
M	src/gl-util.c

commit 27898ab01fa885fffd2eb87a3e1177d9ef84792d
Author: David King <davidk@gnome.org>
Date:	Fri Aug 21 12:30:42 2015 +0100

    Correct filename in POTFILES.in

M	po/POTFILES.in

commit a5bf74e64b761b742afceee6c9d72084cd9592c0
Author: David King <davidk@gnome.org>
Date:	Fri Aug 21 12:29:13 2015 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 013a62cd56eb204d1a82dbdaef08c1528ee0b55d
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Aug 20 17:16:27 2015 +0800

    Use GtkModelButton to improve boot selection menu

    https://bugzilla.gnome.org/show_bug.cgi?id=752963

M	data/gl-eventtoolbar.ui
M	data/gl-style.css
M	src/gl-eventtoolbar.c
M	src/gl-eventtoolbar.h
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-journal-model.c
M	src/gl-journal-model.h
M	src/gl-journal.c
M	src/gl-journal.h
M	src/gl-util.c
M	src/gl-util.h
M	src/gl-window.c

commit aaf43a8a0c6bd65b631084934bedaa33d72c4349
Author: Fran Dieguez <fran@openhost.es>
Date:	Wed Aug 19 01:04:47 2015 +0200

    Updated Galician translations

M	po/gl.po

commit 9a40597c81ffcd798b4d0e1121af00bb74432c4d
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Tue Aug 18 22:54:21 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit 3fd733ce6f7d6d8c13647a54c269ffebfd5b4551
Author: David King <davidk@gnome.org>
Date:	Mon Aug 17 15:51:55 2015 +0100

    Update NEWS for 3.17.90 release

M	NEWS
M	configure.ac

commit 6cdb910642f2fc9a2e3e2d6226ddfa5a498f5a9a
Author: David King <davidk@gnome.org>
Date:	Tue Aug 11 10:42:19 2015 +0100

    Ensure event view rows are visible

    Fixes the empty (invisible) event view rows after GtkListBox behaviour
    was changed in commit d6f51ef7b299f0bdc7522ced74482c510dc947b4.

    https://bugzilla.gnome.org/show_bug.cgi?id=753501

M	src/gl-eventviewrow.c

commit 3f4812ffe2bc83d24483b5e6eaf61b3a5fa97e5e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Aug 11 15:36:43 2015 +0200

    Use monospace for all log text

    https://bugzilla.gnome.org/show_bug.cgi?id=752679

M	src/gl-eventviewrow.c

commit 717e0092d8f789fe6931a9b4ef9437f925fa7e22
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Aug 11 15:30:50 2015 +0200

    Add some comments for the previous commit

    https://bugzilla.gnome.org/show_bug.cgi?id=709152

M	src/gl-eventviewlist.c

commit e73c75620fe51a6a45469697ed2c8ee9e5354bad
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Aug 11 13:29:55 2015 +0200

    Improve search by using boolean combinations

    https://bugzilla.gnome.org/show_bug.cgi?id=709152

M	src/gl-eventviewlist.c

commit 3d58b10bfd87c373136be10f265a45d771a18270
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Mon Aug 10 22:53:59 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 1f7431d1cd7f41375d2ce9a0c4db48279597a27f
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Fri Jul 31 21:58:59 2015 +0000

    Added Friulian translation

M	po/LINGUAS
A	po/fur.po

commit 9bf6d2cbf671363203e3f4e261a143bae1dfdb0d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Jul 31 11:36:31 2015 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 33d46dbd065117d8beb3c0edb62a0848674f7b26
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Wed Jul 29 00:41:55 2015 +0200

    Add image for Swedish help translation

A	help/sv/media/gnome-logs-3-12.png

commit 7bf10d3d402c77911b3ab87324fbd5a1de5ad4f4
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Mon Jul 27 23:53:31 2015 +0800

    Align time/data label to far right of the list

    https://bugzilla.gnome.org/show_bug.cgi?id=752678

M	src/gl-eventviewrow.c

commit e935fce0c6acdc5662ea6f176759e324bc3941c3
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Mon Jul 27 10:19:06 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit b440af4a5b973c194db1d9a508faa98d85a8c6ec
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Mon Jul 27 09:34:27 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 7ed98a81b77d5349290dfeab71f40763416f14c3
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Jul 25 13:38:07 2015 +0200

    Updated Czech translation

M	po/cs.po

commit 23e84f27890c1c2742eccad9a01540ae19ed9923
Author: David King <davidk@gnome.org>
Date:	Tue Jul 21 10:51:35 2015 +0100

    Update NEWS for 3.17.4 release

M	NEWS
M	configure.ac

commit dd84d64262547388a5b1fe9f7bb1bbc7cb26153a
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Jul 21 10:30:03 2015 +0800

    Make use of journal fields in search

    https://bugzilla.gnome.org/show_bug.cgi?id=709152

M	src/gl-eventviewlist.c

commit 2f6c81842deeb723b2aac1f71d7d807d59c158fe
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Fri Jul 17 13:20:55 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit e884e5a53fcf6924a589fa1e1546c9c48449311d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jul 13 10:33:20 2015 +0200

    Updated Spanish translation

M	po/es.po

commit b51f2399bedd4e6c3500f9018a90449fb0df7142
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Wed Jul 8 21:58:30 2015 +0200

    Updated Slovenian translation

M	po/sl.po

commit 1125e7066e458f36711f2995bf19211208c7be15
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Sat Jul 4 06:02:05 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 9fee3f87d675eff58f27525cfb839e2a2146f699
Author: Benjamin Steinwender <b@stbe.at>
Date:	Fri Jul 3 17:33:18 2015 +0000

    Updated German translation

M	po/de.po

commit 7c4019e4b7d3c8b1109ef45221def06622442c8e
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Jul 2 00:02:59 2015 +0800

    Fix the height problem while viewing other boots

    https://bugzilla.gnome.org/show_bug.cgi?id=751789

M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c

commit 45c6a49a84d730165d107f3677215912ffe18e79
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Fri Jun 19 17:16:02 2015 +0800

    View events from different boots

    https://bugzilla.gnome.org/show_bug.cgi?id=726229

M	data/gl-eventtoolbar.ui
M	src/gl-eventtoolbar.c
M	src/gl-eventtoolbar.h
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-journal-model.c
M	src/gl-journal-model.h
M	src/gl-journal.c
M	src/gl-journal.h
M	src/gl-window.c

commit 67561cd0f4cc0140ea9b4be9c7bb533d0396fe6a
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Mon Jun 29 22:33:25 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit eff6b01fd2e3f812377c1102bc5f121a2757ae3c
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Thu Jun 25 05:48:13 2015 +0000

    Updated Tajik translation

M	po/tg.po

commit 8613629bc23c2f74fb103f1438cc9f7b5f15a28b
Author: Stas Solovey <whats_up@tut.by>
Date:	Tue Jun 23 22:19:17 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 10d361c9c875766cc0c4b6bfbce4f605aa0522e6
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Tue Jun 23 20:00:30 2015 +0000

    Updated Swedish translation

M	help/sv/sv.po

commit d04a278a9d789bbe3475fc39539456a42d9012c0
Author: David King <davidk@gnome.org>
Date:	Mon Jun 22 22:42:04 2015 +0100

    Update NEWS for 3.17.3 release

M	NEWS
M	configure.ac

commit c3d10181595f5ab7d3ec54f70cdf81c2a05d3d63
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Mon Jun 22 21:47:15 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit bcc68ff082408e8e3b8fa795b4517476049f89c7
Author: Benjamin Steinwender <b@stbe.at>
Date:	Sat Jun 20 06:26:27 2015 +0000

    Updated German translation

M	po/de.po

commit 8cefc6a6154dc78c66e90cb69e15a09a8d81e432
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	Fri Jun 19 20:34:55 2015 +0200

    Updated Romanian Translation

M	po/ro.po

commit 047fb83f8f94c83280284fbf69aa2d65983a36f8
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Wed Jun 17 05:45:57 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit cde307a9828db4b34b1006147c60e805f675ce75
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jun 15 08:53:48 2015 +0000

    Updated Spanish translation

M	po/es.po

commit 162f59fa3345b5b354097d1319fa4729c2f5a322
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Jun 9 20:24:43 2015 +0800

    Add category to log entries in important category

    Use a label to indicate to which category entries from the important
    category belong.

    https://bugzilla.gnome.org/show_bug.cgi?id=750795

M	po/POTFILES.in
M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h
M	src/gl-journal.c
M	src/gl-journal.h
M	src/gl-util.c
M	src/gl-util.h

commit a2416e4118ff37249dad731295b58183f4f65f63
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue May 26 23:00:38 2015 +0800

    Remove the PROP_STYLE property from GlEventViewRow

    We use a single line for each log entry, so style property is
    no longer
    needed.

    https://bugzilla.gnome.org/show_bug.cgi?id=749894

M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h

commit 995bacac51ee84516e9d0c4950dcc1edd45cdd64
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue May 26 17:17:27 2015 +0800

    Use a single row for each log entry

    Add seperator between adjacent rows and use a single row for each
    entry.

    https://bugzilla.gnome.org/show_bug.cgi?id=727895

M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h

commit e9835b741df3eda8aff16004b0cdc73ad82416c0
Author: David King <davidk@gnome.org>
Date:	Mon May 25 22:02:04 2015 +0100

    Update NEWS for 3.17.2 release

M	NEWS
M	configure.ac

commit b55281240cd5624cb122329cb73dff92f212480b
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Fri May 22 15:28:17 2015 +0530

    Update configure.ac to check for libsystemd

    https://bugzilla.gnome.org/show_bug.cgi?id=749595

M	configure.ac

commit 7ba33a7afa9368e7d55c86384fe93f6d682f8094
Author: David King <davidk@gnome.org>
Date:	Fri May 22 10:17:51 2015 +0100

    Fix Swedish help translation

M	help/sv/sv.po

commit 3f79e5c7099121ad2a32b632e7e1b4389f9b9614
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sun May 10 20:01:11 2015 +0000

    Added Occitan translation

M	po/LINGUAS
A	po/oc.po

commit a8ac0166aeeb9614146d69eb3db84a769aed0dc7
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	Sun May 3 15:02:49 2015 +0800

    update zh_CN translation

M	po/zh_CN.po

commit 08e0e290bc08ed75f71c29f59fefe3c9043caa6c
Author: David King <davidk@gnome.org>
Date:	Mon Apr 27 23:16:25 2015 +0100

    Update NEWS for 3.17.1 release

M	NEWS
M	configure.ac

commit fdca103f58f85189563fdd2b9f0ab0a9ca04f9c3
Author: David King <davidk@gnome.org>
Date:	Mon Apr 13 21:52:05 2015 +0100

    Install symbolic application icon into better path

M	Makefile.am
R100	data/icons/scalable/gnome-logs-symbolic.svg
data/icons/symbolic/gnome-logs-symbolic.svg

commit 98c54910de598ef9b9b147d15bd53aed71b7dcdc
Author: David King <davidk@gnome.org>
Date:	Mon Apr 13 16:48:06 2015 +0100

    Add some extra license headers

M	src/gl-journal-model.c
M	src/gl-journal-model.h
M	src/gl-journal.c
M	src/gl-journal.h

commit a8ca8c79f349d70a825051b965c35b10cf0cd915
Author: David King <davidk@gnome.org>
Date:	Mon Apr 13 16:43:35 2015 +0100

    Use G_DECLARE_FINAL_TYPE throughout

M	src/gl-application.c
M	src/gl-application.h
M	src/gl-eventtoolbar.c
M	src/gl-eventtoolbar.h
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-eventviewdetail.c
M	src/gl-eventviewdetail.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h
M	src/gl-window.c
M	src/gl-window.h

commit 81f44c881d5e40310c789790d3fe2f20756f11db
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Fri Mar 27 00:27:12 2015 +0530

    Added dogtail test for sidebar item click

    https://bugzilla.gnome.org/show_bug.cgi?id=724796

M	Makefile.am
M	configure.ac
A	tests/basic.py

commit dcf37c48f4b78673899ea8abc5f900bb7c7b1771
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sat Mar 28 11:52:21 2015 +0100

    Update Catalan translation

M	po/ca.po

commit 01793aef17c04d78354a99e668d15e318d7152f2
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Mar 12 07:46:22 2015 +0800

    Give has_boot_id an initial value of FALSE

    has_boot_id was not initialized, which may lead to an unexpacted
    error.
    Give has_boot_id an initial value of FALSE to solve it.

    https://bugzilla.gnome.org/show_bug.cgi?id=746503

M	src/gl-journal.c

commit c7085131861f76cdb277bdf250a304b03266cfcf
Author: Arnaud Bonatti <arnaud.bonatti@gmail.com>
Date:	Mon Mar 16 05:22:58 2015 +0100

    Use gtk_css_provider_load_from_resource()

    https://bugzilla.gnome.org/show_bug.cgi?id=746268

M	src/gl-window.c

commit 35125a0ad6944e5ccd5214faa5cebe97f3b3dcab
Author: David King <davidk@gnome.org>
Date:	Wed Mar 25 19:54:57 2015 +0100

    Use a symbolic application icon

    https://wiki.gnome.org/Initiatives/GnomeGoals/HighContrastAppIcons

M	Makefile.am
D	data/icons/HighContrast/16x16/gnome-logs.png
D	data/icons/HighContrast/22x22/gnome-logs.png
D	data/icons/HighContrast/24x24/gnome-logs.png
D	data/icons/HighContrast/256x256/gnome-logs.png
D	data/icons/HighContrast/32x32/gnome-logs.png
D	data/icons/HighContrast/48x48/gnome-logs.png
A	data/icons/scalable/gnome-logs-symbolic.svg

commit afb2b9f7b187ed9224cde6f7dab17c7da6b5b238
Author: David King <davidk@gnome.org>
Date:	Mon Mar 23 22:41:39 2015 +0100

    Update NEWS for 3.16.0 release

M	NEWS
M	configure.ac

commit c7a7c4765aaef6978b363cf84c9bb87f06bb52c7
Author: David King <davidk@gnome.org>
Date:	Mon Mar 23 22:40:06 2015 +0100

    Force the test timezone to UTC

    As gl_util_timestamp_to_display() uses the local timezone for
    timestamp
    formatting, and the test sample data is in UTC, force the test
    timezone
    to also be UTC.

M	Makefile.am

commit 8d4bbdfbc1ea9dd1df5b0a167c72ba33f6d18798
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Fri Mar 20 11:43:51 2015 +0700

    Updated Thai translation

M	po/th.po

commit 0b07525d0dc803da9ca9ebf20378b9a6545c549d
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	Mon Mar 16 22:20:12 2015 +0000

    Add Swedish help translation

    https://bugzilla.gnome.org/show_bug.cgi?id=746311

M	help/Makefile.am
A	help/sv/sv.po

commit de29512938f294df73532991e3ec1ed63a5a23f3
Author: David King <davidk@gnome.org>
Date:	Mon Mar 16 19:55:56 2015 +0000

    Update NEWS for 3.15.92 release

M	NEWS
M	configure.ac

commit 00f3e8d13e10ac1ff525abf9f4cbff83fa01e162
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Mar 15 16:48:10 2015 +0100

    Updated Danish translation

M	po/da.po

commit fd17a2c009b2ecf44cc9db8c2e32ea97203013a7
Author: microcode <aaron@correspondwith.me>
Date:	Sun Mar 15 02:54:50 2015 +0000

    Added Japanese translation

M	po/LINGUAS
A	po/ja.po

commit f6aaceeab8bb0cf3c44ccf519b49cb0266654e19
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Sat Mar 14 06:26:39 2015 +0000

    Added Tajik translation

M	po/LINGUAS
A	po/tg.po

commit 1bd2bab4716532f2a7e15dcde798e70c3c3ce683
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	Fri Mar 13 17:50:39 2015 +0000

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit b8558143b572f7314c417d8b2f11e8345f0fda7d
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	Wed Mar 11 16:59:42 2015 +0200

    Finnish translation update

M	po/fi.po

commit 110835b9c0e13ac3111ca69b9aa5ad1bb64f9332
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Tue Mar 10 20:32:43 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit 521f1002840503f438eaaaa13b37e823ff6775b6
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Fri Mar 6 16:56:54 2015 +0000

    Updated French translation

M	po/fr.po

commit f93665255bfea00ebcb140e5fa5015f4a19ccd8a
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Thu Mar 5 22:06:00 2015 +0900

    Updated Korean translation

M	po/ko.po

commit 2ea719b48271683502bb4b6855f8c9c78cda4023
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Thu Mar 5 21:57:07 2015 +0900

    Updated Korean translation

M	po/ko.po

commit 29a6324fd398d41728c922e93e8ff47913cb37ba
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Mar 4 20:54:25 2015 +0100

    Updated Polish translation

M	po/pl.po

commit 9bd0800137838146b344a8c414f8c5b6a4b54564
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Tue Mar 3 21:01:51 2015 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 9383b9740f86a322cb18b55e8bbcfd9459454e55
Author: David King <davidk@gnome.org>
Date:	Mon Mar 2 23:27:57 2015 +0000

    Update NEWS for 3.15.91 release

M	NEWS
M	configure.ac

commit a19a545e85483bb36cdbc53522bd76f51233adcf
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Feb 28 16:34:20 2015 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 82f3ddb3ca61cf50aa44c601f9914a2bf5efd729
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Thu Feb 26 08:11:53 2015 +0000

    Updated Greek translation

M	po/el.po

commit 280748fe9a89a7e995b1d5d1a7641d7848fae7f5
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Thu Feb 26 01:30:15 2015 +0200

    Updated Ukrainian translation

M	po/uk.po

commit 47b6513029fb0b3ad294f24dcba981acbb0bd25f
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Tue Feb 24 16:18:32 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit 5fa29a4718996c67ad50c6d1879ef13e7d4ed503
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Sat Feb 21 10:28:27 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 666d20774aa1c5b91ddf766bb2fe387a36bd8b59
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Thu Feb 19 11:15:17 2015 +0100

    journalmodel: load entries in batches

    A major use case of gnome-logs is to open it to quickly see the most
    recent log entries. It doesn't make sense to read all available
    entries
    from disk and create row widgets for each of them.

    Thus, make GlJournalModel only load the first 50 entries and
    trigger it
    to load more once the user scrolls the listbox to the bottom.

    We still have to load all entries once a search is started.

    https://bugzilla.gnome.org/show_bug.cgi?id=728317

M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit 9a2dc043ae688c38f09c8dd23ddb32472e190fdf
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Thu Feb 19 11:14:59 2015 +0100

    journalmodel: only load one entry per idle

    Creating and layouting row widgets is too slow to do it five at
    a time.

    https://bugzilla.gnome.org/show_bug.cgi?id=728317

M	src/gl-journal-model.c

commit 0d46b516019933c8c2192d190b392cf43ff217b2
Author: David King <davidk@gnome.org>
Date:	Wed Feb 18 18:18:54 2015 +0000

    Update NEWS for 3.15.90 release

M	NEWS
M	configure.ac

commit 9ee2ec369d7c34643f5f8150dd5d1264fb11d4ba
Author: David King <davidk@gnome.org>
Date:	Wed Feb 18 18:22:23 2015 +0000

    Fix include path for tests

M	Makefile.am

commit 421799d684b768b3ae7cca7a03f1787c6f8ff489
Author: David King <davidk@gnome.org>
Date:	Wed Feb 18 17:38:09 2015 +0000

    Bump GIO dependency for busy property binding

    g_application_bind_busy_property() is new in 2.43.90.

M	configure.ac

commit b78f096167419687698d88de81d28fa1d6cc1f70
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Wed Feb 18 07:59:20 2015 +0000

    Updated Italian translation

M	po/it.po

commit e017051e599019264c1e2738ed090314d8c37f41
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Tue Feb 17 13:10:41 2015 +0000

    Updated Italian translation

M	po/it.po

commit 6d9abf4ebf1fa81619481d884972abda4c8bc062
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Mon Feb 16 21:39:51 2015 +0100

    Updated Slovenian translation

M	po/sl.po

commit f1ef7eadb77023693fa26edeff5133ceadd93a7c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Mon Feb 16 15:07:56 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit 8f5002696fc9aecfbddd087c96c5e4aa06fa04d8
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sun Feb 15 15:57:24 2015 +0100

    Mark application as busy while loading entries

    Add a property "loading" to GlJournalModel which is TRUE while it's
    fetching entries and use g_application_bind_busy_property() with it.

    https://bugzilla.gnome.org/show_bug.cgi?id=744567

M	src/gl-eventviewlist.c
M	src/gl-journal-model.c
M	src/gl-journal-model.h

commit 0a9c33d1b5396bc0874e08246cbcdd59309573ee
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sun Feb 15 15:27:31 2015 +0100

    Bump gio and gtk+ dependencies

    For GListModel and gtk_list_box_bind_model().

M	configure.ac

commit 409f1284cfcc53ae8624f91944ad7fc0a681ae96
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sun Feb 15 15:11:44 2015 +0100

    eventviewlist: don't use g_str_match_string()

    Not searching inside words is a regression. ASCII alternates probably
    don't buy us that much anyway, because log messages tend to be ASCII
    already. (See last commit.)

M	src/gl-eventviewlist.c

commit 97f16b9b9400d3122d2e2a00eb46787c758eb7a2
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sun Feb 15 14:21:34 2015 +0100

    eventviewlist: restore case-insensitve search

    Use g_str_match_string() now, which gives us case folding and ascii
    alternatives. However, it doesn't search inside words.

M	src/gl-eventviewlist.c

commit 7461b34705e01f5f813ec3aef8fba6166116c0b0
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:32 2015 +0100

    Add GlJournalModel

    A GListModel that contains all journal entries for a given set of
    matches.

    This let's us have a single listbox in GlEventViewList that is
    bound to
    this model.

M	Makefile.am
M	data/gl-eventviewlist.ui
M	src/gl-eventviewlist.c
A	src/gl-journal-model.c
A	src/gl-journal-model.h

commit 039caae6fba7dc86a70a33bdebd739159d4adedf
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:27 2015 +0100

    Rename GlJournalResult to GlJournalEntry

    This is more in tune with systemd's parlance.

    Also make it a GObject so that we can put it into a GListModel soon.

M	src/gl-eventview.c
M	src/gl-eventviewdetail.c
M	src/gl-eventviewdetail.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h
M	src/gl-journal.c
M	src/gl-journal.h

commit b3ab13985479d55ea6965a70f14b4b2c788e3604
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:24 2015 +0100

    Turn journal iteration logic inside out

    Instead of fetching all journal entries and then adding widgets in an
    idle, fetch journal entries in the idle just before creating the
    corresponding widget.

    gl_journal_query() is replaced by gl_journal_previous(), which returns
    the previous entry.

    This makes switching between pages much more responsive.

M	src/gl-eventviewlist.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 2423dde4922f9caa79d18cdbedbe2eb00db5f7d1
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:20 2015 +0100

    journal: remove query_cursor()

M	src/gl-journal.c
M	src/gl-journal.h

commit 0b8e638618cdfb5370b2f4525f7a082a621d9312
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:17 2015 +0100

    journal: separate set_matches() from query()

M	src/gl-eventviewlist.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 833ecfc77c866081243d1efc73ca5f0ab1112201
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:13 2015 +0100

    eventviewlist: remove idle when switching pages

M	src/gl-eventviewlist.c

commit 05cfafef83234d74c0995af2708c6d0d85a6660e
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:10 2015 +0100

    eventviewlist: remove add_listbox() functions

    They didn't do much anymore.

M	src/gl-eventviewlist.c

commit 18c496728c2467e5a5f6749d035d2175da075218
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:07 2015 +0100

    eventviewlist: simplify applications query logic

M	src/gl-eventviewlist.c

commit d916516ebf9707896ad03193f0bf111c287e4b54
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:42:03 2015 +0100

    query: turn into simply strv

M	src/gl-eventviewlist.c
M	src/gl-journal.c
M	src/gl-journal.h

commit e59fb9db72b93ba6f7e537b4b5408db1c0b0270e
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:59 2015 +0100

    query: remove n_results

    It was always set to -1 in practice. As we want to move GlJournal to a
    iterator-style API, having this field doesn't make sense.

    Also removes some dead code as a result of this.

M	src/gl-eventviewlist.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 018958783621ce49c1cd35221217c673271b20a5
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:56 2015 +0100

    journal: don't run query_async in a thread

    This was quite unsafe due to lack of any locking.

M	src/gl-journal.c

commit 56c67a22548182567ea01a9324c40691e07cd475
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:53 2015 +0100

    eventviewlist: merge query_*_ready() functions

    These all did the same now (see last commit), except decide the
    style of
    row widget to use. Put that into a priv variable for now.

M	src/gl-eventviewlist.c

commit c23f9261f445571227775f4f4b7038c794e76397
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:47 2015 +0100

    journal: allow matching on field existence

    The event view had to manually filter results that don't have a
    _KERNEL_DEVICE or _AUDIT_SESSION (for hardware and security,
    respectively). Move this logic into the GlJournal, where all other
    matching is done. To match on existence, pass only a FIELDNAME instead
    of a FIELDNAME=VALUE pair in the query.

    This needs to be emulated in GlJournal, because systemd's journal API
    doesn't support it.

M	src/gl-eventviewlist.c
M	src/gl-journal.c

commit 8b94d22435fca4490cda24facf62362334964f26
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:45 2015 +0100

    eventviewlist: remove stack

    We're creating a new list box anyway each time we select a new filter.
    No need in keeping old ones around just to replace them later.

M	data/gl-eventviewlist.ui
M	src/gl-eventviewlist.c

commit 4fd7673e5070efb67748998d5760cfd6839db92a
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:40 2015 +0100

    eventviewlist: call query() directly

    Each add_listbox() function had a small helper around
    gl_journal_query(). Those helpers shrunk a lot recently, so just call
    query() directly.

M	src/gl-eventviewlist.c

commit 08583a095f4f7b7ce1e70a8c10f07d1b36cb0834
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:37 2015 +0100

    eventviewlist: remove priv->results_listbox

    It's always set to the same value as priv->active_listbox.

M	src/gl-eventviewlist.c

commit 83bbc8d023921568500630ed88d6107160279e35
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:35 2015 +0100

    eventviewlist: refactor add_listbox() functions

    Pull common functionality out of the various add_listbox() functions.

M	src/gl-eventviewlist.c

commit cd7c446c67cbef85a30e121473ff5541db3b7028
Author: Lars Uebernickel <lars@uebernic.de>
Date:	Sat Feb 14 19:41:18 2015 +0100

    eventviewlist: remove not implemented stubs

    About to do some refactoring in this class. These get in the way of
    that.

M	src/gl-eventviewlist.c

commit cfb0232f3e8f7b7393cf7c891e5ee7b331c5d29b
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sat Feb 14 12:26:19 2015 +0000

    Updated Turkish translation

M	po/tr.po

commit 10305a1ff7683c5eacdef8ce8d2d697b70fe2761
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Feb 9 14:30:04 2015 +0000

    Add test for timestamp comparison

M	Makefile.am
A	tests/test-gl-util.c

commit 08b49bd3cd178198067da3cf67267cb92f7ddfb4
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Feb 9 11:07:07 2015 +0000

    Take a now parameter when comparing time stamps

    Move the current time stamp out of gl_util_timestamp_to_display() and
    pass it as a parameter so that the function does not depend on the
    current time and will be easier to test.

M	src/gl-eventviewdetail.c
M	src/gl-eventviewrow.c
M	src/gl-util.c
M	src/gl-util.h

commit 26cff62f20ec775b56063c8cd541796e2f00bf7b
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Sun Feb 8 23:13:17 2015 +0000

    Add Gtk-doc comments to utility functions

M	src/gl-util.c

commit 42f5d5da5147ce0c39f50e64e3eedebe9039357b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Feb 8 19:56:48 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit 1ada6cd35383bf1c97689e6aafb26793e8afe252
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	Sun Feb 8 00:58:27 2015 +0100

    Add Esperanto translation

M	po/LINGUAS
A	po/eo.po

commit b046980b0e409e9185ea23cf84f5ad2177c25230
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Jan 31 16:21:38 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit 8895c4fed5ad673e15d708d8d59c34e4778ade57
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	Fri Jan 23 00:45:20 2015 +0100

    Add Aragonese translation

M	po/LINGUAS
A	po/an.po

commit 39d5fac8920ccde98f7af2928f5809a8944d5641
Author: David King <davidk@gnome.org>
Date:	Thu Jan 22 11:07:21 2015 +0000

    Remove some debugging messages

    Avoid making a comparison that is always true. To be effective, the
    check for the number of results would have to know the requested
    number
    of results, so in future this could be reported with a GError.

    Found with Coverity (CID 86592).

M	src/gl-eventviewlist.c

commit e206e830415e8735aa386a8ecb41c79067387a90
Author: David King <davidk@gnome.org>
Date:	Thu Jan 22 10:58:01 2015 +0000

    Add missing break in property getter switch

    Avoid a spurious warning about an invalid property in GlEventView.

    Found with Coverity (CID 86593).

M	src/gl-eventview.c

commit abfcd4bdb5e748b54dbac0c5cb1d2431eb042d68
Author: David King <davidk@gnome.org>
Date:	Mon Jan 19 22:01:51 2015 +0000

    Update NEWS for 3.15.4 release

M	NEWS
M	configure.ac

commit 13e69df7a5f2a353fd4c8b90620ab4ea19f55896
Author: David King <davidk@gnome.org>
Date:	Mon Jan 19 22:01:28 2015 +0000

    Removed deprecated variables from autogen.sh

M	autogen.sh

commit 3bb398db4e9d3378eba4c313749ae9004702a33d
Author: David King <davidk@gnome.org>
Date:	Thu Jan 15 15:28:02 2015 +0000

    Port GlEventViewList to use gl_journal_query_async

M	src/gl-eventviewlist.c

commit 4fa5ff002e8bae89a51bae9840ee10146add6664
Author: David King <davidk@gnome.org>
Date:	Thu Jan 15 11:27:15 2015 +0000

    Add asynchronous query interface to GlJournal

M	src/gl-journal.c
M	src/gl-journal.h

commit 738016a12bc15fe7d349c9c45e7e5cac3f0dc51b
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Wed Jan 14 14:58:40 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 66e0d4afa99b16948c728f51731d5473ab059a47
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	Mon Jan 12 22:12:22 2015 +0100

    Updated Galician translations

M	po/gl.po

commit 6d08a1362304fa2bc169e997dfe60e798792a734
Author: Stas Solovey <whats_up@tut.by>
Date:	Mon Jan 12 13:04:10 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 22391ff59fc7f38bd1f0bb6af42453baafa6b8c0
Author: Bernd Homuth <dev@hmt.im>
Date:	Sat Jan 10 20:36:33 2015 +0000

    Updated German translation

M	po/de.po

commit 7e1bb7ad3ca244a2cfc8c6c638274e1ba9ef0ca6
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Jan 7 09:22:13 2015 +0100

    Updated Czech translation

M	po/cs.po

commit 8590c88921ca3e92cfe1bd5c69bbab279b9c6597
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Jan 5 20:09:57 2015 +0100

    Updated Norwegian bokmål translation from Åka Sikrom

M	po/nb.po

commit 67e1602c6f5602ed97d9e22b6e890634cb12255d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Tue Dec 30 15:29:29 2014 +0100

    Updated Basque language

M	po/eu.po

commit ea7dba3a4db336fd7e0a2ef5d243a72dabfefa37
Author: Ricardo  Barbosa <barbosa.cisco@gmail.com>
Date:	Sat Dec 27 21:26:54 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit ec103e0722548439a0748c1b1b3ba8641505e637
Author: Andika Triwidada <andika@gmail.com>
Date:	Wed Dec 24 12:45:02 2014 +0000

    Updated Indonesian translation

M	po/id.po

commit 7e2eae260e6442f1e320fe6c368fe5c875531d71
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Dec 17 12:34:14 2014 +0100

    Updated Spanish translation

M	po/es.po

commit 273d2139bb98c027a01d28e5a35ea39cdd2ae629
Author: David King <davidk@gnome.org>
Date:	Mon Dec 15 17:57:22 2014 +0000

    Update NEWS for 3.15.3 release

M	NEWS
M	configure.ac

commit 6f3bbb9d32e1029d0d0677b146585d76811af4ea
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Wed Dec 3 15:59:56 2014 +0000

    Updated Hungarian translation

M	po/hu.po

commit a8fa51368b8515f751d96c5fdc69570f463015c8
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Nov 20 15:29:13 2014 +0800

    Add an option for log view direction

    https://bugzilla.gnome.org/show_bug.cgi?id=709160

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/org.gnome.Logs.gschema.xml
M	po/POTFILES.in
M	src/gl-application.c
M	src/gl-application.h
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-window.c
M	src/gl-window.h

commit bca82bc5f81c2609bac66c1094749ba5bcd49321
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Nov 25 20:56:48 2014 +0100

    Updated Czech translation

M	po/cs.po

commit dd0c2c120b014795daaece36fd1ff0e5a8e07cc7
Author: David King <davidk@gnome.org>
Date:	Mon Nov 24 20:23:00 2014 +0000

    Update NEWS for 3.15.2 release

M	NEWS
M	configure.ac

commit 6b6099a7e9e7206c7e44c0873a13283ea68c65c1
Author: David King <davidk@gnome.org>
Date:	Mon Nov 24 19:58:27 2014 +0000

    Distribute GlEventView header

M	Makefile.am

commit af2ea212ed4a6d4016e2d4cfad6c3c179832f3e3
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	Mon Nov 24 18:00:30 2014 +0100

    Updated Romanian Translation

M	po/ro.po

commit 3cf96617867b44af9b036e35b155de03201b3ed3
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:	Sun Nov 16 16:35:05 2014 +0100

    Updated Dutch translation Master

M	po/nl.po

commit 5b37609455aa889addf004456f7500cc810d4e7e
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Nov 16 12:31:06 2014 +0100

    Added Norwegian bokmål translation from Åka Sikrom.

M	po/nb.po

commit e5e643de7a193a61a565517773d2a4e88ef9d5b3
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Thu Nov 13 08:28:18 2014 +0700

    Added Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/LINGUAS
A	po/vi.po

commit afda11b8d616ee84d901e5904435c67131dc3cf5
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Thu Nov 6 14:11:21 2014 +0800

    Hide sidebar while viewing event details

    https://bugzilla.gnome.org/show_bug.cgi?id=726228

M	Makefile.am
A	data/gl-eventview.ui
A	data/gl-eventviewlist.ui
M	data/gl-window.ui
M	data/org.gnome.Logs.gresource.xml
M	src/gl-application.c
M	src/gl-categorylist.c
M	src/gl-categorylist.h
A	src/gl-eventview.c
A	src/gl-eventview.h
M	src/gl-eventviewlist.c
M	src/gl-eventviewlist.h
M	src/gl-window.c

commit b19f65206028ae8b4bb6c89635128d8f12350931
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Mon Nov 10 22:37:51 2014 +0700

    Added Thai translation

M	po/LINGUAS
A	po/th.po

commit 0395cd3cbdbd13098d4abfc7d250a2c408d73020
Author: David King <davidk@gnome.org>
Date:	Sat Nov 8 09:50:07 2014 +0000

    Substitute bindir in Makefile.am

    Rather than substituting the value of bindir during configure, which
    might include an unexpanded shell variable, expand and substitute
    it as
    a target in Makefile.am instead.

M	Makefile.am
M	configure.ac

commit 08e34f4eecd88ace601e5eeeb6876e949b485be4
Author: Efstathios Iosifidis <iefstathios@gmail.com>
Date:	Fri Nov 7 22:35:31 2014 +0200

    Updated Greek translation

M	po/el.po

commit 1d06a61336969f0d0b13130c1705a4730e356885
Author: Mihail Gurin <mikegurin@yandex.ru>
Date:	Thu Nov 6 20:49:36 2014 +0300

    Updated Russian translation

M	po/ru.po

commit 899e87136384eac691fdaa0c17c26339d2a3a692
Author: David King <davidk@gnome.org>
Date:	Tue Oct 28 07:36:16 2014 +0000

    Add name and summary elements to AppData

    Pacify appstream-util validate.

M	data/org.gnome.Logs.appdata.xml.in

commit 8a50a12baec4874e33f10896650cc7c32711f9b0
Author: David King <davidk@gnome.org>
Date:	Mon Oct 27 21:17:08 2014 +0000

    Update NEWS for 3.15.1 release

M	NEWS
M	configure.ac

commit 7e95448459e18d4e6789f411339ba5f643e7b741
Author: David King <davidk@gnome.org>
Date:	Mon Oct 27 21:00:34 2014 +0000

    Add missing break in switch

    Found by Coverity (CID 71873).

M	src/gl-eventviewlist.c

commit d18b7a5d11ec5369822c8528f6fc3228c98dfc28
Author: David King <davidk@gnome.org>
Date:	Mon Oct 27 20:29:04 2014 +0000

    Tidy and remove some systemd journal includes

M	src/gl-eventviewlist.c
M	src/gl-eventviewrow.c
M	src/gl-journal.c
M	src/gl-journal.h

commit ca6cde1ceb89371421ca74b352136025722a57e5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Oct 20 14:29:19 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 4397a602d3b8b0686607a70504f9bdbbcfa6d9c6
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sun Oct 19 03:03:18 2014 +0000

    Added Kazakh translation

M	po/LINGUAS
A	po/kk.po

commit fa1c6a35ca1e1f9491ba54cfd6a372aa649b39dd
Author: David King <davidk@gnome.org>
Date:	Wed Oct 15 10:14:41 2014 +0100

    Add HighContrast application icon

    Copied from gnome-system-log.

M	Makefile.am
A	data/icons/HighContrast/16x16/gnome-logs.png
A	data/icons/HighContrast/22x22/gnome-logs.png
A	data/icons/HighContrast/24x24/gnome-logs.png
A	data/icons/HighContrast/256x256/gnome-logs.png
A	data/icons/HighContrast/32x32/gnome-logs.png
A	data/icons/HighContrast/48x48/gnome-logs.png

commit b0c4420e9d7abac2c98fe0baf9a5d9ffcac9d827
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Sat Oct 11 13:02:50 2014 +0330

    Updates Persian Translations

M	po/LINGUAS
A	po/fa.po

commit 9c1a8c27dd176b6aa6ca2c7c38723c7516bbb6df
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Oct 3 19:36:00 2014 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 1ddf4197ec6aadddb7fd988ab1f187a794fe2334
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Thu Sep 25 15:52:44 2014 +0000

    Updated Hungarian translation

M	po/hu.po

commit fc6bff66ae01bcaef92926f83b035dcf284d4750
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Tue Sep 23 13:18:26 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e409919dffb83c758ab96a0f3d85eaa150808c44
Author: Jonathan Kang <jonathan121537@gmail.com>
Date:	Tue Sep 9 14:09:10 2014 +0800

    Parse messages from the systemd catalog

    Use catalogs to explain messages. To implement this feature, I use
    strtok function to parse the message named result->catalog, which
    exists
    in the project.

    For instance, I use a whitespace to get the field labels and ignore
    them. Then I use "\n" to get the detailed message for the current
    field.

    I also use dim-label style class for these field labels.

    https://bugzilla.gnome.org/show_bug.cgi?id=709153

M	data/gl-eventviewdetail.ui
M	data/gl-style.css
M	src/gl-eventviewdetail.c

commit 884a1a729bab2afad64f81211f94e37e47638cb9
Author: David King <davidk@gnome.org>
Date:	Mon Sep 22 23:08:57 2014 +0100

    Update NEWS for 3.14.0 release

M	NEWS
M	configure.ac

commit 7b90988efcb960290ced435284e9232a69857a37
Author: Benjamin Steinwender <b@stbe.at>
Date:	Sun Sep 21 12:44:08 2014 +0200

    Updated German help translation

M	help/Makefile.am

commit e3e29f6f4ed7a6b7536baa7f51c00b5e4fbb6e2a
Author: Benjamin Steinwender <b@stbe.at>
Date:	Sun Sep 21 12:41:57 2014 +0200

    Updated German help translation

R100	help/de/images/gnome-logs-3-12.png
help/de/media/gnome-logs-3-12.png

commit 0e5c9f656168e8d8d428924e43dbbcd312cab4b7
Author: Benjamin Steinwender <b@stbe.at>
Date:	Sun Sep 21 12:39:57 2014 +0200

    Updated German help translation

A	help/de/de.po
A	help/de/images/gnome-logs-3-12.png

commit 44a8ddc8159a0becc23837e9357a9d062e3ee71b
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Thu Sep 18 18:46:07 2014 +0000

    Updated Turkish translation

M	po/tr.po

commit 18e08d5356684c632a1fe90df2340887d344f7c8
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	Thu Sep 18 09:03:12 2014 +0000

    Added Nepali translation

M	po/LINGUAS
A	po/ne.po

commit 1cf8814b9a8bfae4251c5d98a03c733252b72423
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Mon Sep 15 21:19:19 2014 +0000

    Updated German translation

M	po/de.po

commit ea45c318c6312cbc302e6a83d7d1a61134adeca9
Author: David King <davidk@gnome.org>
Date:	Mon Sep 15 21:02:01 2014 +0100

    Update NEWS for 3.13.92 release

M	NEWS
M	configure.ac

commit a436f39b300b0cfc48cf60565efcae74d42a9b3a
Author: David King <davidk@gnome.org>
Date:	Fri Sep 12 16:34:23 2014 +0100

    Use APPSTREAM_XML instead of APPDATA_XML

M	Makefile.am
M	configure.ac

commit 0a8369dad70f53523e4268e783f0ea74974265e4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Fri Sep 12 10:26:54 2014 +0200

    Add Galician translations for docs

    Signed-off-by: Fran Diéguez <fran.dieguez@mabishu.com>

M	help/Makefile.am
A	help/gl/gl.po

commit 58141590a9dd180ece62be63a21f1fedd738ace2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Sep 7 03:40:08 2014 +0200

    Mark forgotten string for translation

    Not a string freeze break.

M	data/org.gnome.Logs.desktop.in

commit 538a9bc12814fea56b513a1390a91d549bd546e8
Author: David King <davidk@gnome.org>
Date:	Mon Sep 1 14:59:42 2014 +0100

    Update NEWS for 3.13.91 release

M	NEWS
M	configure.ac

commit de418199b86b9e336ca0396cf4569adb4596f695
Author: Elad Alfassa <elad@fedoraproject.org>
Date:	Sat Aug 23 19:43:39 2014 +0300

    Add X-GNOME-Utilities desktop file category

    https://bugzilla.gnome.org/show_bug.cgi?id=735129

M	data/org.gnome.Logs.desktop.in

commit 4d0e5426acf09bbd4927f663c5758e717035fd52
Author: David King <davidk@gnome.org>
Date:	Mon Aug 18 12:37:56 2014 +0100

    Update NEWS for 3.13.90 release

M	NEWS
M	configure.ac

commit 5649cd2017bbeb4712a6044becf7dded8b350d6e
Author: David King <davidk@gnome.org>
Date:	Mon Aug 18 12:36:38 2014 +0100

    Add licenses to AppData description

    Use newer metadata_license element instead of licence element.

M	data/org.gnome.Logs.appdata.xml.in

commit f970fce1bb92afdf0dd668e819223c53dbf511d9
Author: ngoswami <ngoswami@redhat.com>
Date:	Thu Aug 14 12:24:42 2014 +0000

    Added Assamese translation

M	po/LINGUAS
A	po/as.po

commit 4566b42f30b8589127b9ed00a362edc4af4bba24
Author: Daniel Șerbănescu <daniel [at] serbanescu [dot] dk>
Date:	Sat Aug 2 21:59:30 2014 +0200

    Updated Romanian Translation

M	po/LINGUAS
A	po/ro.po

commit 8173a4226526b43c2dc1d78083c5c44104df9e55
Author: Olav Vitters <olav@vitters.nl>
Date:	Wed Jul 30 17:28:21 2014 +0200

    doap category apps

M	gnome-logs.doap

commit 6721308c403488d6cb91be9a293928aee8835a22
Author: David King <davidk@gnome.org>
Date:	Mon Jul 21 21:40:41 2014 +0100

    Update NEWS for 3.13.4 release

M	NEWS
M	configure.ac

commit d215e1a2ddceff61d5327d96d573420390c9e53a
Author: David King <davidk@gnome.org>
Date:	Mon Jul 21 15:17:13 2014 +0100

    Move GlEventView to GlEventViewList

    This will make it easier to add a GlEventView, which can contain both
    the category list and event view pair, as well as a detail view.

M	Makefile.am
M	data/gl-window.ui
M	po/POTFILES.in
M	src/gl-application.c
M	src/gl-categorylist.c
M	src/gl-eventtoolbar.c
D	src/gl-eventview.h
R081	src/gl-eventview.c	src/gl-eventviewlist.c
A	src/gl-eventviewlist.h
M	src/gl-window.c

commit f9f7eda7581c6d1373e004b0635fb354df8fe4f1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Jul 21 15:29:40 2014 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 9574ddfe9329483d74fdbb0d098506553ff6078c
Author: David King <davidk@gnome.org>
Date:	Tue Jul 15 13:20:55 2014 +0100

    Increase category list padding

    https://bugzilla.gnome.org/show_bug.cgi?id=710712

M	data/gl-style.css

commit 2da46b6d49d780382ae1bdc295cacf4673be8488
Author: Safa Alfulaij <safa1996alfulaij@gmail.com>
Date:	Sun Jul 13 11:29:52 2014 +0100

    Added Arabic translation

M	po/LINGUAS
A	po/ar.po

commit e2da1ed571f7fdbf2ffdc840268d3276eddc472f
Author: David King <davidk@gnome.org>
Date:	Thu Jul 10 12:44:23 2014 +0100

    Use new GtkApplication appmenu resource handling

    Bump dependency on GTK+ to 3.13.4.

M	configure.ac
R094	data/appmenu.ui data/menus.ui
M	data/org.gnome.Logs.gresource.xml
M	po/POTFILES.in
M	src/gl-application.c

commit 7f50aff2237ebe168990b6ad1ab8f85fcb78afcd
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Wed Jul 9 23:17:07 2014 +0000

    Updated Greek translation

M	po/el.po

commit aad367a4661b7b15c4d8a69de6d314ea173efd52
Author: David King <davidk@gnome.org>
Date:	Mon Jun 30 11:31:08 2014 +0100

    Match desktop file name in AppData

    Update the AppData reference to the desktop file, as it was not
    changed
    when the desktop file was renamed.

M	data/org.gnome.Logs.appdata.xml.in

commit 019bb310612f9e6e9ec1f21b1e1cdb70df594186
Author: David King <davidk@gnome.org>
Date:	Mon Jun 30 09:18:24 2014 +0100

    Avoid deprecated xalign property in GtkBuilder

M	data/gl-eventviewdetail.ui

commit 16c1b8fee34b3ea40a512e8cef873fbc7bd33e56
Author: David King <davidk@gnome.org>
Date:	Mon Jun 30 08:59:30 2014 +0100

    Use GtkIconTheme built-in RTL support

    Remove custom code to handle different icons for RTL language support,
    and instead use the built-in support added to GtkIconTheme in 3.13.2.

M	configure.ac
M	data/gl-eventtoolbar.ui
M	src/gl-eventtoolbar.c
M	src/gl-eventviewrow.c

commit 121ca2690522b0ef3c087d84157fbd315aae4ac7
Author: Aaron Hamilton <aaron@correspondwith.me>
Date:	Wed Jun 25 20:21:36 2014 +0100

    Fix usage imformation when called with --help

    https://bugzilla.gnome.org/show_bug.cgi?id=732242

M	src/gl-main.c

commit 15987f8c2a57d77699b0d1660b0390d982ac58c8
Author: David King <davidk@gnome.org>
Date:	Wed Jun 25 20:07:51 2014 +0100

    Use translated application name in about dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=732240

M	src/gl-application.c

commit 963a1871f40760ebbb842e1740320045ab7c6e00
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Wed Jun 25 20:38:09 2014 +0400

    Added Russian translation of help

M	help/Makefile.am
A	help/ru/ru.po

commit e27e875a7c30e574b641fb8e75b7a3cb768a45b6
Author: David King <davidk@gnome.org>
Date:	Mon Jun 23 22:48:39 2014 +0100

    Update NEWS for 3.13.3 release

M	NEWS
M	configure.ac

commit e4d6769f240b1ce4b0e02b95857cb2b2711d3574
Author: Daiki Ueno <dueno@src.gnome.org>
Date:	Wed Jun 18 13:03:30 2014 +0900

    Switch back to the event view before filter change

    https://bugzilla.gnome.org/show_bug.cgi?id=731812

M	src/gl-window.c

commit 49e695abcb075ef0f833ff09eea4aa42f88cfd97
Author: David King <davidk@gnome.org>
Date:	Mon May 26 17:44:50 2014 +0100

    Update NEWS for 3.13.2 release

M	NEWS
M	configure.ac

commit 649312406e948e9df390e780da6022e9f006ebc4
Author: David King <davidk@gnome.org>
Date:	Mon May 26 17:42:41 2014 +0100

    Avoid using recently-deprecated GtkMisc

M	src/gl-eventviewrow.c

commit e49f348883bfba1880e2205be95f315a12a69dff
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Mon May 19 12:53:34 2014 +0000

    Added Turkish translation

M	po/LINGUAS
A	po/tr.po

commit d7f567433f4bab82457d5776d92263d73f6c7ea1
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	Fri May 9 01:06:24 2014 +0200

    [l10n] Added Catalan (Valencian) translation

M	po/LINGUAS
A	po/ca@valencia.po

commit 1175656e402c2d494ea1036ea8af0802b833e15a
Author: Paolo Borelli <pborelli@gnome.org>
Date:	Sun May 4 14:59:40 2014 +0200

    Use a template for the event detail page

A	data/gl-eventviewdetail.ui
M	data/org.gnome.Logs.gresource.xml
M	po/POTFILES.in
M	src/gl-eventviewdetail.c

commit 6004da6ee45f98841bd66a3a2744e2cd39210f7d
Author: Paolo Borelli <pborelli@gnome.org>
Date:	Sun May 4 14:17:08 2014 +0200

    Generate resource file list automatically

M	Makefile.am

commit da9af0afe52b7e5a745dc0a4ae2a486cc6fcaa73
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Mon May 5 21:00:41 2014 +0000

    Added Swedish translation

M	po/LINGUAS
A	po/sv.po

commit 54e3c9a77e0b8def4ef3ed6c6f99d5149181d29c
Author: David King <davidk@gnome.org>
Date:	Mon Apr 28 23:36:53 2014 +0200

    Update NEWS for 3.13.1 release

M	NEWS
M	configure.ac

commit ddd4b0a4db5b335588015d9389f8b9078f720ec9
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	Fri Apr 18 20:32:02 2014 +0200

    Added Dutch translation

M	po/LINGUAS
A	po/nl.po

commit 36a040938dae3113d350b322e7ee7433c2282983
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	Fri Apr 18 20:31:43 2014 +0200

    Sort po/LINGUAS

M	po/LINGUAS

commit b7186c534c64fb933ae8f66d5755bd872b3ce22e
Author: marablack3 <marablack3@gmail.com>
Date:	Fri Apr 18 15:56:36 2014 +0000

    Updated Greek translation

M	po/el.po

commit 6e70be7d30bac32c3f0e5c293ce44ef2bf2d4928
Author: David King <davidk@gnome.org>
Date:	Sat Apr 12 10:51:59 2014 +0100

    Fix help build

    Remove non-existent "de" translation from HELP_LINGUAS.

M	help/Makefile.am

commit caa5e2fd6fb1b40a74427956fcaf409c93b5bf12
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Sat Apr 12 06:28:42 2014 -0300

    Updated Brazilian Portuguese Translation for manual

M	help/Makefile.am
A	help/pt_BR/pt_BR.po

commit afc6f482818c71a1d65f7b84dfecb016adaa98a1
Author: David King <davidk@gnome.org>
Date:	Mon Apr 7 12:57:31 2014 +0100

    Avoid deprecated gtk_application_add_accelerator()

    Use gtk_application_set_accels_for_action() instead.

M	src/gl-application.c

commit 884d1bb2e31a30120e73d3e1c2fd285c730e104c
Author: David King <davidk@gnome.org>
Date:	Tue Apr 1 14:57:09 2014 +0100

    Add F1 accelerator for help action

M	data/appmenu.ui

commit e52da0873553d80fb8aaa0f675c0260b1e2d9e0f
Author: David King <davidk@gnome.org>
Date:	Tue Apr 1 14:42:53 2014 +0100

    Simplify code with gtk_stack_get_child_by_name()

M	configure.ac
M	src/gl-eventview.c

commit d83b766bd6354acfe8da0a449dee892461269682
Author: David King <davidk@gnome.org>
Date:	Tue Apr 1 13:08:48 2014 +0100

    Rename desktop file and set DbusActivatable=true

    Rename AppData and GResource XML in line with desktop file changes.

M	.gitignore
M	Makefile.am
R100	data/gnome-logs.appdata.xml.in	data/org.gnome.Logs.appdata.xml.in
R095	data/gnome-logs.desktop.in	data/org.gnome.Logs.desktop.in
R100	data/gnome-logs.gresource.xml	data/org.gnome.Logs.gresource.xml
M	po/POTFILES.in

commit 4972c62c34579983ed4a65946fa9115957ed53e3
Author: David King <davidk@gnome.org>
Date:	Tue Apr 1 12:38:37 2014 +0100

    Add D-Bus service file

    Allow the application to be D-Bus activated by running with the
    --gapplication-service argument.

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/org.gnome.Logs.service.in

commit 354d62c8f4c8ea0b4cc97aa2932a2452bcc6d801
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Mon Mar 31 22:30:30 2014 +0200

    Updated Slovenian translation

M	po/sl.po

commit b978d4d79dfd873a0bcf966c28f1b4ae563b78cc
Author: Peter Vágner <pvdeejay@gmail.com>
Date:	Fri Mar 28 22:01:20 2014 +0100

    Added slovak translation

M	po/LINGUAS

commit 5671ee83363857d265a8226ea88ee78bf5e4977e
Author: Peter Vágner <pvdeejay@gmail.com>
Date:	Fri Mar 28 22:00:23 2014 +0100

    Added slovak translation

A	po/sk.po

commit 3aa4c5b04bd1adf6481a594a21a8ddabd101b538
Author: David King <davidk@gnome.org>
Date:	Thu Mar 27 11:09:30 2014 +0000

    Ignore generated help files in .gitignore

M	.gitignore

commit 7514913f724524f749df27fe4987f07c8c31cb39
Author: David King <davidk@gnome.org>
Date:	Thu Mar 27 10:55:53 2014 +0000

    Add British English translation

    Using en_GB.pl: https://wiki.gnome.org/BritishEnglish

M	po/LINGUAS
A	po/en_GB.po

commit 0818596be88add934c879d9ab9de618b4a83bd75
Author: David King <davidk@gnome.org>
Date:	Mon Mar 24 20:30:37 2014 +0000

    Update NEWS for 3.12.0 release

M	NEWS
M	configure.ac

commit 607ef0fdc09cdd8e63cfa9378681d7ad3823c510
Author: David King <davidk@gnome.org>
Date:	Mon Mar 24 20:34:44 2014 +0000

    Fix broken Telugu desktop file translation

    A semicolon must terminate the keyword list.

M	po/te.po

commit 9904f66958eac18c6927a8a155766de7f9985b12
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sun Mar 23 14:49:06 2014 +0100

    Added Basque language\nAdded 'eu' (Basque) to LINGUAS

M	po/LINGUAS
A	po/eu.po

commit 3879a3f96bffbecef52cda0b37306fc4ad6101e6
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Mar 23 13:22:59 2014 +0100

    Czech translation

A	help/cs/cs.po

commit fe0eed1b8973c20772a5a21c1f68a5207fbdb508
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Mar 23 13:22:38 2014 +0100

    Added Czech language

M	help/Makefile.am

commit c25371fc63e714642a4a58693105f0f7872d8764
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Sun Mar 23 13:37:12 2014 +0400

    Updated Russian translation

M	po/ru.po

commit 8008e48ce65950baccdded7978797848fb15fddf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Mar 22 18:16:56 2014 +0100

    Updated Slovenian translation

M	po/sl.po

commit ef155e5040077c394fb96c9f77d9bcc630da66bb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Mar 22 18:15:19 2014 +0100

    Updated Slovenian translation

M	po/sl.po

commit 557cc0832eaab4dda1d8063413820edfb9ce013b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Sat Mar 22 20:03:24 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/LINGUAS
A	po/zh_HK.po
A	po/zh_TW.po

commit b2968d215e81a8b55b6b3296282da78d5d27e8ad
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sat Mar 22 12:48:56 2014 +0100

    Added hu to HELP_LINGUAS

M	help/Makefile.am

commit cf6722c54bf4d7f48cd23cfc573e00300a945c15
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sat Mar 22 12:48:34 2014 +0100

    Added initial Hungarian help translation

A	help/hu/hu.po

commit b53261c49f5f36b725d86591482fa85de39bf3df
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sat Mar 22 09:59:58 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 874a1fcc6691bfcc434f145bd73e40bea3d11493
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	Fri Mar 21 22:53:06 2014 +0100

    Updated Slovenian translation

M	po/sl.po

commit 0c07317ff2b52f448aafda4f74f72c1cfd730c4b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Mar 21 18:04:50 2014 +0100

    Add Norwegian bokmål

M	po/LINGUAS

commit 80c931a3571ea74e33ee8efb13b2e041bd41b651
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Mar 21 18:04:21 2014 +0100

    Updated Norwegian bokmål translation

A	po/nb.po

commit b195230f92c1c25d948387a81b31ea33d8069652
Author: MarMav <mavridou@gmail.com>
Date:	Fri Mar 21 10:49:22 2014 +0200

    Added Greek translation of help

M	help/Makefile.am
A	help/el/el.po

commit 50bded330ec2aa8c32bc18bdc129eed372d054b1
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	Wed Mar 19 21:36:53 2014 +0100

    Updated Danish translation

A	po/da.po

commit f4bf63f23932282a3865b90db11acf2a304c72e0
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	Wed Mar 19 21:36:53 2014 +0100

    Added da to list of languages

M	po/LINGUAS

commit 48a1e5c04d96db34aa331582d0ce43d15d7449d3
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Wed Mar 19 10:58:14 2014 +0000

    Updated Italian translation

M	po/it.po

commit b6dc5a7bf99173dad2419acf17115c863bd02c08
Author: Praveen Illa <mail2ipn@gmail.com>
Date:	Tue Mar 18 19:05:03 2014 +0530

    Added Telugu Translation

M	po/LINGUAS
A	po/te.po

commit d36fd31e9333f70e43b31f449f617701aa1ca859
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:	Mon Mar 17 22:37:57 2014 +0000

    Added Portuguese translation

M	po/LINGUAS
A	po/pt.po

commit 3e10b6f02c3b08a3d6c4fe782eb2acf819f40b5a
Author: David King <davidk@gnome.org>
Date:	Mon Mar 17 21:56:56 2014 +0000

    Update NEWS for 3.11.92 release

M	NEWS
M	configure.ac

commit 358ceea9c7a55341f3dbe026288c0c3f84668d8b
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	Sun Mar 16 20:34:44 2014 +0200

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 13e0d9ec45bbcd452e7152686b3ba614687f62cb
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Sun Mar 16 16:34:49 2014 +0200

    Updated Hebrew translation.

M	po/he.po

commit 86c01ad7291a7586500a0d403a376d2d5ac04cfe
Author: Frédéric Péters <fpeters@0d.be>
Date:	Sun Mar 16 13:16:41 2014 +0100

    fix filename of translated figure

R100	help/fr/images/gnome-logs.png	help/fr/images/gnome-logs-3-12.png

commit 4fc2af2f5bdbec24fe04622eea4032467d76570d
Author: Julien Hardelin <jm.hard@wanadoo.fr>
Date:	Sun Mar 16 13:15:00 2014 +0100

    add French translation of documentation

M	help/Makefile.am
A	help/fr/fr.po
A	help/fr/images/gnome-logs.png

commit 0aa30ffff9b7cb8f2168410da798d7e802a9bad8
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Sat Mar 15 22:56:50 2014 +0200

    Updated Ukrainian translation

M	po/uk.po

commit 628acc4f777a1a280177c67014cb97f0a7d611c7
Author: jsirgue <jsirgue@free.fr>
Date:	Sat Mar 15 18:50:56 2014 +0000

    Added French translation

M	po/LINGUAS
A	po/fr.po

commit 283199bf5948e06afcf32c06263a712701f26b9d
Author: Pau Iranzo <paugnu@gmail.com>
Date:	Fri Mar 14 23:59:47 2014 +0100

    [l10n] Add Catalan translation

M	po/LINGUAS
A	po/ca.po

commit e792b35e4d9f9786a0c9c6439a04fd1f4979ad9e
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Thu Mar 13 22:00:08 2014 +0400

    Updated Russian translation

M	po/ru.po

commit caf921565037b53ae23da0fc924a2d39d6fb456d
Author: Stas Solovey <whats_up@tut.by>
Date:	Tue Mar 11 19:10:28 2014 +0000

    Added Russian translation

M	po/LINGUAS
A	po/ru.po

commit 4945836f5013016234f69a0c9749c1a70cfe7364
Author: Fran Diéguez <frandieguez@gnome.org>
Date:	Tue Mar 11 16:26:30 2014 +0000

    Updated Galician translation

M	po/gl.po

commit f067b35ea8e1a58878136dafb4a23abb01feb08c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Mar 10 13:17:15 2014 +0100

    Updated Spanish translation

M	help/Makefile.am
A	help/es/es.po

commit 690e83d8540907dd26df563422195ef090930932
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Mar 8 22:14:44 2014 +0200

    Added Lithuanian translation

M	po/LINGUAS
A	po/lt.po

commit e98beffb002d8a4a0d443e1e16e5b12fb0946ce6
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sat Mar 8 20:52:41 2014 +0200

    Added Latvian translation

M	po/LINGUAS
A	po/lv.po

commit 89e4a8850dd65c98dee5a18d328d3230504204a8
Author: Sphinx Jiang <yishanj13@gmail.com>
Date:	Sat Mar 8 10:25:40 2014 +0000

    Updated Chinese (China) translation

M	po/zh_CN.po

commit ee8e9c3970fdc6109124a056455387c998fd1b67
Author: A S Alam <apreet.alam@gmail.com>
Date:	Fri Mar 7 21:14:39 2014 -0600

    add Punjabi Translation

M	po/LINGUAS
A	po/pa.po

commit 7e5ddf6384ae8618b60f963a219b33d1bb17fe9c
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sat Mar 8 06:13:04 2014 +0900

    Added Korean translation

M	po/LINGUAS
A	po/ko.po

commit 28bc9b4eadac119808be1fb5d4f92d2843866a94
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Mar 7 18:14:04 2014 +0100

    Updated Spanish translation

M	po/es.po

commit 028ade66e966c2b2634ff9e2358697d7a066efd9
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Fri Mar 7 15:06:13 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 7067242f850f337c2a2792c77803a6b911bf4668
Author: Andika Triwidada <andika@gmail.com>
Date:	Fri Mar 7 12:06:08 2014 +0000

    Updated Indonesian translation

M	po/id.po

commit dcf7c82d2ab1a161202dc972f6aa509858f69c56
Author: Benjamin St <b@stbe.at>
Date:	Fri Mar 7 08:27:09 2014 +0000

    Added German translation

M	po/LINGUAS
A	po/de.po

commit f5263d2ef3357525098d3b32214db8e780281463
Author: David King <davidk@gnome.org>
Date:	Wed Mar 5 20:51:02 2014 +0000

    Add Utility category to desktop file

    https://bugzilla.gnome.org/show_bug.cgi?id=725750

M	data/gnome-logs.desktop.in

commit 70e15f174424d8296f2b80d28c57303992abdc8f
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Tue Mar 4 19:20:49 2014 +0100

    Updated Hungarian translation

M	po/hu.po

commit 9a1ca3d0ec2eb1b086f9177067f5105d7a5c8aeb
Author: David King <davidk@gnome.org>
Date:	Mon Mar 3 22:49:24 2014 +0000

    Update NEWS for 3.11.91 release

M	NEWS
M	configure.ac

commit 00a5ba2f69a306bacb6f60316d32f0f7788a26ab
Author: David King <davidk@gnome.org>
Date:	Mon Mar 3 22:46:19 2014 +0000

    Build and install Mallard help

M	.gitignore
M	Makefile.am
M	README
M	configure.ac
A	help/Makefile.am
M	src/gl-application.c

commit 90684b88e81a897f687cd0f282dfda67da065fea
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Mar 3 22:39:25 2014 +0000

    Use bigger icon for help index

M	help/C/media/gnome-logs.png

commit a0e164cc695e3513bec2e6eb1fe03ba61610ce9d
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Mar 3 22:38:27 2014 +0000

    Add help introduction

A	help/C/introduction.page
A	help/C/media/gnome-logs-3-12.png

commit e595c5fd38c0a0b1d84367808f54eaf24db9eb3b
Author: David King <davidk@gnome.org>
Date:	Thu Feb 20 13:25:12 2014 +0000

    Move icon to the left of the commandline

    http://i.imgur.com/gEvFY8L.png

M	src/gl-eventviewdetail.c

commit c9ee54d4d09cc84be51a0707136ae7e9d280c195
Author: David King <davidk@gnome.org>
Date:	Mon Mar 3 13:19:11 2014 +0000

    Return early when selecting a category

M	src/gl-categorylist.c

commit 3c26fda5db2cc20c4ac3e900b4e2657417ebd736
Author: David King <davidk@gnome.org>
Date:	Thu Feb 20 12:20:54 2014 +0000

    Remove idle handler when finalizing GlEventView

M	src/gl-eventview.c

commit 54b27bed39597ea07eada8002a09b2b791b2a83f
Author: David King <davidk@gnome.org>
Date:	Tue Feb 18 08:58:27 2014 +0000

    Store idle handler ID in GlEventView

M	src/gl-eventview.c

commit 0353c273b8b8a0dec1edf8820a518486d576fe60
Author: David King <davidk@gnome.org>
Date:	Thu Feb 27 12:38:45 2014 +0000

    Ignore tab focus direction inside category list

    Make a tab forward or back to another child within the category list
    instead jump out of the list and focus the next child of the window.
    This improves keyboard navigation, by making the listbox behave more
    like a treeview.

    https://bugzilla.gnome.org/show_bug.cgi?id=724980

M	src/gl-categorylist.c

commit da5943fe0304cefdf95561fa7233579b5a814023
Author: David King <davidk@gnome.org>
Date:	Thu Feb 27 12:09:02 2014 +0000

    Set browse selection mode on GlCategoryList

M	data/gl-categorylist.ui

commit b49d34348308bc55dd93ffcd61315f56a94513e9
Author: David King <davidk@gnome.org>
Date:	Wed Feb 26 17:06:14 2014 +0000

    Switch category when a new row is selected

    Change the current category based on the row that is selected,
    not when
    a row is activated.

    https://bugzilla.gnome.org/show_bug.cgi?id=724980

M	data/gl-categorylist.ui
M	src/gl-categorylist.c

commit ab0f66db1664b0d2c18d04c6d30bbcce04426887
Author: David King <davidk@gnome.org>
Date:	Wed Feb 26 17:02:47 2014 +0000

    Disallow selection in GlEventView

    The details view is show when a row is activated, so do not allow
    selection.

M	src/gl-eventview.c

commit 289a514553fd2589c72ff47c96bf95822a6f5485
Author: David King <davidk@gnome.org>
Date:	Wed Feb 26 12:34:56 2014 +0000

    Add keyboard navigation for the back button

    Thanks to Joanmarie Diggs for the suggestion.

    https://bugzilla.gnome.org/show_bug.cgi?id=724980

M	src/gl-eventtoolbar.c
M	src/gl-eventtoolbar.h
M	src/gl-window.c

commit 1d13376f14fb245f85ddef6b19c74f73bb92425e
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Feb 27 11:52:08 2014 +0100

    Updated Czech translation

M	po/cs.po

commit 8159ed44e18d8182396a764b072c8fc85d1b1975
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 22 01:06:59 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 7035a18a10f8895dcdbd942125d89339dc126489
Author: Paolo Borelli <pborelli@gnome.org>
Date:	Thu Feb 20 22:54:13 2014 +0100

    Handle --version command line option

M	configure.ac
M	src/gl-application.c

commit 9ad6183501201097ce3b37cfb4112140569bca92
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Feb 21 15:36:19 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 38bb0b06d717f552602c09c507088a4a1c72cfb6
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Feb 20 23:20:10 2014 +0100

    Updated Czech translation

M	po/cs.po

commit 45f40ee5f5d6c211e92bb9f862ca1fa30e776e34
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Tue Feb 18 13:42:32 2014 +0000

    Start adding user help

A	help/C/index.page
A	help/C/legal.xml
A	help/C/media/gnome-logs.png
A	help/C/permissions.page

commit 4b32d69c68f45c6d8225c9450b10bf1e0a4d2fb0
Author: David King <davidk@gnome.org>
Date:	Tue Feb 18 08:56:26 2014 +0000

    Update NEWS for 3.11.90 release

M	NEWS
M	configure.ac

commit f180685fdbce554ccec5c6fb13bf8b1e2b21e88f
Author: David King <davidk@gnome.org>
Date:	Tue Feb 18 08:51:56 2014 +0000

    Add help item to application menu

M	data/appmenu.ui
M	src/gl-application.c

commit 208da80eb552403059c52b1e647cb286cfc248be
Author: David King <davidk@gnome.org>
Date:	Thu Feb 13 12:15:28 2014 +0000

    Add device event view rows in an idle handler

M	src/gl-eventview.c

commit 05c42191bf901e7cf224bc0b9faa432aa13a8448
Author: David King <davidk@gnome.org>
Date:	Thu Feb 13 12:07:56 2014 +0000

    Add security event view rows in an idle handler

M	src/gl-eventview.c

commit f0a2ff677cc60faa7c38c28f1f7158957609b6b6
Author: David King <davidk@gnome.org>
Date:	Thu Feb 13 11:55:12 2014 +0000

    Add simple event view rows in an idle handler

M	src/gl-eventview.c

commit 2c992de7747affac38fdb1b9b721497996edc608
Author: David King <davidk@gnome.org>
Date:	Thu Feb 13 11:04:10 2014 +0000

    Add commandline event view rows in an idle handler

    This keeps the UI responsive while adding large numbers of rows to the
    event view listbox.

M	src/gl-eventview.c

commit 09b00b7a9b54c3e2465bae1730d0c4751f8f98d2
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Fri Feb 14 00:33:22 2014 +0200

    Added uk translation

M	po/LINGUAS
A	po/uk.po

commit 3b9e74f7cdd2a37557d144ef0e8d1d83e5b5766a
Author: David King <davidk@gnome.org>
Date:	Mon Feb 10 10:43:04 2014 +0000

    Update copyright year in about dialogue

M	src/gl-application.c

commit d661271883d70d21afec4d89b3cedf98b784d2ce
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 8 03:06:38 2014 +0100

    Updated Polish translation

M	po/pl.po

commit 9ec363ea48e38a69fadf10dd92ce2abfc2d012a6
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Feb 7 20:23:33 2014 +0100

    Updated Czech translation

M	po/cs.po

commit c157547fc8fc672e0f7c26094c782cb7409744e2
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Fri Feb 7 02:02:23 2014 +0100

    Updated Galician translations

M	po/gl.po

commit fa33be15bf09c5e6d53311e62b2676a188bd82b5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Feb 6 13:11:51 2014 +0100

    Updated Spanish translation

M	po/es.po

commit 8e8c2dc65fca90842173f17a12b2ec0bed12db02
Author: David King <davidk@gnome.org>
Date:	Tue Feb 4 18:00:54 2014 +0000

    Validate desktop file during make check

M	Makefile.am
M	configure.ac

commit c61aaae431566d22342b584200ad0216e8d99493
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Feb 4 22:03:02 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d8ca84f1672b4995da9b47f90ac3d0fc07a9afe5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Tue Feb 4 22:04:57 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 71edd4684d3697e7601a2989fb0240b0fc7f6772
Author: David King <davidk@gnome.org>
Date:	Tue Feb 4 09:51:31 2014 +0000

    Fix Greek desktop file translation

M	po/el.po

commit 8c7a9cbe235071612805505df662b8d7f4097412
Author: David King <davidk@gnome.org>
Date:	Tue Feb 4 09:12:54 2014 +0000

    Update NEWS for 3.11.5 release

M	NEWS
M	configure.ac

commit 259856a2288590b2d3d26ab378d1b35369e2c037
Author: David King <davidk@gnome.org>
Date:	Thu Jan 23 10:06:16 2014 +0000

    Hide unimplemented category labels

M	data/gl-categorylist.ui

commit 60e3c75d63eb9e743cc4d7fb91af3a9200c5658f
Author: David King <davidk@gnome.org>
Date:	Thu Jan 16 13:59:00 2014 +0000

    Show application icons if a desktop file is found

M	configure.ac
M	src/gl-eventviewdetail.c

commit 5532ebdba04f9cbd66f95c3f2c4a1a321b5df380
Author: David King <davidk@gnome.org>
Date:	Thu Jan 16 10:24:04 2014 +0000

    Show priority, kernel device and audit session

M	data/gl-style.css
M	po/POTFILES.in
M	src/gl-eventviewdetail.c

commit 5c01f516a8738b5b637f301fbb4833cea4ab7ee5
Author: David King <davidk@gnome.org>
Date:	Wed Jan 29 13:23:46 2014 +0000

    Add programming language to DOAP file

M	gnome-logs.doap

commit 8cf4d297b8f4b33de300cbe120c1f4b008f88944
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Wed Jan 29 11:03:40 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 84dfca2717ba19153f9fdd02b31860579dd3bd75
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Mon Jan 20 08:45:41 2014 +0200

    Added Greek translation

M	po/LINGUAS
A	po/el.po

commit 6445fa7adda44c5bd330230a9199ade9f4bbfdb1
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	Wed Jan 15 15:07:26 2014 +0200

    Finnish translation update

M	po/fi.po

commit 0e91b4c146528ea94e8dfa9b6ed977f0c45a7c12
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Mon Dec 30 02:37:41 2013 +0100

    Added galician translations

M	po/LINGUAS
A	po/gl.po

commit ad25473f96445a7beefed3a0a10435ab453702d3
Author: David King <davidk@gnome.org>
Date:	Tue Dec 17 00:16:47 2013 +0000

    Update NEWS for 3.11.3 release

M	NEWS
M	README
M	configure.ac

commit 40a9077774f9ae475a55de58e475fb0a51c4c1a6
Author: David King <davidk@gnome.org>
Date:	Tue Dec 17 00:16:47 2013 +0000

    Validate AppData XML during distcheck

    Force validation of AppData XML during distcheck, if a recent enough
    version of appdata-tools is available.

M	Makefile.am

commit e0aa619ea1d344c16692d0ab903773771a428dd5
Author: David King <davidk@gnome.org>
Date:	Thu Nov 21 12:01:20 2013 +0000

    Split off GlEventViewDetail as the detail widget

M	Makefile.am
M	src/gl-eventview.c
A	src/gl-eventviewdetail.c
A	src/gl-eventviewdetail.h

commit e3e96b7ac0f6c1825e09b8f58fb79302655f23c2
Author: Daniele Medri <dmedri@gmail.com>
Date:	Mon Dec 9 13:21:24 2013 +0000

    Update Italian translation

M	po/it.po

commit 6b036ab68b19454d760c28d4dbed09dfbe79f671
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Dec 9 13:31:21 2013 +0100

    Updated Czech translation

M	po/cs.po

commit 63ea85d46ea13721deaf0559e6072322b7423c87
Author: eternalhui <www.eternalhui@gmail.com>
Date:	Sat Dec 7 18:22:47 2013 +0800

    Add Chinese simplified translation

M	po/LINGUAS
A	po/zh_CN.po

commit a75d1eed92e9355d74640e96ff4cd920276ae433
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Dec 6 17:03:46 2013 +0100

    Updated Polish translation

M	po/pl.po

commit c4a9fb549ce2eb38ba86c5add7358291388cb987
Author: David King <davidk@gnome.org>
Date:	Thu Nov 28 15:23:29 2013 +0000

    Add man page

    https://bugzilla.gnome.org/show_bug.cgi?id=719485

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/gnome-logs.xml
A	data/version.xml.in
A	m4/gtkdoc_jh_check_xml_catalog.m4
A	m4/gtkdoc_jh_path_xml_catalog.m4

commit fb986916a53fd6d67bd9c9c748e4ee4303733a13
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Tue Nov 26 22:50:54 2013 +0100

    Adding Lapo as an artist.

    - he's done major part of the work

M	src/gl-application.c

commit 5fd8a6cbc05566794d3a010ee6cf3bfd72552162
Author: David King <davidk@gnome.org>
Date:	Tue Nov 26 21:17:49 2013 +0000

    Add Jakub Steiner to artists

M	src/gl-application.c

commit f8bad35e71b31a65d3dc30d1221db10e819ac2a1
Author: David King <davidk@gnome.org>
Date:	Tue Nov 26 19:35:31 2013 +0000

    Show application icon in about dialog

M	src/gl-application.c

commit 1d953b2988c8fa9f0cd6feafd79f37b7eda90d59
Author: David King <davidk@gnome.org>
Date:	Tue Nov 26 17:01:39 2013 +0000

    Install application icon

M	Makefile.am
R100	data/icons/hicolor/16x16/apps/gnome-logs.png
data/icons/16x16/gnome-logs.png
R100	data/icons/hicolor/22x22/apps/gnome-logs.png
data/icons/22x22/gnome-logs.png
R100	data/icons/hicolor/24x24/apps/gnome-logs.png
data/icons/24x24/gnome-logs.png
R100	data/icons/hicolor/256x256/apps/gnome-logs.png
data/icons/256x256/gnome-logs.png
R100	data/icons/hicolor/32x32/apps/gnome-logs.png
data/icons/32x32/gnome-logs.png
R100	data/icons/hicolor/48x48/apps/gnome-logs.png
data/icons/48x48/gnome-logs.png
R100	data/icons/hicolor/512x512/apps/gnome-logs.png
data/icons/512x512/gnome-logs.png
D	data/icons/Makefile.am

commit 76e13ad7382631d8d0106752f91213fa54f49407
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Nov 25 20:22:23 2013 +0100

    add app icon

    - it doesn't actually build or anything :)

    https://bugzilla.gnome.org/show_bug.cgi?id=715190

M	data/gnome-logs.desktop.in
A	data/icons/Makefile.am
A	data/icons/gnome-logs.svg
A	data/icons/hicolor/16x16/apps/gnome-logs.png
A	data/icons/hicolor/22x22/apps/gnome-logs.png
A	data/icons/hicolor/24x24/apps/gnome-logs.png
A	data/icons/hicolor/256x256/apps/gnome-logs.png
A	data/icons/hicolor/32x32/apps/gnome-logs.png
A	data/icons/hicolor/48x48/apps/gnome-logs.png
A	data/icons/hicolor/512x512/apps/gnome-logs.png

commit 72119286b405cbc66d426821178cda11268dc0da
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Nov 20 14:39:36 2013 +0100

    Updated Spanish translation

M	po/es.po

commit 585dd9f0a4351b8bef60c7d35455a67c571b7db9
Author: David King <davidk@gnome.org>
Date:	Mon Nov 18 22:39:07 2013 +0000

    Update NEWS for 3.11.2 release

M	.gitignore
M	NEWS
M	README
M	configure.ac

commit 0557b869691116c061bebcedbb62e225fce5e030
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Nov 18 17:35:53 2013 +0100

    Initial Hungarian translation

A	po/hu.po

commit 6dd5c33eeaf208ba9ef05a2b66c5a430716cba5b
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Nov 18 17:25:02 2013 +0100

    Added hu entry

M	po/LINGUAS

commit 082c4b794efebc9fdce19a1c6d945028471d95f1
Author: Colin Walters <walters@verbum.org>
Date:	Tue Nov 12 21:14:24 2013 -0500

    appdata: Don't translate screenshot

    This breaks validation.

M	data/gnome-logs.appdata.xml.in

commit d70e5fc63506d8e6f3463fbc819be8f1876983f8
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Wed Nov 13 23:35:34 2013 -0200

    Updated Brazilian Portuguese Translation

M	po/pt_BR.po

commit b3227e602a8ba40003d94be33860ee6a4ae06b81
Author: David King <davidk@gnome.org>
Date:	Fri Nov 8 10:59:47 2013 +0000

    Use new APPDATA_XML macro

    https://github.com/hughsie/appdata-tools/pull/13

M	Makefile.am
M	configure.ac

commit 8c95f3803bb4c6f945a0b12c8d9491677e4533c2
Author: David King <davidk@gnome.org>
Date:	Thu Nov 7 18:57:49 2013 +0000

    Add AppData description

M	.gitignore
M	Makefile.am
A	data/gnome-logs.appdata.xml.in
M	po/POTFILES.in

commit 96f4a8d33d05f20d5bd507076781dc305e23a13c
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	Tue Nov 5 07:12:41 2013 +0200

    Finnish translation update

M	po/LINGUAS
A	po/fi.po

commit 224eb462bbe1bb852796b159d86059402432283f
Author: David King <davidk@gnome.org>
Date:	Mon Nov 4 10:06:11 2013 +0000

    Only load logs for the current category

    Rather than loading events for every available category, only load and
    show log events for the category which is currently selected.

M	src/gl-eventview.c

commit 87f1461da32a12d3fdd6f58d27a5a5a6c31820c8
Author: David King <davidk@gnome.org>
Date:	Fri Nov 1 15:16:12 2013 +0000

    Use GlEventViewRow in GlEventView

    Adapt the GlEventView code to use the result from the row rather than
    querying the journal again using the cursor.

M	src/gl-eventview.c
M	src/gl-eventviewrow.c
M	src/gl-eventviewrow.h

commit 5ce7595da4da2fd1ecbf4a63addf9da288515e8d
Author: David King <davidk@gnome.org>
Date:	Fri Nov 1 12:55:37 2013 +0000

    Add GlEventViewRow

    Add a dedicated object for listbox rows.

M	Makefile.am
A	src/gl-eventviewrow.c
A	src/gl-eventviewrow.h

commit a74c94195fdc78f4f0759fd5717a3fa6780082de
Author: David King <davidk@gnome.org>
Date:	Fri Nov 1 12:53:22 2013 +0000

    Add GlUtilClockFormat to gl-enums

M	Makefile.am
M	src/gl-util.h

commit 9be33d5233ea86550f440b0338021cda5cf5d7ff
Author: David King <davidk@gnome.org>
Date:	Fri Nov 1 10:54:24 2013 +0000

    Make GlJournalResult a ref-counted boxed type

M	src/gl-eventview.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 0486666e006fb201632f8659d2f558dc10434a35
Author: David King <davidk@gnome.org>
Date:	Thu Oct 31 13:18:54 2013 +0000

    Add dim-label style class to no results icon

    https://bugzilla.gnome.org/show_bug.cgi?id=711209

M	src/gl-eventview.c

commit 1b1e6f1ef95cc84130b4b5284b5425bd848e79ed
Author: David King <davidk@gnome.org>
Date:	Wed Oct 30 11:15:07 2013 +0000

    Show messages from current boot for all categories

    https://bugzilla.gnome.org/show_bug.cgi?id=709297

M	src/gl-eventview.c

commit d9e516e84463ea0e4dce5e4e636e78daa19bc2a5
Author: David King <davidk@gnome.org>
Date:	Wed Oct 30 11:09:04 2013 +0000

    Allow showing all log events for the current boot

    If -1 is passed as the requested number of results for a
    GlJournalQuery,
    return a list of all results that match since the last boot.

M	src/gl-eventview.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 4077931dfe510820861749418c77e50fa08b42b4
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Thu Oct 31 01:06:59 2013 -0200

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit fdce0d3a9489bc0bea2b408e6df6997316d5b698
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Oct 30 19:01:48 2013 +0100

    Updated Polish translation

M	po/pl.po

commit b6cc789949e8e63f2b498283589e57e3d4996bd6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Oct 30 19:00:52 2013 +0100

    Fix comments on 12/24 clocks

M	src/gl-util.c

commit efaf3c7933a683047b7a917d8edd45e7a2186327
Author: David King <davidk@gnome.org>
Date:	Wed Oct 30 11:14:47 2013 +0000

    Assume messages with no priority are LOG_INFO

M	src/gl-journal.c

commit b6b6cec1b9b649a5a5308f5a17ee491efffbe845
Author: Daniele Medri <dmedri@gmail.com>
Date:	Fri Oct 4 14:52:06 2013 +0200

    Italian translation

M	po/LINGUAS
A	po/it.po

commit 3586cd03fcb08802b6ed03801d21824797aef871
Author: David King <davidk@gnome.org>
Date:	Tue Oct 29 12:43:56 2013 +0000

    Improve timestamp detail for different day or year

    https://bugzilla.gnome.org/show_bug.cgi?id=711020

M	src/gl-util.c

commit a4226b4a7bd91a8eba472e52a55637b714744bb3
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Mon Oct 28 20:40:11 2013 -0200

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 6bb73822e6dab20cc3c036671e56f7ca29edb478
Author: David King <davidk@gnome.org>
Date:	Mon Oct 28 20:22:19 2013 +0000

    Update NEWS for 3.11.1 release

M	NEWS
M	configure.ac

commit 763569cc598fafcb69abd5d1eea921f033f4dcad
Author: David King <davidk@gnome.org>
Date:	Mon Oct 28 16:15:32 2013 +0000

    Make timestamp translatable

M	po/POTFILES.in
M	src/gl-util.c

commit 60d7c1f738ee406491a3583ed11feca4771594aa
Author: David King <davidk@gnome.org>
Date:	Mon Oct 28 15:15:10 2013 +0000

    Use the system 12/24 hour clock setting

    Use the clock-format key in org.gnome.desktop.interface to control
    whether timestamps are shown in 12 hour or 24 hour format.

    https://bugzilla.gnome.org/show_bug.cgi?id=710728

M	src/gl-eventview.c
M	src/gl-util.c
M	src/gl-util.h

commit 619a1c700c192cc4ebc65f82a5a31c8ea8a57406
Author: David King <davidk@gnome.org>
Date:	Mon Oct 28 13:30:49 2013 +0000

    Show only user events in the applications category

    Refine the query for applications to only show events from the
    same user
    that is running the application.

M	src/gl-eventview.c

commit d3af38b5074f23cacea975dc2b64cab191a5ec15
Author: David King <davidk@gnome.org>
Date:	Mon Oct 28 12:18:32 2013 +0000

    Support case-insensitive search

    If only lower-case characters are entered in the search field, use a
    case-insensitive search. If there are any upper-case characters, use a
    simple case-sensitive search.

M	src/gl-eventview.c

commit 0690984ec7cc4bf881a6a86f27d375386d94a30f
Author: David King <davidk@gnome.org>
Date:	Fri Oct 25 16:13:21 2013 +0100

    Show placeholder when the events listbox is empty

M	src/gl-eventview.c

commit e3683c5bab72e670a8cb0f0d3e9b200fd0cda499
Author: David King <davidk@gnome.org>
Date:	Fri Oct 25 14:23:37 2013 +0100

    Avoid overwriting the first typeahead find letter

    Grabbing the focus of the search entry caused the whole contents
    of the
    entry to be selected. As this was done when entering a character to
    bring up the search entry, it was easy to type a whole word,
    overwriting
    the first (selected) character.

    Fix the problem by setting the cursor position to the end of the
    search
    entry immediately after grabbing focus.

M	src/gl-window.c

commit e2e9690b09ea37a6e1ea142868f573bc0e3be915
Author: David King <davidk@gnome.org>
Date:	Thu Oct 24 15:04:16 2013 +0100

    Make find mode tolerant of NULL event messages

M	src/gl-eventview.c

commit 3e9c2cefeecc504e58dc900b584c80f295b5e18d
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	Thu Oct 24 15:46:44 2013 +0300

    Always set the direction of the text to left

    Also to put the date in the right place in RTL.

    https://bugzilla.gnome.org/show_bug.cgi?id=710800

M	src/gl-eventview.c

commit 40661e5d3f989305a51e4e54eafbfa8a81882fef
Author: David King <davidk@gnome.org>
Date:	Wed Oct 23 20:26:32 2013 +0100

    Use locale format when displaying event timestamp

    https://bugzilla.gnome.org/show_bug.cgi?id=710728

M	src/gl-util.c

commit 3160ddf01d74a153246acd5f5b94a134095d5118
Author: David King <davidk@gnome.org>
Date:	Wed Oct 23 18:53:26 2013 +0100

    Add GlJournalError enum

M	src/gl-journal.c
M	src/gl-journal.h

commit 0325f69e86d9bcb8790624c109f6da9bb23a75f6
Author: David King <davidk@gnome.org>
Date:	Wed Oct 23 18:13:03 2013 +0100

    Set a GError when calling gl_journal_get_data()

M	src/gl-journal.c

commit b79f02b78bbb5bd34e292d9613e92ac0f4b95e76
Author: David King <davidk@gnome.org>
Date:	Wed Oct 23 17:54:47 2013 +0100

    Use the length result of sd_journal_get_data()

    Previously, the journal fields were passed to functions which
    assumed a
    NUL-terminated string, and surprisingly this mostly worked. However,
    the
    systemd journal API does not guarantee this, and there were some
    reports
    of strange crashes and odd characters appearing in log messages.

    Fix the problem by using the length result from sd_journal_get_data()
    to
    read only the number of characters in the field.

    https://bugzilla.gnome.org/show_bug.cgi?id=709290

M	src/gl-eventview.c
M	src/gl-journal.c
M	src/gl-journal.h

commit 1911fd1b11807909b205ac751c1d12b97f7322f0
Author: David King <davidk@gnome.org>
Date:	Wed Oct 23 11:30:00 2013 +0100

    Make event view timestamps slightly smaller

M	data/gl-style.css
M	src/gl-eventview.c

commit 28ae5f9b237ff3b336ee764362bb4f7231fc2dd6
Author: David King <davidk@gnome.org>
Date:	Wed Oct 23 10:28:25 2013 +0100

    Increase window width and height request

    https://bugzilla.gnome.org/show_bug.cgi?id=710397

M	data/gl-window.ui

commit 80f606ed0354bc178cf744c0103a57cee29013b2
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 16:52:37 2013 +0100

    Add timestamp to system events view

M	src/gl-eventview.c

commit 8b48335b0eead9bbec36c7370f87d739af307479
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 16:42:50 2013 +0100

    Add timestamp to commandline events view

M	src/gl-eventview.c

commit 744bb9a88459be06372931bdae11eea79ffdf345
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 16:09:05 2013 +0100

    Add timestamp to security events view

M	src/gl-eventview.c

commit b166b5977d45f497f666a6f36df6fc6595cd124a
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 15:48:29 2013 +0100

    Add timestamp to kernel events list view

M	src/gl-eventview.c

commit 62161f93787367cfcba6c0d8477f3ffcd002e524
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 15:34:28 2013 +0100

    Factor out timestamp handling

    Add gl_util_timestamp_to_display() and move microseconds-to-string
    handling to it.

M	src/gl-eventview.c
M	src/gl-util.c
M	src/gl-util.h

commit 8ca1da91bd9105ccc274cae09630b4db89c146fa
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 12:13:19 2013 +0100

    Fix duplicate child warning for detail view

M	src/gl-eventview.c

commit 2354b3f781db02d532399f7f7b560835a2a4ea6b
Author: David King <davidk@gnome.org>
Date:	Wed Oct 9 16:45:22 2013 +0100

    Apply the system monospace font to log messages

    Monitor the monospace-font-name key from gsettings-desktop-schemas and
    update the font if it changes.

M	README
M	configure.ac
M	src/gl-application.c
M	src/gl-application.h
M	src/gl-eventview.c

commit 643c9f4165f7c97fc24d2d9ad3ac22f77963a27b
Author: David King <davidk@gnome.org>
Date:	Thu Oct 10 10:14:11 2013 +0100

    Move CSS parsing-error handler to separate file

M	Makefile.am
A	src/gl-util.c
A	src/gl-util.h
M	src/gl-window.c

commit 26ff8352eb5cdad7a17bed10807e7b0821c45e95
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Oct 18 21:15:14 2013 +0200

    Added the Czech language

M	po/LINGUAS

commit 5c0e7ee304e6fc05d14c733a351c1135bb837b07
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Oct 18 21:14:49 2013 +0200

    Czech translation

A	po/cs.po

commit 93b40a4c69245141242ec38f0b0e778dde8c7fdb
Author: Andika Triwidada <andika@gmail.com>
Date:	Mon Oct 14 08:27:58 2013 +0700

    Added id

M	po/LINGUAS

commit d291f5485f538512bf53b5669d2fb7f1e3414650
Author: Andika Triwidada <andika@gmail.com>
Date:	Mon Oct 14 08:25:59 2013 +0700

    Added Indonesian translation

A	po/id.po

commit 22a36e17e9301d7f0e5d715d9e888eb27e561e01
Author: David King <davidk@gnome.org>
Date:	Wed Oct 9 10:13:02 2013 +0100

    Set a larger default search bar width

M	data/gl-window.ui

commit 88b8a60a84696843dd3ef38c0011cae94ffb23a0
Author: David King <davidk@gnome.org>
Date:	Tue Oct 8 15:39:23 2013 +0100

    Add accelerator for closing a window

M	src/gl-application.c
M	src/gl-window.c

commit b606ac13de696b83245bb477b3aa537311d97320
Author: David King <davidk@gnome.org>
Date:	Tue Oct 8 15:30:53 2013 +0100

    Add accelerator for search functionality

M	src/gl-application.c

commit 098d0f0167099192076d16eda5d257d5ff0365ce
Author: David King <davidk@gnome.org>
Date:	Tue Oct 8 12:50:43 2013 +0100

    Make labels in detail view selectable

    Allow the labels shown in the details view to be selected, and
    therefore
    copied easily.

M	src/gl-eventview.c

commit cff713cdb04b83b7112c7961a70544f21b814631
Author: David King <davidk@gnome.org>
Date:	Tue Oct 8 12:06:40 2013 +0100

    Use a single header bar

    Remove the left header bar.

M	data/gl-style.css
M	data/gl-window.ui
M	po/POTFILES.in
M	src/gl-window.c

commit 70fe478deb9a4f486dd22456e20f735f9f5a1662
Author: David King <davidk@gnome.org>
Date:	Tue Oct 8 16:02:13 2013 +0100

    Do not unref the default GtkCssProvider

M	src/gl-window.c

commit 3cf4ef8cdca997454b149296c9ef1b62ddf1aba6
Author: David King <davidk@gnome.org>
Date:	Mon Oct 7 17:22:10 2013 +0100

    Unref GFile and GtkCssProvider in gl_window_init()

M	src/gl-window.c

commit ad0ab2a21084b7a24185818d8585b538cebd3e35
Author: David King <davidk@gnome.org>
Date:	Mon Oct 7 14:56:41 2013 +0100

    Make "important" category the default

    https://bugzilla.gnome.org/show_bug.cgi?id=709303

M	src/gl-categorylist.c
M	src/gl-eventview.c
M	src/gl-window.c

commit 662b03c7d92938bc556b521d6a4100043bb24571
Author: David King <davidk@gnome.org>
Date:	Mon Oct 7 14:39:37 2013 +0100

    Adjust important category to priorities <= 3

M	src/gl-eventview.c

commit 8b424fc199f1928fbb25fb9b98c0d6b9ca4d9082
Author: David King <davidk@gnome.org>
Date:	Fri Oct 4 13:47:50 2013 +0100

    Refactor category, view and toolbar state changes

M	data/gl-eventtoolbar.ui
M	src/gl-eventtoolbar.c
M	src/gl-eventview.c
M	src/gl-window.c

commit 4e001e08bdff921151f670199ccb557040a9a142
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 15:47:46 2013 +0100

    Add details view to all categories

    https://bugzilla.gnome.org/show_bug.cgi?id=709300

M	src/gl-eventview.c

commit 9fd0ef36535c4871eb714bec1a72c4df8c80d667
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 14:10:15 2013 +0100

    Remove unused gl_journal_get_journal() method

M	src/gl-journal.c
M	src/gl-journal.h

commit b39e0cc454a9a547a8a8281a2aa0fda111b8fd82
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 14:08:00 2013 +0100

    Use new cursor query method in details view

M	src/gl-eventview.c

commit 5f0823cd2fd44902718ad98ea969a85b45a75399
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 13:40:39 2013 +0100

    Use new cursor query method in listbox filter

M	src/gl-eventview.c

commit bed5e35aa6047392e08df4035a6e193f71dc30c0
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 13:39:25 2013 +0100

    Add method to query a single event with a cursor

M	src/gl-journal.c
M	src/gl-journal.h

commit 3b3dcc1f8673199145798324cc1856bab713f81a
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 11:56:16 2013 +0100

    Use new journal query API for "security" category

M	src/gl-eventview.c

commit 53166e178dad8d68f4428d0f1ce4860a82e486fb
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 11:36:43 2013 +0100

    Use new journal query API for "hardware" catwgory

M	src/gl-eventview.c

commit a32e83ea9ed6f5ee4d7484c3fd563f118931c2b7
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 10:07:15 2013 +0100

    Use new journal query API for "system" category

M	src/gl-eventview.c

commit 79cfaccc706b8f48c812fec175658aa72a1dc3d7
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 09:52:20 2013 +0100

    Use new query API for "applications" category

M	src/gl-eventview.c

commit 69b5329c4aa3aea3b21f7507e1579fc294d53c0a
Author: David King <davidk@gnome.org>
Date:	Wed Oct 2 21:37:07 2013 +0100

    Use new journal query API for "important" category

M	src/gl-eventview.c

commit 906db1a7c9683cfb48338c2f1bf4b418b0399b7f
Author: David King <davidk@gnome.org>
Date:	Wed Oct 2 20:04:54 2013 +0100

    Handle matches in gl_journal_query()

M	src/gl-journal.c

commit 323251c1fac6d7013667becad61d798e63c9fa50
Author: David King <davidk@gnome.org>
Date:	Wed Oct 2 17:55:20 2013 +0100

    Use new journal query API for "all" category

M	src/gl-eventview.c

commit 74da4c0dd155942fb55cf40e512b578080cd94da
Author: David King <davidk@gnome.org>
Date:	Wed Oct 2 17:54:44 2013 +0100

    Add method to free result lists

M	src/gl-journal.c
M	src/gl-journal.h

commit 7bb4e8c37e2fa91ec9135b90cbb5755543dabcf9
Author: David King <davidk@gnome.org>
Date:	Wed Oct 2 17:20:38 2013 +0100

    Add simple journal query method

M	src/gl-journal.c
M	src/gl-journal.h

commit 96b300b3d4909b4bdd2237f76554804f448cb9b9
Author: David King <davidk@gnome.org>
Date:	Wed Oct 2 14:38:36 2013 +0100

    Split off journal to new GlJournal object

M	Makefile.am
M	src/gl-eventview.c
A	src/gl-journal.c
A	src/gl-journal.h

commit 6841c2454120d83b5c2eab0dd915117cc267527f
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	Mon Oct 7 22:36:25 2013 +0300

    Fix the size of the search button

M	data/gl-eventtoolbar.ui

commit dfa54928226cabac5073e014bdae4c978f8e6ab6
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	Fri Oct 4 17:26:39 2013 +0300

    Added Hebrew translation

M	po/LINGUAS
A	po/he.po

commit 45028869106d7ed28d6727fe66239a6ab35c4c4d
Author: David King <davidk@gnome.org>
Date:	Thu Oct 3 14:56:32 2013 +0100

    Only show category separator above "applications"

    https://bugzilla.gnome.org/show_bug.cgi?id=709291

M	src/gl-categorylist.c

commit aa94b35f332149767c359e6efb3731f14a43ef29
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Thu Oct 3 01:42:33 2013 -0300

    Added Brazilian Portuguese translation

M	po/LINGUAS
A	po/pt_BR.po

commit b4bbf8930d225869fdb6325d3ced597bb9c7e28f
Author: Colin Walters <walters@verbum.org>
Date:	Wed Oct 2 15:47:35 2013 -0400

    desktop.in: Fix Exec= line

M	data/gnome-logs.desktop.in

commit 6d08498103a98e9198b8915fa48e8eae3fc2da5f
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Wed Oct 2 11:33:52 2013 +0200

    Added Serbian translation

M	po/LINGUAS
A	po/sr.po
A	po/sr@latin.po

commit 6a3f75b85a4b467b55ffeb993f095ca0865e77ec
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	Tue Oct 1 23:22:48 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit a3f4f923c792b6997e73377e5802bbc9e1a0df4f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Tue Oct 1 23:21:57 2013 +0200

    Added sl for Slovenian translation

M	po/LINGUAS

commit 7e7dd017bc5a4ca3aafcc38b98e80b735a8ec8bd
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Tue Oct 1 23:21:48 2013 +0200

    Added Slovenian translation

A	po/sl.po

commit 5f773e6243ae0ce54fdf7f9c00ebd8b9362f7aa8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Oct 1 18:26:23 2013 +0200

    Updated Spanish translation

M	po/LINGUAS
A	po/es.po

commit ca0729ad86881c567e183259e5aad4d8115aa9b4
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 13:59:25 2013 +0100

    Add padding to message catalog label

M	src/gl-eventview.c

commit 31b850a0594367f87506d2f04b3247f45bbb521e
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 13:45:14 2013 +0100

    Add wrapped message to detailed event view

M	data/gl-style.css
M	src/gl-eventview.c

commit f5da06e3d98eb0feeca678cbd7bea28087f2e6c3
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 13:34:02 2013 +0100

    Add some simple styling to the detailed event view

M	data/gl-style.css
M	src/gl-eventview.c

commit 02eb62acdb07376c20863a72b9b857932a862fa0
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 12:44:43 2013 +0100

    Use message catalog in detailed log event view

    https://bugzilla.gnome.org/show_bug.cgi?id=709153

M	src/gl-eventview.c

commit a1e74034d0a57fa22fb6b3606a70a22685112d69
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	Tue Oct 1 14:07:54 2013 +0300

    Set the back icon according to locale's text direction

M	data/gl-eventtoolbar.ui
M	src/gl-eventtoolbar.c

commit f51c0210dc43ed84db18a9912300cf19d9b3e176
Author: Yosef Or Boczko <yoseforb@gmail.com>
Date:	Tue Oct 1 13:50:53 2013 +0300

    Make the buttons in the headerbar as center vertically

M	data/gl-eventtoolbar.ui

commit 5112d2a33e9d139860df5789a9b5ef1f8f4452d4
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 11:15:13 2013 +0100

    Add rounded corners on titlebar

M	data/gl-style.css
M	data/gl-window.ui

commit 45e1c3ae110ad74ddf9d6b2413c844d5bfe22391
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 09:41:12 2013 +0100

    Update .gitignore

M	.gitignore

commit 1ea3c0139b929c91b14aa8df25fcdd6234767029
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 09:42:18 2013 +0100

    Remove LT_INIT from configure.ac

    There is no need to use libtool if no libraries are being built.

M	configure.ac

commit 5d648a9a1d1ef492a624d04e2387d91b225a88c5
Author: David King <davidk@gnome.org>
Date:	Tue Oct 1 09:37:06 2013 +0100

    Adjust some internal warning severities

    Drop many uses of g_warning() to g_debug(), as several of the warnings
    were purely informational during development. Make a failure of
    sd_journal_open() use g_critical().

M	src/gl-eventview.c

commit 16d9ae6ae8b9b2a8a378fecd47ddf2a4c407c35e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Oct 1 03:38:12 2013 +0200

    Updated Polish translation

M	po/pl.po

commit 90e14af0ce85807fdeb14800dedfce1ce3621a5f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Oct 1 03:36:13 2013 +0200

    Added Polish translation

A	po/LINGUAS
A	po/pl.po

commit 8112dcf213d41e863903f2683e85f2accc251287
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Oct 1 03:33:50 2013 +0200

    Add translator-credits to the About window

M	src/gl-application.c

commit d87acf2ed7bcae0c58668e364a23092c113d4c67
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Mon Sep 30 15:13:58 2013 -0400

    Make category switching work

    The listbox is not a direct child of the stack. We need
    to take the scrolled window and a viewport to take into account.

    https://bugzilla.gnome.org/show_bug.cgi?id=709123

M	src/gl-eventview.c

commit 28516e83eb7563b08794263266203a945654e039
Author: David King <davidk@gnome.org>
Date:	Mon Sep 30 19:30:38 2013 +0100

    Update Bugzilla and homepage links

M	README
M	configure.ac
M	gnome-logs.doap

commit 58b692a38f0c646095dcb2d7273203973a9be577
Author: David King <davidk@gnome.org>
Date:	Mon Sep 30 13:09:31 2013 +0100

    Add DOAP file

A	gnome-logs.doap

commit 1c4492d98dfb8c15bab6dda3cebac7c0311b7bc6
Author: David King <davidk@gnome.org>
Date:	Mon Sep 30 12:18:23 2013 +0100

    Update NEWS for 0.1 release

    Add check-news to Automake options.

M	NEWS
M	README
M	configure.ac

commit 9e510a1bb51d32cc455f300fb2f7e5fd637cb4e4
Author: David King <davidk@gnome.org>
Date:	Mon Sep 30 10:48:59 2013 +0100

    Enable type-ahead search for search bar

M	data/gl-window.ui
M	src/gl-window.c

commit 0b2a7d2d2497ade02c210f154daeffe154d26ca7
Author: David King <davidk@gnome.org>
Date:	Sun Sep 29 14:44:55 2013 +0100

    Show search bar on clicking the find button

M	data/gl-eventtoolbar.ui
M	data/gl-window.ui
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-window.c

commit 7c8834c4ba66991f659e9310432fd06f3a27ff3c
Author: David King <davidk@gnome.org>
Date:	Sun Sep 29 11:03:39 2013 +0100

    Switch toolbar mode on changing to detail view

M	data/gl-eventtoolbar.ui
M	src/gl-eventtoolbar.c
M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-window.c

commit 777c1a0ebd3e49238c024ec727af38c982f5c458
Author: David King <davidk@gnome.org>
Date:	Sun Sep 29 10:33:47 2013 +0100

    Add new window action to application menu

M	data/appmenu.ui
M	src/gl-application.c

commit 1dd2f4d03fc1d2ced008dd313b833bb08cf3f580
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 23:26:16 2013 +0100

    Use GFile instead of GBytes to read from GResource

M	src/gl-window.c

commit eea86f06f7d6bd8c14d766f599a13cf6bfaaa37d
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 23:14:07 2013 +0100

    Move right toolbar to GlEventToolbar object

M	Makefile.am
A	data/gl-eventtoolbar.ui
M	data/gl-window.ui
M	data/gnome-logs.gresource.xml
M	po/POTFILES.in
M	src/gl-application.c
A	src/gl-eventtoolbar.c
A	src/gl-eventtoolbar.h

commit abe91248244fea3909bd287f54026085758e8373
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 15:48:29 2013 +0100

    Add padding to event view entries

M	data/gl-style.css
M	src/gl-eventview.c

commit 5335d8c1b3ba9ca736d2c5dc1ad5be71fe273ca2
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 11:45:07 2013 +0100

    Add title to categories list header bar

M	data/gl-window.ui

commit 39dac6ec8a249ce5ee4d61883058b60b7f2c7ad6
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 11:39:06 2013 +0100

    Set background colour on category list

M	data/gl-style.css
M	data/gl-window.ui

commit d01ec6e01766189f17b3fb15394fb74e3e6e264c
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 11:29:38 2013 +0100

    Add separators between titlebars and content views

M	data/gl-window.ui

commit 91edf7f539c9aeaf896063c8a09b35ae9bfeb516
Author: David King <davidk@gnome.org>
Date:	Sat Sep 28 11:21:32 2013 +0100

    Add separator to category list rows

M	src/gl-categorylist.c

commit f7662c0b44a440213fdbb31fa6b08a08d7fd3754
Author: David King <davidk@gnome.org>
Date:	Fri Sep 27 15:08:26 2013 +0100

    Add padding to category rows

    Add a CSS override to the resource bundle, and load it in GlWindow.

M	Makefile.am
M	data/gl-categorylist.ui
A	data/gl-style.css
M	data/gnome-logs.gresource.xml
M	src/gl-window.c

commit 395286a0460466a0c4382a4daac6178a84f6a454
Author: David King <davidk@gnome.org>
Date:	Fri Sep 27 12:28:54 2013 +0100

    Look up action strings from generated GEnumValues

M	src/gl-categorylist.c
M	src/gl-window.c

commit 442c8131f58ad5aaedf534c47f896fac41be56c0
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 17:43:56 2013 +0100

    Stop using libgd

    As the toolbars are now using GtkHeaderBar, there is no need to use
    GdMainToolbar.

D	.gitmodules
M	Makefile.am
M	autogen.sh
M	configure.ac
D	libgd
M	src/gl-window.c

commit 789b31693f7d079b1fc4dbe6acb11fc09bc367cb
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 17:40:56 2013 +0100

    Use two header bars for the titlebar

M	data/gl-window.ui

commit 126302128087abfd48ca2503dbe86a632150e13a
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 15:42:32 2013 +0100

    Set image-button style class on toolbar buttons

M	data/gl-window.ui

commit 3c29cd2a688ffd362e2cf23d6ce77dbcf70db533
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 12:09:42 2013 +0100

    Use GtkHeaderBar

M	data/gl-window.ui

commit e0433c00a63429c83e7a5e9a5eeef651c1813f56
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 11:36:41 2013 +0100

    Add important category filter

    Additionally, mark alerts and starred categories as unimplemented.

M	po/POTFILES.in
M	src/gl-eventview.c

commit 57678592c3ca7a9437523734219a50cf38beabcd
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 11:16:27 2013 +0100

    Mark updates and usage categories as unimplemented

M	src/gl-eventview.c

commit 85fda37bea962c96460ab4b9459377b04034b6e2
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 10:57:35 2013 +0100

    Add security category filter

M	src/gl-eventview.c

commit dc299724be2af7de283f15bb7d4510942fc5749d
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 10:40:36 2013 +0100

    Add hardware category filter

M	src/gl-eventview.c

commit 23b021ebcb003a2c8825efb41180a2bc740344fb
Author: David King <davidk@gnome.org>
Date:	Thu Sep 26 09:58:31 2013 +0100

    Add applications category filter

M	src/gl-eventview.c

commit 2eff8c665f8f2593916fb9dd2eed647c46920360
Author: David King <davidk@gnome.org>
Date:	Wed Sep 25 14:20:25 2013 +0100

    Factor out iteration over journal entries

M	src/gl-eventview.c

commit aaee7b626ffd4d5b3055636b771ec351c73f04e6
Author: David King <davidk@gnome.org>
Date:	Sat Sep 7 12:52:21 2013 +0100

    Restrict system category to kernel events

M	src/gl-eventview.c

commit feb6f6a76e14e57e9b0414fe99db5d0a538c7599
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 15:17:27 2013 +0100

    Add skeleton system event view

M	src/gl-eventview.c

commit 3c67ba090cef8901397d785dbbc0fca3f4054f30
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 14:19:22 2013 +0100

    Set GlEventView:filter from GlWindow

M	src/gl-eventview.c
M	src/gl-eventview.h
M	src/gl-window.c

commit 250e6a78f73a5c89e4bab57af37eff6e507859a8
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 13:23:48 2013 +0100

    Add GlEventViewFilter and property to GlEventView

M	.gitignore
M	Makefile.am
M	configure.ac
M	src/gl-eventview.c
M	src/gl-eventview.h

commit a924a4970d390b19f841a9c371842a5354b4e5fe
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 12:07:42 2013 +0100

    Add events view to GlWindowPrivate

M	src/gl-window.c

commit 321c4144c56f6c4db6afd178403f79ed8e523ed9
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 11:53:01 2013 +0100

    Handle category change in GlWindow

M	src/gl-window.c

commit fbefdfedbebd6e671f77bddb59d739a245f13274
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 11:33:15 2013 +0100

    Activate window actions in the category list

M	src/gl-categorylist.c

commit 16588da791be762f163dd1bb9c56f8abfb4a885f
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 10:37:03 2013 +0100

    Add category list action to GlWindow

M	src/gl-window.c

commit da45201fe6b737be02fd359a2bf261bc1e63d1f8
Author: David King <davidk@gnome.org>
Date:	Thu Sep 5 10:07:46 2013 +0100

    Handle activation of category list rows

M	data/gl-categorylist.ui
M	src/gl-categorylist.c

commit 5acb29dcb42e28ed86444df24bc00922b45dc095
Author: David King <davidk@gnome.org>
Date:	Thu Aug 15 10:42:12 2013 +0100

    Use GNOME_COMPILE_WARNINGS from gnome-common

M	Makefile.am
M	configure.ac

commit 2c86eefcef97552ffe43532186bbe83b083ef2d7
Author: David King <davidk@gnome.org>
Date:	Thu Aug 15 10:02:17 2013 +0100

    Make scrolled window part of the GlEventView

M	data/gl-window.ui
M	src/gl-eventview.c

commit ee7e6751d040c9266a7d13bb76d54b2d893197c1
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 16:40:22 2013 +0100

    Monitor systemd journal fd for events

M	src/gl-eventview.c

commit 63942f8df29c053627e4a91ce7a952621a68a46f
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 15:16:05 2013 +0100

    Store a journal pointer in GlEventViewPrivate

M	src/gl-eventview.c

commit f54a7e1ebb986473db38c4dbe05e8d414bbcf099
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 14:28:12 2013 +0100

    Check for reaching the end of the journal

M	src/gl-eventview.c

commit 0395f10df6fc8b8cb1b66574fc5fae6699a974a3
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 14:27:43 2013 +0100

    Seek back from the end of the journal

M	src/gl-eventview.c

commit 16248ea2cf70cc4b02f423bca9dc7fffa146d655
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 14:25:06 2013 +0100

    Allow a blank commandline in the event view

    Blank commandlines are possible with coredumps and segfaults.

M	src/gl-eventview.c

commit 6013feb59d832a617e39e1a545677e0843e1a9a0
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 13:53:01 2013 +0100

    Add timestamp to detailed event view

M	src/gl-eventview.c

commit f3dd0c789bb0a5cca9db09069e3e41693490cbcb
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 11:15:07 2013 +0100

    Make GlCategoryList a template widget

M	Makefile.am
A	data/gl-categorylist.ui
M	data/gnome-logs.gresource.xml
M	po/POTFILES.in
M	src/gl-categorylist.c

commit ab0bfd06b598093c8782d4c6ad266803d99e51ec
Author: David King <davidk@gnome.org>
Date:	Mon Aug 5 09:57:29 2013 +0100

    Add visible properties to GtkBuilder XML

M	data/gl-window.ui
M	src/gl-application.c
M	src/gl-eventview.c

commit 5f5046c7f63dad92a3a53db9acf73af63f2be5bb
Author: David King <davidk@gnome.org>
Date:	Wed Jul 31 16:33:58 2013 +0100

    Add a window action for the view mode

M	data/gl-window.ui
M	src/gl-application.c
M	src/gl-window.c

commit 1de8f787848dce7a62f6d6acb8c53166d93741cf
Author: David King <davidk@gnome.org>
Date:	Wed Jul 31 15:51:01 2013 +0100

    Add placeholder toolbar buttons

M	data/gl-window.ui

commit b6eae314f8002e9643a93cd1de4e5f491d7d03b5
Author: David King <davidk@gnome.org>
Date:	Wed Jul 31 14:42:28 2013 +0100

    Go back from the detailed to the event view

M	src/gl-eventview.c

commit 6bd335c14a0afb47bfd702221e23b0951d3d3bdc
Author: David King <davidk@gnome.org>
Date:	Wed Jul 31 13:47:46 2013 +0100

    Add skeleton detailed event view

M	src/gl-eventview.c

commit 81d3a2d04c875b60003ab896d810ba69eab6f8fa
Author: David King <davidk@gnome.org>
Date:	Wed Jul 31 12:42:34 2013 +0100

    Make GlEventView a GtkStack

    Move the list box that was GlEventView to a private struct.

M	src/gl-eventview.c

commit 155345169b3820afdece699a9f4d9b2367d517c1
Author: David King <davidk@gnome.org>
Date:	Thu Aug 1 12:12:35 2013 +0100

    Add handler for activating an event view row

    Read the cursor from the activated row and seek to that position
    in the
    journal.

M	src/gl-eventview.c

commit 8115f58264cd1e4b6a15b821cd4e3055fd3dc0ca
Author: David King <davidk@gnome.org>
Date:	Fri Jul 26 11:00:26 2013 +0100

    Attach a journal cursor string to each event row

M	src/gl-eventview.c

commit 95cb96955b72382898b057796225fa40bfbf473c
Author: David King <davidk@gnome.org>
Date:	Tue Jul 16 11:29:21 2013 +0100

    Display the name of the logging executable

    Show the name, in bold, of the executable which is logging a message,
    above the log message in the event view.

M	src/gl-eventview.c

commit 3ccda9adcebcf561891c0a819260e1d1584b2820
Author: David King <davidk@gnome.org>
Date:	Tue Jul 16 11:05:47 2013 +0100

    Add image to individual event view rows

M	src/gl-eventview.c

commit 27ea6fe8e5e11aa69480eb77dc77b60308bfb515
Author: David King <davidk@gnome.org>
Date:	Wed Jul 10 16:58:48 2013 +0100

    Use GtkBuilder for children of application window

M	data/gl-window.ui
M	src/gl-application.c
M	src/gl-window.c

commit 5b1dff7ba5ee41d516b8f8262f20e5c08891acfb
Author: David King <davidk@gnome.org>
Date:	Wed Jul 10 13:27:52 2013 +0100

    Set program name and application window title

M	configure.ac
M	data/gl-window.ui
M	po/POTFILES.in
M	src/gl-main.c

commit dceb94de231c87c681db078489a740c7022d5328
Author: David King <davidk@gnome.org>
Date:	Wed Jul 10 13:03:09 2013 +0100

    Use GtkBuilder for application window

M	Makefile.am
A	data/gl-window.ui
M	data/gnome-logs.gresource.xml
M	src/gl-application.c

commit 09132c56e91b9f2bee3e2b77b6ea61806eacfdb3
Author: David King <davidk@gnome.org>
Date:	Tue Jul 9 19:38:07 2013 +0100

    Add application menu, using GResource

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/appmenu.ui
A	data/gnome-logs.gresource.xml
M	po/POTFILES.in
M	src/gl-application.c

commit 548d117a63c5b6d9ef4a937cff0056930084db06
Author: David King <davidk@gnome.org>
Date:	Tue Jul 9 17:30:16 2013 +0100

    Add "quit" and "about" actions

M	po/POTFILES.in
M	src/gl-application.c

commit 08294d1a33d2249a365000977005ad4a1da1e615
Author: David King <davidk@gnome.org>
Date:	Tue Jul 9 15:06:02 2013 +0100

    Move application to GlApplication

M	Makefile.am
C056	src/gl-main.c	src/gl-application.c
A	src/gl-application.h
M	src/gl-main.c

commit f0efdc9593cb379fe34c00e95337eb3353ab4a2e
Author: David King <davidk@gnome.org>
Date:	Tue Jul 9 14:13:51 2013 +0100

    Add desktop file

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/gnome-logs.desktop.in
M	po/POTFILES.in

commit 92845578135685bbc72ef09fb27b7b5addc0f347
Author: David King <davidk@gnome.org>
Date:	Mon Jul 8 15:57:25 2013 +0100

    Move category and group view to GlCategoryList

M	Makefile.am
M	po/POTFILES.in
C055	src/gl-window.c src/gl-categorylist.c
A	src/gl-categorylist.h
M	src/gl-window.c

commit fb768c547d7deb093d09c49aae12da2ed216f1ce
Author: David King <davidk@gnome.org>
Date:	Mon Jul 8 15:26:27 2013 +0100

    Move event view to GlEventView

M	Makefile.am
A	src/gl-eventview.c
A	src/gl-eventview.h
M	src/gl-window.c

commit 5791ce28d71ad79f8f4c97561016623ae300a779
Author: David King <davidk@gnome.org>
Date:	Mon Jul 8 14:14:47 2013 +0100

    Display the last 10 items from the journal

M	configure.ac
M	src/gl-window.c

commit 22f31b7e761efdb407f8d30f4ae6b8e9d868e3f3
Author: David King <davidk@gnome.org>
Date:	Mon Jul 8 12:17:35 2013 +0100

    Select a row in the category list

M	src/gl-window.c

commit ff28e4ca6a00ffce1acb4c3f0eb1ced4fdc8860b
Author: David King <davidk@gnome.org>
Date:	Mon Jul 8 11:50:13 2013 +0100

    Push the menu button to the far end of the toolbar

M	src/gl-window.c

commit c2f4f3f55fd9c22ad949a29a078586c8f0f8c514
Author: David King <davidk@gnome.org>
Date:	Thu Jul 4 17:21:36 2013 +0100

    Add labels to category list box

    Add some text labels to the category listbox. Add internationalization
    support.

M	Makefile.am
M	configure.ac
A	po/POTFILES.in
M	src/gl-main.c
M	src/gl-window.c

commit 8542d6a8a4519ead24db518f74f09d42a7d257c7
Author: David King <davidk@gnome.org>
Date:	Thu Jul 4 14:36:56 2013 +0100

    Add skeleton of UI elements

    Use GtkListBox and GtkMenuButton.

M	Makefile.am
M	configure.ac
M	src/gl-window.c

commit 1b1bceedee06afa98c4156940605de2b531ce801
Author: David King <davidk@gnome.org>
Date:	Thu Jul 4 09:48:52 2013 +0100

    Add GtkApplicationWindow subclass

M	Makefile.am
M	src/gl-main.c
C053	src/gl-main.c	src/gl-window.c
C053	src/gl-main.c	src/gl-window.h

commit 30dabf5fa1ad5631cd668e28b240caa060f090b9
Author: David King <davidk@gnome.org>
Date:	Wed Jul 3 14:47:45 2013 +0100

    Link with libgd submodule

M	.gitignore
A	.gitmodules
M	Makefile.am
M	autogen.sh
M	configure.ac
A	libgd

commit 231a3bd1814698734b249d50ad0bac4642f0c8d0
Author: David King <davidk@gnome.org>
Date:	Wed Jul 3 13:52:23 2013 +0100

    Generate ChangeLog from git log

M	ChangeLog
M	Makefile.am

commit 6995e5788d79c569f20952551046d519290fb4b3
Author: David King <davidk@gnome.org>
Date:	Wed Jul 3 13:50:36 2013 +0100

    Initial commit

A	.gitignore
A	AUTHORS
A	COPYING
A	ChangeLog
A	Makefile.am
A	NEWS
A	README
A	autogen.sh
A	configure.ac
A	src/gl-main.c
